DESIGN II for Windows

DESIGN II for Windows Release Notes

Version 14 New Features

Version 12 New Features

Version 11 New Features

Version 10.2 New Features

Version 10.1 New Features

Version 10.0 New Features

Version 9.5 New Features

Version 9.4 New Features

Version 9.3 New Features

Version 9.2 New Features

Version 9.1 New Features

Version 9.0 New Features

Version 8.5 New Features

Version 8.4 New Features

Version 8.3 New Features

Version 8.2 New Features

Version 8.1 New Features

Version 8.0 New Features

Version 3.2 New Features

Version 3.15 New Features

Version 3.1 New Features

Version 3.0 New Features

Version 2.6 New Features

Version 2.5 New Features

Version 2.1 New Features

Version 2.0 New Features

Copyrights


Copyrights

Copyright (c) 1995 - 2014 WinSim Inc. All rights reserved.

Copyright (c) 1994 - 1995 ChemShare Corporation. All rights reserved.

DESIGN II for Windows and DESIGN II are trademarks of ChemShare Corporation.

Microsoft ® and Windows ® are registered trademarks of Microsoft.

WinSim ® is a registered trademark of WinSim Inc.

The Design Institute for Physical Property Data ® and DIPPR ® are registered trademarks of the American Institute of Chemical Engineers (AICHE).

SELEXOL ® is a registered trademark of Union Carbide Corporation.

THERMINOL ® is a registered trademark of Solutia Inc.

DGA ® and Diglycolamine ® are registered trademarks of Huntsman Corporation.

This publication contains confidential information of WinSim Inc. and ChemShare Corporation.

The content of this publication is for informational purposes only and is subject to change without notice.

No warranty of any kind is made with regard to this material, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose.

ChemShare or WinSim Inc. shall not be liable for errors contained herein or for incidental consequential damages in connection with the furnishing performance or use of this material.

All rights reserved. No part of this publication may be reproduced, stored in a retrieval system, or transmitted, in any form or by any means, electronic, mechanical, photocopying, recording, or otherwise, without the prior written permission of WinSim Inc.


DESIGN II for Windows Version 2.0 New Features

DESIGN II Version 7.0

January 1994

New Microsoft Windows Simulation Product

With this release, DESIGN II for Windows becomes ChemShare's primary simulation product. ChemShare leads the way with state-of-the-art process simulation that everyone can use. The Windows interface provides point-and-click access to simulator capabilities through an easy-to-use flowsheet drawing with intelligent simulation specification windows. The DESIGN II flowsheert simulator and the ChemTran thermophysical properties package can be used from the Windows interface. If you are licensed for a PC copy of DESIGN II, you will receive the MS Windows interface as part of your DESIGN II for Windows 2.0 upgrade.

REFIne Module

A new input module has been added in the Microsoft Windows interface to support the Refine Unit Operation. The Refine input module supports all of the simulation options available in the Refine simulation module including Type 3 ("hot-draw") thermosiphon reboilers.

DESIGN II User's Guide On-line

You can now use the DESIGN II User's Guide from the Help menu in the DESIGN II for Windows flowsheet module or directly from the MS Windows Help system. The entire User's Guide has been updated and converted to Windows Help format, complete with pop-up definitions, hypertext links, and search functionality. This format frees you from using bulky manuals and provides detailed information at the touch of a key. Now the User's Guide can be in a window right next to your flowsheet while you are developing your simulation in DESIGN II for Windows.

Simplified Security Mechanism

The product security mechanism has been simplified and reworked so that it can be configured on site. With this release, ChemShare products will be using a password security mechanism that will allow the client to extend usage time and add options by entering a password supplied by ChemShare over the telephone or by fax.

Numerous additions & enhancements

In addition to the DESIGN II for Windows improvements, there have been many additions and modifications to the simulator kernel. A summary of the more recent improvements appears on the following pages.

All ModulesMetric and SI gauge pressure units for input and output have been added to existing English gauge units. All standard units are now supported.

Gauge PressureKeyword Input

atmospheresATMG

barsBARG

dynes per sq. centimeterDY/CM2G

grams per sq. centimeterG/CM2G

kilograms per sq. cent.KG/CM2G

kilograms per sq. meterKG/M2G

kilo-PascalKPAG

PascalPAG

CompressorThe polytropic option calculations for the average compressibility factor and polytropic coefficient have been improved. Calculated outlet conditions are used rather than estimated values.

A problem with reported work for multistage polytropic calculations has been corrected.

DepressuringCalculations for the case with inlet pressure greater than the set pressure have been corrected

Flashes Water dew point calculations were not storing the liquid hydrocarbons, if any, in the proper stream. This has been corrected.

Heat Exchange Modified behavior of Q-T table for Heat Exchanger and LNG exchanger, primarily in calculation and placement of bubble and dew points.

Heat ExchangerMetric and SI units for shell and tube fouling factors in RATING input have been added. The dimensional units which are supported are 1/KCAL/HR/M2/C, 1/KJ/S/M2/K, 1/CAL/HR/M2/C.

The behavior of pure component, two-phase calculations in RATING has been improved.

A problem with tubeside pressure drop in a vertical exchanger (RATING) has been corrected.

LNG ExchangerCalculations for multi-shell stream exchangers with U-Area specifications have been corrected.

Line Pressure DropAdded Inline FORTRAN access to calculated liquid holdup for each node (LINE(x), LIQ HOL(i)).

Pressure drop due to elevation for Beggs-Brill was changed from no-slip to liquid holdup basis.

A print problem when using EMULSION options has been corrected.

Calculations will be bypassed if feed stream to module has zero flow.

Corrections to heat transfer to surroundings calculations, especially for single phase.

ReactorsHydrotreater calculations now allow a single bed.

Handling of hydrogen in the main Hydrotreater feed has been corrected.

Added gallons as an input unit for the VOLume command in CSTR and Plug Flow Reactor.

Initial temperature calculations for Plug Flow Reactor feeds with inert components have been corrected.

Rigorous columnsWater decanted from the condenser and Refine steam feeds are now included in the MATERIAL BALANCE SUMMARY.

Corrections to Glitsch tray sizing for specified % flood and Passes = 4 and for handling of vapor feeds below the bottom tray.

DistillationA specific gravity tray-by-tray print for liquid and vapor traffic has been added. Liquid specific gravities are reported relative to water at STP/NTP, and vapor specific gravities are reported relative to air at tray conditions.

Corrected the intercooler results summary.

Corrected an error in bottom product enthalpy associated with thermosiphon reboiler.

RefineHot-draw, recirculating thermosiphon reboilers (REB TYP=3) are now supported.

Added check for free water on trays after column convergence. This generates an extra report when free water is present, including mass and molar flow rates of both water and hydrocarbons.

Inline FORTRAN access was added for retrieving calculated reboiler duties for main column and side strippers (REFI(x), CAL REB(i)).

Non-molar pumparound flow specifications without the required molar flow guess were causing incorrect product stream pressures . This has been corrected. Additionally, Refine will now estimate the equivalent molar pumparound flowrates.

PROduct SPEcification calculations involving ASTM distillation curve points were modified to match product curves.

Corrected column behavior so that PROduct, PROduct from STRipper, and PROduct from PUMparounds which were adjusted by Inline FORTRAN would be used.

Retrieval of column tray locations for pumparounds, feeds, and stripper draws and returns is now correct.

Inline FORTRAN retrieval of flash point value from product stream has been corrected.

Case StudyCorrected problem with recycle log which was interfering with Case Study calculations.

Interactions between CALculation SEQuence and Case Study commands were corrected.

ThermodynamicsYen-Woods NTP/STP (STD VOL=YEN) density corrections are now used for components with ID numbers 1 - 63 instead of the Rackett correction .

Vapor-liquid calculations for the BWRS option for super-critical components at sub-critical conditions, and for all mixtures at near-critical conditions have been improved.

The method for retrieving MODPENK interaction parameters from a ChemTran file has been corrected.

Corrected APIMOD and LEE enthalpy datum at Tr=2.5, Pr=0.4.

GeneralExtended the number of streams which can be saved for subsequent calculations. The size of the STReam FILe was increased also.

Pure ComponentsHandling of user supplied CARbon to HYDrogen ratio and HIGh HEAting values for petroleum fractions (ID numbers 100-199) has been corrected.

Output

The American Petroleum Institute's Technical Data Book methods for calculating Reid vapor pressure (RVP) have been added. These methods are based on procedures 5B1.1 (refined products) and 5B1.2 (crude feeds). Procedure 5B1.1 (REI PRO) requires a distillation curve feed description (entered via the CRUDE section).

These methods can be "CALLed" with Inline FORTRAN using the subroutine names, REIPRO and REICRU, respectively.

Convergence behavior was improved for Reid vapor pressure calculations for streams containing heavy hydrocarbons. Additionally a message is provided if calculations fail to converge.

A dimensional unit label problem for heat capacities at constant pressure and volume for liquids (Cp, Cv) in heating and cooling curves has been corrected.

Petroleum Streams

Initial boiling point (IBP), 2%, 5%, 95%, 98%, and end point (EP) distillation curve extrapolation and TBP/ASTM conversions have been improved.

Corrected unit conversion problems for mass flow when user requested QUAntity UNIts or QUAntity UNIts OUT.

Corrected problems with viscosity print for metric and SI units.

Interface Files

Incorrect values were occasionally written for a few Line and Flash module items. These have been corrected.

Added missing report of surface tension for liquid hydrocarbon streams in BULK property table for systems with immiscible water.


DESIGN II for Windows Version 2.1 New Features

DESIGN II Version 7.10

October 1994

GUI Enhancements

Our popular point-and-click Windows interface offers even more! Since the introduction of our Windows product in 1990, Design II has lead the process simulation market in true Windows capabilities.

The output browser now automatically opens the output file when the simulation is complete and the flowsheet convergence status and index are displayed. To review an output section in the Index, simply double-click on the section and the output page will appear. Paging up and down from this point is possible, or the operator may simply exit from that page and select another section from the index listing to review. Accordingly, finding the calculation sequence for the last iteration of a recycle loop, or the detailed report for a distillation column, is exceptionally easy.

The flowsheet drawing and data manager have been increased to handle up to 100 unit operations and 150 streams. To draw very large flowsheets, use the previously existing option of selecting the largest size drawing sheet. When opening a new drawing by choosing File-New, select E or A0 size drawing capabilities.

Loading, validating, and saving flowsheets is much faster. Input file generation is also significantly faster.

More information is available when choosing the Help-About... option. Not only does this provide the standard information indicating version, but also information concerning DESIGN II for Windows system resources appears automatically. Information is presented regarding the number of free object pointers and free dynamic memory. The Memory Compactor program is still available as an added value.

The Stream Manipulator module is now directly supported as a symbol.

The Component Splitter module now supports substantially more input and allows additional control over the calculation order.

Simulator Kernel Enhancements

Numerous calculation additions and enhancements create a more powerful DESIGN II for Windows

General

DESIGN II and ChemTran support true virtual memory allocation.

150 components are available for use in any equipment module (i.e. REActor). This number was doubled from the previous level of 75 components.

Up to 999 streams and 999 equipment modules are now available for use. The next major release of DESIGN II for Windows will support up to 9,999 streams and 9,999 equipment modules in one file. Please see the Proposed Features bulletin for version 2.5.

The number of components which can be defined using the STRUcture option in ChemTran has been tripled from 30 to 90.

The poor interrupt handling capability of Microsoft Windows 3.0, 3.1 and 3.11 caused some difficulties. This is a general problem of floating point exceptions such as division by zero, underflow or overflows. DESIGN II for Windows has been modified to overcome this problem.

Depressuring

It is now possible to use one depressuring module for extended depressuring time. Previously, DESIGN II enforced a time restriction of 20 minutes total for depressuring calculations. This restriction has been removed. If full depressurization has not occurred within the 15 minute time period recommended by American Petroleum Institute (API RP-520, RP-521), a warning message will be displayed, but calculations will continue.

The handling of HEAT input was expanded to allow the flexibilty of entering a client-specified time step. The default time step of 1 minute may still be used.

Equilibrium reactor

DESIGN II now recognizes when the calculations of an equilibrium reactor are converging toward a physically unrealistic result. The program now tests for calculations which would result in a divide by zero and a very small number is added to the zero. A singular matrix condition due to division by zero was overcome by this method .

Heat exchange

The Q-T curve output was modified to easily handle multiple, pure component streams with different boiling points.

Line pressure drop

DESIGN II output now displays the calculated outside diameter in the familiar table format. Recycle loops have also been improved to stabilize the calculations of line modules in successive iterations creating much faster convergence.

While previous versions required multiple segments, input handling is expanded to allow for a LINE module with only one segment and DOWNwards flow. Increased numbers of line segments produce more accurate results, but reduced numbers of segments produce the fastest results. This improvement creates the option of making faster simulation runs.

Rigorous columns

Inline FORTRAN interpreter handling of Reid vapor pressure specifications for DIStillation has been improved. Internal calculation and storage for the DIStillation column is modified to greately enhance stability and speed of convergence.

DESIGN II now has the option of using the COPE enthalpy method to calculate enthalpy resulting from the mixing of vapor produced from a feed to the top tray with the vapor product which greatly improves accuracy of the column calculation.

The calculation handling of the REFIne column has been expanded to account for poorly posed REFIne column. DESIGN II now minimizes or eliminates the divisions by zero which are the result of inconsistent specifications.

The initialization of the REFIne column has been enhanced to speed convergence capability in columns with multiple FIX commands as specifications.

Output

Water vapor pressure has been added to the Reid vapor pressure calculation to incorporate the recommendation of the ASTM D-323-79 procedure.

The information from the HEAting curve has been expanded to indicate conditions in which the temperature is too high for a water dew point to exist.

Petroleum Streams

Real components are be sorted automatically in boiling point order prior to any TBP or ASTM distillation curve calculations. DESIGN II internally re-organizes the components in boiling point order for calculations but prints the output showing the order given in the input. This feature significantly speeds the creation of input files and reduces the possibility of input error.


DESIGN II for Windows Version 2.5 New Features

DESIGN II Version 7.30

June 1995

GUI Enhancements

Our popular point-and-click Windows interface offers even more! Since the introduction of our Windows product in 1990, ChemShare has lead the process simulation market in true Windows capabilities.

With a simple click of a button, DESIGN II results can be transferred to the Microsoft ExcelSM version 5.0 spreadsheet. You may choose to send all the results of your simulation into the spreadsheet or only selected portions. The data is neatly arranged on individual pages within the Excel book. Once in Excel, additional presentation processing is available such as: Composition Charts, Column Tray Profiles, Equipment Comparison functions with graphs, etc. You can manage your data using the full features of the Excel Notebook paradigm. Using Microsoft Windows clipboard, you can embed analysis data and graphics from Excel into other documents such as those created by Microsoft WordSM.

While the automated spreadsheet buttons provided in version 2.5 of DESIGN II for Windows are specifically designed to open and load data into Excel., integration into other spreadsheet and to third party vendor products is also available through the CSV (comma separated variable) format. As always, you still have the full capability to read and write data into an ASCII file of your own format for integration purposes.

DESIGN II for Windows contains significantly improved Browse functions. The Index appears in the Browser box automatically at the end of the simulation. You can double click on an index entry you want to view and that page appears on-screen. Scroll up and down to view other pages, or return to the Index. The Search button continues to offer the option of quickly locating specific words by searching all pages from the top of the output file to the bottom.

Finally, you can review results for individual pieces of equipment and streams directly from your drawing. Double click on the flowsheet symbol of interest and select View Results from the Menu bar. This gives you a summary of the results only on the highlighted equipment or stream.

Full Windows Program

DESIGN II for Windows 2.5 runs as a full Windows program. All simulation history and output data are displayed in a Window rather than a DOS box. Multiple windows can be displayed at once allowing a simultaneous review of data while viewing the drawing.

Performance and Migration

The simulation kernel in DESIGN II for Windows 2.5 is a Win32 application. This provides excellent performance under Windows and paves the way for migration to Windows NT, Chicago, and Cairo operating systems. While performance speed is exponentially faster in the Win32 mode, a DOS version is still provided for users who have less than 6MB of RAM.

Flowsheet Drawing

Symbols are now provided for all DESIGN II for Windows unit operations. Some of the new symbols include: Component Splitter, Controller, CSTR, Depressurizer, Equilibrium Reactor, Fired Heater, Flow Meter, Hydrotreater, LNG Exchanger, Multi-Phase Flash, Phase Envelope/Map, Plug Flow Reactor, Polytropic Compressor, and the Stream Manipulator. The generic box shapes are still available for client-defined equipment.

Other calculation features which are now directly supported through dialogs include the flowsheet Optimization calculation and the Line Sizing routine.

Simulation Kernel Enhancements

The flowsheet now supports more units and streams. Previously, 999 stream and 999 equipment modules could be used. The expanded capabilities of DESIGN II for Windows version 2.5 allow you to use up to 9,999 streams and 9,999 equipment modules.

Two new refrigerants have been added to the Pure Component Database. R-134a and R-123 have component ID numbers 1204 and 1205, respectively.

Phase Map limits for trace components have been lowered from 1.E-5 to 1.E-16. This increases the accuracy of the calculation in those cases where trace components are present.

Improved performance for single-component and two-phase streams will be noted in the LNG exchanger when using U and AREA specifications.

The Distillation module thermosiphon reboiler calculations have been enhanced.

Future Enhancements

Additions to the simulator kernel and the Graphical User Interface reflect requests from our clients as well as ChemShare's market research. Suggestions are appreciated.


DESIGN II for Windows Version 2.6 New Features

DESIGN II Version 7.32

October 1995

Network Version

The network version is here! One hardware security key on a NetBios network can handle from 1 to 250 PCs. Simplify installing version upgrades. Call WinSim today for more details.

GUI Enhancements

Our popular point-and-click Windows interface offers even more! Since the introduction of our Windows product in 1990, WinSim has lead the process simulation market in true Windows capabilities.

DESIGN II for Windows Version 2.6 is a full Windows program. It runs under Windows 95, NT or 3.1. All simulation history and output data are displayed in a Window rather than a DOS box. Multiple windows can be displayed at once, allowing a simultaneous review of data while viewing the drawing. The simulator kernel is a Win32 application. While performance speed is exponentially faster in the Win32 mode, a DOS version is still provided for users with machines containing less than 6 MB of RAM.

Data Transfer

With a simple click of a button, even more of DESIGN II results can be transferred to the Microsoft ExcelSM Version 5.0 (or later) spreadsheet. All Line module reports are available -- pressure drop tables, slug flow analysis, and heat transfer to surroundings. Heating and cooling curve reports and Reid vapor pressure (ASTM D323-79 method) will now be transferred in the individual Stream reports.

No need to order a special version of DESIGN II for Windows either! Transfer of data to non-English language versions of Excel is supported automatically.

Flowsheet Drawing

New multistream exchanger symbols are available for the LNG exchanger module. In addition to the original symbol which allows up to 6 tubeside and 6 shellside streams, two new symbols have been added -- LNG (11x11) and LNG (19x11). These symbols support up to 11 tubeside and shellside streams and 19 tubeside and 11 shellside streams, respectively.

Have you ever accidentally clicked the right mouse button and watched a stream or unit disappear? It won’t happen anymore. All deletions triggered by a click on the right mouse button now pop-up a confirmation dialog before deleting the object.

Copying data from one flowsheet file to another is now a snap! General flowsheet data is copied to the clipboard along with the unit and stream data for a selected Region. If the clipboard contents are pasted into a new flowsheet file, the General flowsheet data is copied too. General flowsheet data includes all of the data items entered through the Specify menu options (component list, thermodynamic choices, recycle streams, print options, etc.).

Simulator Kernel Enhancements

General

DESIGN II and ChemTran now support true virtual memory allocation. No internal limitations on combinations of equipment modules, streams, and Inline Fortran exist.

Up to 150 components may be used in equipment modules with component arrays, such as Reactor, Stream Manipulator, Distill, Refine, and Component Splitter. The previous limit was 75 components.

Now up to 90 components can be defined using ChemTran’s STRUcture option. Older versions allowed 30.

Depressuring

The Depressuring module now allows extended depressuring time. Previously, DESIGN II enforced a total time limit of 20 minutes for depressuring calculations. This restriction has been removed. If complete depressurization has not occurred within the 15 minute time limit recommended by the American Petroleum Institute (API RP-520, API RP-521), a warning message will be printed, but the calculations will continue.

The HEAT command was expanded to allow the flexibility of a user-defined time step. The default time step for calculations is 1 minute intervals. Smaller intervals typically result in greater accuracy.

Distillation Columns

An improved solution strategy has been added for wide-boiling mixtures to the Super and Super Plus convergence methods in Distill. Additionally, input modification suggestions will be printed when convergence is not reached for separations involving wide-boiling mixtures.

Heavy hydrocarbon enthalpy methods not suitable for use with the Super and Super Plus convergence techniques, such as Grayson-Johnson (API) and API MOD, now generate a warning message and stop the simulation. Substitution of an equation of state method or STDH is recommended.

Equilibrium Reactors

DESIGN II checks when Equilibrium Reactor calculations are converging toward a physically unrealistic result. Checks to prevent division by zero have also been added. Conditions leading to singular matrices are also avoided.

Heat Exchange

Improved performance for U and AREA specifications for the LNG Exchanger for single-component, two-phase systems will be noted. Special handling has been added for multicomponent streams which behave as if they were a pure-component.

The Q versus T report was modified for both Heat Exchanger and LNG Exchanger to easily handle multiple, pure-component streams with different boiling points.

The LNG Exchanger now allows up to 20 inlet and 20 outlet streams. The previous limit was a maximum of 6 inlet and 6 outlet streams.

Line Pressure Drop

Slug flow analysis is now available for vertical upwards flow in pipes. The Duns-Ros method for slug flow calculations is used in conjunction with the Orkizewski pressure drop method. Previous versions performed slug flow analysis for horizontal and downwards flow only.

The Line module allows specification of a single segment for vertical flow (up or down). An increased number of line segments generally produces more accurate results, but fewer segments produce results faster.

In the NOW CALLING simulation status which appears on-screen, a row of dots will appear showing node by node calculation progress for the Line module.

Refine Columns

Refine column initialization has been improved to speed convergence in columns with multiple FIX specifications. Columns with inconsistent specifications or poor initial guesses will also benefit from these changes.

Refine now estimates molar pumparound flow rates when mass or volumetric pumparound specifications have been entered.

Petroleum Streams

Real components are sorted in boiling point order automatically prior to any TBP or ASTM distillation curve calculations. DESIGN II internally reorganizes the components in boiling point order for calculation, but the results will be printed in the order specified in the input file. This feature significantly speeds creation of input files and reduces the possibility of input errors. Water must be the first component in the component list (component ID number 62) for simulations involving distillation curves or Refine columns.

Output

Improved recognition of conditions where water dewpoint cannot exist in Heating curve calculations which include hydrocarbons and water (steam).

The Reid vapor pressure calculation now includes the effect of water in accordance with the recommendation of the ASTM D323-79 procedure.


DESIGN II for Windows Version 3.0 New Features

DESIGN II Version 7.40

May 1996

GUI Enhancements - Flowsheet Links

DESIGN II for Windows 3.0 includes a new flowsheet linking capability which supports large process simulations. Large flowsheets generally have more than fifty unit operations and seventy process streams. Individual flowsheets are currently limited to about eighty unit operations and one hundred process streams due to space considerations. Flowsheet links in DESIGN II for Windows are implemented at the Windows Graphical User Interface level. The DESIGN II simulator allows up to 9,999 unit operations and 9,999 process streams in any given simulation. DESIGN II for Windows allows you to set one flowsheet as the primary flowsheet and to link one or more dependent flowsheets. There is no practical limit to the number of dependent flowsheets. All linked flowsheets must exist in the same sub-directory. Streams which continue from one flowsheet to another are supported. Checks for duplicate stream and equipment numbers are provided automatically. A warning message pops-up when a duplicate stream or equipment number is encountered, identifying the flowsheet where the duplicate occurs. Simulations are performed from the primary flowsheet, but results can be reviewed from any of the linked flowsheets.

GUI Enhancements - Flowsheet

The base window in DESIGN II for Windows has been upgraded to the latest release of FloSheet in the PROCEDE product. The base window has a button bar which includes all of the Windows 3.1/Windows 95 common dialogs (file open, save, save as, print, color, font) along with many common drawing dialogs. The Browser box size has been minimized by replacing the icon scroll list with a drop down list-box. Support for network printers and disk drives has also been added.

Support for a drawing title box is available, allowing the user to enter Title, Drawn By, Revision, Date, Drawing Number, and several other categories. A sample legend is provided; you may create your own using a text editor.

An Auto-Save feature allows you to save current settings for drawing options. Options include font type and size, paper size, dimensional unit preferences, Browser mode, zoom option, and color selection. You may also save the name of the last saved flowsheet; it will be retrieved automatically when the program is restarted.

All Windows fonts, including TrueType fonts, and many font sizes are now supported. The default font is Arial, 23 points (medium). Drawings created with older versions of DESIGN II for Windows will be retrieved using the original font and size settings.

Existing text strings may now be edited; no need to select, erase, and retype them.

The Printer is application specific. Paper orientation is handled automatically; flowsheets are normally printed in landscape mode, reports and results are normally printed in portrait mode. Simply click on the Print button; the program sets the required orientation.

You may set a working directory which is different than the executable directory. This is highly

recommended as it minimizes the chance of accidentally deleting one of the program files.

Auto-routing of equipment and streams is now available. Turn auto-routing on and drag the equipment symbol to a new position and the streams which are connected to it automatically follow. With auto-routing off, only the equipment symbol will move.

GUI Enhancements - Other

Increased internal data storage permits more equipment symbols and streams on any one flowsheet. You may run multiple copies of DESIGN II for Windows with a few restrictions: only one copy of a flowsheet may be open at a time, only one simulation or transfer of data to Excel should be running, and simultaneous editing of linked flowsheets is not allowed. You may edit as many independent flowsheets simultaneously as needed.

The menu bar on the Equipment and Stream dialogs has been replaced with buttons, allowing you to quickly reach required and optional specification dialogs or calculated results.

The simulator status window is now automatically dismissed after execution is complete. This feature can be turned on or off in the Specify-Preferences dialog.

The 38 crudes in the Crude Oil Library of DESIGN II are now available in the Streams-Basic dialog as an option for defining one or more feed streams.

The Inline FORTRAN dialog for all equipment modules and the Specify section (used for the FORTRAN Library) now contains a template of supported GET/SET items for each equipment module type, stream data, and the utility and property routines which are available for your use. You simply indicate which template type you want, load the template, and activate the specific commands you need. You may load more than one template type in the same Inline FORTRAN dialog. The six blank spaces required for FORTRAN commands are included in the template. You may enter statement numbers and continuation characters within the 6 blank spaces.

Excel data transfer now supports more than 256 streams in the simulation. Additional Stream Sum pages are created, each of which can contain up to 256 streams. The first page is labeled Stream Sum, the second page is labeled Stream Sum2, and so on.

Neither the CHEMSHARE logical in the AUTOEXEC.BAT file nor the CHEMSHARE.CFG file are used in Version 3.0. All data files are referenced in the program installation directory automatically.

Simulator Kernel Enhancements - Equipment Modules

A reflux guess estimator has been added to Distill to improve initial reflux ratios. The Shortcut distillation module will be executed first for any column with a condenser for which the user has indicated light and heavy key components or provided fractions of light and heavy key components in the overhead and bottom products. This will occur unless a reflux ratio specification has been entered or a reflux guess value of less than 0.5 has been entered.

Distillation convergence has been improved, especially for columns with wide boiling mixtures (high hydrogen feeds, for example).

The bubble/dew point method used to calculate properties near the critical region for cubic equations of state has been improved.

The Polytropic compressor module now accepts head versus capacity and efficiency versus capacity manufacturer’s curves at multiple speed points. Each curve is identified by the speed in RPM. If the user specified value for speed is between curves, DESIGN II will interpolate.

The Polytropic module will now model polytropic pumps. Head versus capacity and efficiency versus capacity manufacturer’s curves are accepted at multiple speed points. A warning message will be printed if the feed stream to this module is not all vapor or all liquid.

Heat exchanger rating now allows factors for adjusting the shellside heat transfer coefficient, the tubeside heat transfer coefficient, or the overall heat transfer coefficient. These values may be adjusted by the Controller module and are also available for Inline FORTRAN calculations via GET and SET.

A problem in the Component Splitter module which allowed it to create material for non-molar, non-fractional specifications has been corrected.

Simulator Kernel Enhancements - Streams

Heat capacity at constant pressure and volume will be reported in the Stream Summary section of output for single phase streams.

A new column for free water flowrate and properties will appear in the Detailed Stream Summary section. This replaces the print for free water which previously appeared between the flowrate section and the properties section and contained only flowrate and enthalpy data. For temperatures below 32 degrees F (0 degrees C), the column label changes to ICE.

The heating/cooling curve format has been adjusted to include a column for the enthalpy contribution of a second liquid phase in the main table. This allows the user to properly identify liquid hydrocarbon versus liquid water contributions.

Simulator Kernel Enhancements - Other

Neither the CHEMSHARE logical in the AUTOEXEC.BAT file nor the CHEMSHARE.CFG file are used in Version 7.40. All data files are referenced in the program installation directory automatically.

The critical temperature and pressure values for air (component 99) have been corrected.

Vapor viscosities and thermal conductivities for helium (component 1172) have been improved by using the high temperature limit for the helium quantum effect when calculating critical pressure and temperature.


DESIGN II for Windows Version 3.1 New Features

DESIGN II Version 7.41

ChemTran Version 17.41

August 1996

GUI Enhancements

The stream names shown in the stream dialog are now transferred to DESIGN II using the new ‘NAM STR x’ command, where x is the stream number. The stream names appear in both the ‘Stream Summary’ and ‘Detailed Stream Print’ reports in the DESIGN II output file. The maximum length for the stream names is 24 characters (up to 14 characters will be printed in the stream summary table).. The stream names are also transferred to Excel.

Each stream and equipment module in a flowsheet (or linked flowsheets) is required to have a unique number. During the flowsheet linking procedure, DESIGN II for Windows notifies the user of any duplicate numbers for either streams or equipments. A dialog for the renumbering the equipment or stream of the flowsheet being linked is now available at the user’s request during the linking procedure. Note: streams which connect one flowsheet to another do use the same stream number.

The Refine equipment module topology check has been improved.

The new COSTALD density option in DESIGN II has been added to the list of available density options.

A problem in transferring line module data with multiple line diameters to EXCEL was corrected.

The Windows common dialogs for printing are now used for print requests from the ‘View Input’, ‘View Results’, and ‘Use Existing’ dialogs.

Simulator Kernel Enhancements

The COSTALD method for calculating density of liquid hydrocarbons has been added to DESIGN II. The keyword command is ‘COST’.

The floating point exception handler has been improved for division by zero, overflow and underflow conditions which are prone to occur around boundary conditions and during module initialization.

The Case Study dimensional units handling was improved. A problem in retrieval of stream volumetric flows was also corrected.

The lower limit on constants in Inline FORTRAN was lowered to +-1.0E-32. The upper limit was raised to +-1.0E32.

There is a new command, ‘NAMe STReam x’, where x is the stream number, for naming streams in DESIGN II. The stream names appear in both the ‘Stream Summary’ and ‘Detailed Stream Print’ reports in the DESIGN II output file. The maximum length for the stream names is 24 characters (up to 14 characters will be printed in the stream summary table).


DESIGN II for Windows Version 3.2 New Features

DESIGN II Version 7.5

ChemTran Version 17.5

July 1997

Graphical User Interface Enhancements

There is a new stream results box for displaying stream results on the flowsheet drawing. The stream results box is highly user configurable and is automatically updated after each simulation execution. The stream results box can display all or just some of the streams contained in the flowsheet.

The new stream bulk properties produced by DESIGN II are automatically transferred to Excel if they are present. A sheet in Excel is created for each stream’s bulk properties.

There is a new stream calculation options dialog for the specification of a Reid vapor pressure calculation option, bulk properties calculation, check stream for formation of solid CO2, calculate temperature of hydrate formation at stream pressure, calculate pressure of hydrate formation at stream temperature, calculate critical properties or saturate feed stream with water. The dialog is accessible from each stream’s name / number dialog.

The basic thermodynamics dialog has been updated to reflect the new phase specific viscosity method and thermal conductivity method options. A check box has been added to specify that the Steam Tables should be used for pure water streams.

The Refine module reboiler duty specification has been fixed for thermosiphon reboilers. The duty for a thermosiphon reboiler was previously ignored. The duty specification from the kettle reboiler was used for both kettle and thermosiphon reboilers. The Refine module reboiler dialog has been modified to display both duty specifications for kettle and thermosiphon reboilers.

The results data transfer to Microsoft Excel 97 has been fixed due to a bug in the Dynamic Data Exchange of Excel.

Simulator Kernel Enhancements

The Reid Vapor Pressure calculation has been updated to the ASTM 323-94 specification. The Reid Vapor Pressure calculation method has also been corrected for the situation when the stream being calculated has free water in it. The Reid Vapor Pressure is calculated on saturated water basis at 100 F.

The viscosity and thermal conductivity methods can now be chosen separately for the liquid phase and the vapor phase. The new keywords are VIScosity VAPor and VIScosity LIQuid, THErmal CONductivity VAPor and THErmal CONductivity LIQuid.

The SOAVE density method has had the Peneloux Correction method applied to it. The PNA fraction for the Peneloux Correction to SOAVE density with appropriate paraffin (P), naphthene (N), and aromatic (A) fractions have been stored in the component database for all affected components. The stored PNA values can be changed by the user if necessary via the new PNA fraction keyword. You can add PNA fractions for user defined components.

You can now access the internal condenser streams in a DIStill column with a condenser. The CONdenser SEParation STReam command assigns two streams for DIStillation columns with condensers. The first stream is assigned to the vapor leaving tray 1 at condenser outlet conditions. The second stream is assigned to the reflux back to the main column excluding any liquid distillate and decanted water.

You can now access the internal heater streams in a DIStill column. The HEAter STReam command can be used to create internal streams (liquid in and out of the side heater) at the tray where the heater is located.

LIQuid COMposition profiles can now be entered for one or more components in a DIStillation column. The liquid composition profile for each component is entered on a separate LIQ COM i command, where i is the component ID number. This variable can be accessed via Inline Fortran using the GET command.

DESIGN II can now calculate bulk stream property tables for inlet streams to heat exchangers, LNG exchangers and distillation columns. The properties are printed in the detailed stream section. Generally, the properties are calculated for a range of three pressures and ten temperatures. The bulk properties can be calculated for the tubeside or shellside of the heat exchanger and are calculated from the inlet to the outlet of the side.

The Material Balance Summary is now printed when a Batch Distillation Column is in a Flowsheet. However, it is not correct due to holdup in the product tank(s) of the Batch Distillation column.


DESIGN II for Windows Version 8.0 New Features

DESIGN II for Windows Version 8.0 Release Notes

Version 8.07 New Features

Version 8.06 New Features

Version 8.05 New Features

Version 8.04 New Features

Version 8.03 New Features

Version 8.02 New Features

Version 8.01 New Features

Version 8.00 New Features


DESIGN II for Windows Version 8.1 New Features

DESIGN II for Windows Version 8.1 Release Notes

Version 8.19 New Features

Version 8.18 New Features

Version 8.17 New Features

Version 8.16 New Features

Version 8.15 New Features

Version 8.14 New Features

Version 8.13 New Features

Version 8.12 New Features

Version 8.11 New Features

Version 8.10 New Features


DESIGN II for Windows Version 8.2 New Features

DESIGN II for Windows Version 8.2 Release Notes

Please note that DESIGN II for Windows requires Windows 2000, NT, 98, 95 or higher. Windows 3.1 is no longer supported as of version 8.20.

Version 8.29 New Features

Version 8.28 New Features

Version 8.27 New Features

Version 8.26 New Features

Version 8.25 New Features

Version 8.24 New Features

Version 8.23 New Features

Version 8.22 New Features

Version 8.21 New Features

Version 8.20 New Features


DESIGN II for Windows Version 8.3 New Features

DESIGN II for Windows Version 8.3 Release Notes

Version 8.38 New Features

Version 8.37 New Features

Version 8.36 New Features

Version 8.35 New Features

Version 8.34 New Features

Version 8.33 New Features

Version 8.32 New Features

Version 8.31 New Features

Version 8.30 New Features


DESIGN II for Windows Version 8.4 New Features

DESIGN II for Windows Version 8.4 Release Notes

Version 8.45 New Features

Version 8.44 New Features

Version 8.43 New Features

Version 8.42 New Features

Version 8.41 New Features

Version 8.40 New Features


DESIGN II for Windows Version 8.5 New Features

DESIGN II for Windows Version 8.5 Release Notes

Version 8.54 New Features

Version 8.53 New Features

Version 8.52 New Features

Version 8.51 New Features

Version 8.50 New Features


DESIGN II for Windows Version 9.0 New Features

DESIGN II for Windows Version 9.0 Release Notes

Version 9.05 New Features

Version 9.04 New Features

Version 9.03 New Features

Version 9.02 New Features

Version 9.01 New Features

Version 9.00 New Features


DESIGN II for Windows Version 9.1 New Features

DESIGN II for Windows Version 9.1 Release Notes

Version 9.18 New Features

Version 9.17 New Features

Version 9.16 New Features

Version 9.15 New Features

Version 9.14 New Features

Version 9.13 New Features

Version 9.12 New Features

Version 9.11 New Features

Version 9.10 New Features


DESIGN II for Windows Version 9.2 New Features

DESIGN II for Windows Version 9.2 Release Notes

Version 9.24 New Features

Version 9.23 New Features

Version 9.22 New Features

Version 9.21 New Features

Version 9.20 New Features


DESIGN II for Windows Version 9.3 New Features

DESIGN II for Windows Version 9.3 Release Notes

Version 9.35 New Features

Version 9.34 New Features

Version 9.33 New Features

Version 9.32 New Features

Version 9.31 New Features

Version 9.30 New Features


DESIGN II for Windows Version 9.4 New Features

DESIGN II for Windows Version 9.4 Release Notes

Version 9.45 New Features

Version 9.44 New Features

Version 9.43 New Features

Version 9.42 New Features

Version 9.41 New Features

Version 9.40 New Features


DESIGN II for Windows Version 9.5 New Features

DESIGN II for Windows Version 9.5 Release Notes

Version 9.55 New Features

Version 9.54 New Features

Version 9.53 New Features

Version 9.52 New Features

Version 9.51 New Features

Version 9.50 New Features


DESIGN II for Windows Version 10.0 New Features

DESIGN II for Windows Version 10.0 Release Notes

Version 10.04 New Features

Version 10.03 New Features

Version 10.02 New Features

Version 10.01 New Features

Version 10.00 New Features


DESIGN II for Windows Version 10.1 New Features

DESIGN II for Windows Version 10.1 Release Notes

Version 10.13 New Features

Version 10.12 New Features

Version 10.11 New Features

Version 10.10 New Features


DESIGN II for Windows Version 10.2 New Features

DESIGN II for Windows Version 10.2 Release Notes

Version 10.28 New Features

Version 10.27 New Features

Version 10.26 New Features

Version 10.25 New Features

Version 10.24 New Features

Version 10.23 New Features

Version 10.22 New Features

Version 10.21 New Features

Version 10.20 New Features


DESIGN II for Windows Version 11.0 New Features

DESIGN II for Windows Version 11 Release Notes

Version 11.14 New Features

Version 11.13 New Features

Version 11.12 New Features

Version 11.11 New Features

Version 11.10 New Features

Version 11.09 New Features

Version 11.08 New Features

Version 11.07 New Features

Version 11.06 New Features

Version 11.05 New Features

Version 11.04 New Features

Version 11.03 New Features

Version 11.02 New Features

Version 11.01 New Features

Version 11.00 New Features


DESIGN II for Windows Version 12.0 New Features

DESIGN II for Windows Version 12 Release Notes

Version 12.05 New Features

Version 12.04 New Features

Version 12.03 New Features

Version 12.02 New Features

Version 12.01 New Features

Version 12.00 New Features


DESIGN II for Windows Version 14.0 New Features

DESIGN II for Windows Version 14 Release Notes

Version 14.00 New Features


DESIGN II for Windows Version 3.15 New Features

DESIGN II Version 7.45

ChemTran Version 17.45

March 1997

Graphical User Interface Enhancements

The stream summary properties transferred to Excel have been changed from Cp, Cv, Liquid Density, and Specific Gravity to Vapor Cp, Vapor Cv, Liquid Cp, Vapor Density, Liquid Density, Liquid Specific Gravity, Vapor Viscosity, Liquid Viscosity, Vapor Thermal Conductivity and Liquid Thermal Conductivity. In addition, a molar composition table is being created in the Excel stream summary for each stream.

We have installed a new software only security system in addition to the hardware key security. The old hardware security system is still there for those users who prefer to use the hardware key. There is also a new dialog accessible from the File pulldown menu using the “License Info…” selection. The dialog informs you of your current software settings including license level and software expiration date.

Warning messages are now written both to the screen during simulation and to the results file.

The Twu method for calculating the viscosity of liquid petroleum fractions has been added to the

viscosity options in the Basic Thermodynamics dialog. Vapor viscosities for the Twu method are calculated using the Dean and Stiel method.

The formula for component 3048, 1-Fluoropropane, was corrected from C3H6S to C3H7F.

Synonyms have been added for all the components in the component database. Many of the components now have 2 or 3 names for easier identification of a desired chemical.

Only one feed stream will now be placed in the Crude section of the DESIGN II input file if the user has Crude properties specified or there is a Refine column in the flowsheet. All other feed streams with non-crude properties will be placed in the General section. This prevents flowsheets with a large number of recycle or feed streams from exceeding the twenty Crude feed streams limitation of DESIGN II. There is no limit on the number of feed streams or specified recycle streams in DESIGN II.

There are now more than 150 sample flowsheets in the standard release. The sample flowsheets encompass all of equipment modules and special flowsheet features.

Simulator Kernel Enhancements

The properties which are printed in the Stream Summary have been changed from Cp, Cv, Liquid Density, and Specific Gravity to Vapor Cp, Vapor Cv, Liquid Cp, Vapor Density, Liquid Density, Liquid Specific Gravity, Vapor Viscosity, Liquid Viscosity, Vapor Thermal Conductivity and Liquid Thermal Conductivity. Standard volumetric flow rates for each phase will also be shown. The liquid phase volumetric flow rate contains hydrocarbons and soluble water only. Free water, if present, is not included in the liquid properties / flowrates.

The Distill unit module has a new command, SAVe LIQuid profile, for saving the calculated liquid profile of the column for later access by Inline Fortran. When this command is entered, the tray-by-tray liquid flow rates can be picked up with Inline Fortran in the following form: xxxxx(i)=GET(DIS(x),LIQ PRO(i)) where "i" is the stage number in top-to-bottom order. Retrieving the liquid flow rates does not require the DURING option in Inline Fortran.

Minor differences between the vapor densities in the stream summary and the detailed stream prints have been corrected.

You can now use up to 20 different Crude feed streams from the World Crude Oil Library (the previous limit was 7 streams selected from the World Crude Oil Library).

The thermal conductivity equation used for Air (component 99) has been updated to match current literature.

Results for the Refine column and petroleum stream output using gauge pressure units are now consistent. Previously, the property pages reported absolute values with gauge pressure labels.

The Curve Increment report for Heat Exchangers now uses the results from the rating calculation if the exchanger was rated. The curve increment calculation continues to model counter-current flow with single shell and tube passes through a single shell, even if the rating calculation was based on multiple passes.

The Twu method for calculating liquid viscosities for petroleum fractions has been added to the

viscosity options. If Twu is selected, the vapor viscosities will be calculated using the Dean and Stiel method.

Gaps in the boundary lines for the Baker flow regime map which is printed for the Line module and the line sizing option have been filled in to the edges of the plot.

The structure for component 3048, 1-Fluoropropane, in the Pure Component database was corrected from C3H6S to C3H7F.

Stream calculations using saturated feed streams and water dew points were not converging properly under certain conditions. This convergence has been improved.

The base window for the Windows versions of DESIGN II and ChemTran has been modified to properly display on the Japanese version of Windows 95 without line wrapping.

A problem with the network licensing option for NetWare servers and Windows 95 / 3.1 clients has been fixed.

The dimensional units handling for vapor and liquid viscosities has been improved in the Case Study table.

Batch Distillation and ChemTran have been added to the online User Guide in the Help system. Step-by-step instructions have been added to the online User Guide for several of the equipment module. Also, the online Help system has been extensively reorganized to make it easier to use.

The acentric factor for carbon monoxide was updated to reflect the current accepted literature value. The previous value was from the Chao-Seader paper.


DESIGN II for Windows Version 8.00 New Features

DESIGN II Version 8.00

ChemTran Version 8.00

February 1998

Please note that we have synchronized the version numbers of DESIGN II for Windows, DESIGN II and ChemTran at 8.0. The last version numbers were 3.2, 7.5 and 17.5, respectively.

All current licensed users on MSS (maintenance and support) are being issued new serial numbers for their copies of DESIGN II for Windows. We have redesigned the serial number using only hexadecimal numbers (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E and F) for clarity and less error of transcription.

A new security system has been implemented for this release. The hardware locking and software locking systems have been combined into one locking system. The DESCNFG.CFG file has been replaced by the DESIGNII.INI file. The DESIGNII.INI file conforms to the Windows Initialization file specifications and contains all of the licensing information (Serial Number, Password, etc.) specific to the locking for the PC. The new password consists of a 16 digit hexadecimal number and is locked to a Serial Number and Computer ID or Hardware Key. The password also specifies the expiration date of the software license if applicable.

Graphical User Interface Enhancements

The new components 6012 (DIPA) and 7051 (MDEA) have been added to the Specify Components dialog. A column has been added to the Specify Components dialog indicating whether or not the component is supported by the new Mixed Amine thermodynamics.

The new Mixed Amine thermodynamics are now supported by the Specify Thermodynamics dialog. You can now select the Surface Tension calculation method from the dialog also.

New symbols for the Amine Absorber column and Amine Regenerator column have been added. These columns use the new Mixed Amine Thermodynamics method exclusively and have rate based calculations for accurate simulation of H2S and CO2 absorption.

A new symbol for a fan cooler has been added. Selection of this symbol initializes the heat exchanger to be air cooled, a U of 4.2 and an air temperature inlet of 90 F and exhaust of 105 F.

A new symbol for the Batch Distillation column has been added along with a required specifications dialog.

A new symbol for the Horizontal Flash tank has been added without a boot (FLASH 3).

You can now display Free Water volumetric flowrate in the Stream Data Box along with the Vapor and Liquid Hydrocarbon volumetric flowrates.

You can now display multiple rows of streams in the Stream Data Box. The default number of rows of streams in the Stream Data Box continues to be one.

The Results Data Transfer to Microsoft Excel has been updated for the various undocumented changes by Microsoft in Microsoft Excel 8.0 (Office 97) dynamic data exchange (DDE) programming.

The air cooled heat exchanger FIN FAN keyword is now emitted properly to the simulator kernel.

You can now load the last four recently used flowsheet files from the File pull-down menu. The AutoSave Filename / AutoSave Options dialog was disabled due to a conflict with this enhancement.

We have changed our Installation (Setup) to a new program that installs directly from just one file on the CD-ROM or one file per floppy on the diskettes. The new installation also puts a DESIGN II for Windows icon on the desktop and registers our file format (*.PSD) for system operations automatically.

A problem with the selection of the "INDONESIA - ATTAKA E.KALIMANTAN" World Crude in the stream specification dialog has been fixed.

Simulator Kernel Enhancements

There is a new printed 600+ page manual for DESIGN II and ChemTran. Please contact WinSim for availability of the new manual.

Two new components, component id 6012 (DIISOPROPANOLAMINE, DIPA, C6H15NO2) and component id 7051 (METHYLDIETHANOLAMINE, MDEA, C5H13NO2) have been added to the pure component database.

A new Mixed Amines Thermodynamics method has been added with new keywords (AMINEK, AMINEH, AMINED) for rigorous simulation of H2S and CO2 absorption with binary mixtures of MEA, DEA, MDEA, DIPA and DGA. There are also new Mixed Amine methods for calculation of Viscosity, Thermal Conductivity and Surface Tension.

A new unit module, Amine Column (AMCL), has been added for simulation of rate based columns using the new mixed amine thermodynamic methods. There are two types of columns, Absorber and Regenerator. The new Amine Columns are stable up to 15 - 20 trays. The specifications for the amine regenerator column at this time are the reboiler duty and the condenser temperature. The amine absorber column does not need or have any specifications.

A new command has been added, SATurate FEEds with WATer = ALL, that will tell DESIGN II to saturate all feeds with water. The command is placed in the General Section. Also, the SAT FEE WAT command can now have one or more continuation lines in the input file.

The case study report was modified to allow the printing of metric mass flow dimensional units (KG/HR) as well as molar flow dimensional units.

The line module pressure drop calculation was corrected for the situation of stratified two phase flowrate of less than 0.3 ft/s.

Free Water volumetric flowrate is now printed on the stream summary along with the Vapor and Liquid Hydrocarbon volumetric flowrates.


DESIGN II for Windows Version 8.01 New Features

DESIGN II Version 8.01

ChemTran Version 8.01

March 1998

The algorithm for generating the Computer ID has been modified to ensure that all Computer IDs will

be in the range 1,000,000 to 999,999,999. A few PCs were generating negative or very small

Computer IDs.

The software locking works on systems with Disk Volume Serial Numbers greater than 7FFF-FFFF.

Graphical User Interface Enhancements

The View Results for the Amine Column works properly.

The new FLASH3 symbol works properly.

The Flowmeter symbol works properly.

The sample flowsheets for Batch Distillation, BATCH1.PSD and BATCH3.PSD, work properly using the new Batch Distillation symbol.

Simulator Kernel Enhancements

The side draw from the Amine Regenerator column works properly.


DESIGN II for Windows Version 8.02 New Features

DESIGN II Version 8.02

ChemTran Version 8.02

April 1998

The algorithm for generating the Computer ID has been modified to ensure that all Computer IDs will

be in the range 1,000,000 to 999,999,999. A few PCs were generating negative or very small

Computer IDs.

Added a check that the Network Locking Directory (if so licensed) has been specified with eight character (maximum) subdirectory names. Added Network Software Locking as a Licensing option. From one (1) to one hundred (100) simultaneous users. The Network hardware locking has been obsoleted by the network software locking as of this release. Please contact WinSim Sales for more details about licensing this option.

Graphical User Interface Enhancements

The depressurizing results have been added to the Excel data transfer. The Excel transfer has been sped up and fixed for international versions of Office 97.

Simulator Kernel Enhancements

The Cp/Cv ratio is now printed in the stream details.

The Adiabatic Head is now calculated and printed for compressors and pumps.

The Polytropic Head, if calculated, is now printed with the proper dimensional units, ft.lbf/lbm or m.kgf/kgm instead of ft or m.

The depressurizing module choke flow stream flowrate has been corrected. It was previously printing the amount of choke flow in the first time increment without correcting for the time increment period. The material flow during each time increment divided by the time increment is now printed as documented. You can also set the time increment down to 0.01 minutes now.


DESIGN II for Windows Version 8.03 New Features

DESIGN II Version 8.03

ChemTran Version 8.03

May 1998

The algorithm for generating the Computer ID has been modified to ensure that all Computer IDs will be in the range 1,000,000 to 999,999,999. A few PCs were generating negative or very small Computer IDs.

Graphical User Interface Enhancements

Added a new dialog for reading an existing DESIGN II input file. The dialog is accessed by selecting Import Input File on the File pulldown menu. The keyword commands read at this time are component specifications (COM, PC, TC, VC, NAM, API, AMB, AMW) and stream specifications (FLO, TOT FLO, TP). A stream must exist for specifications to be read in for it.

Added a new dialog for specifying the critical properties (pressure, temperature, volume and acentric factor) of any pure component. The dialog is accessed by selecting Component Data / Critical Properties on the Specify pulldown menu.

Added a new dialog for specifying the general properties (user given name, average boiling point, molecular weight and API gravity) of any pure component. The dialog is accessed by selecting Component Data / General Properties on the Specify pulldown menu.

Added a new dialog for specifying the reaction properties (heat of formation, heat of formation liquid and entropy of formation) of any pure component. The dialog is accessed by selecting Component Data / Reaction Properties on the Specify pulldown menu.

Added Reflux Ratio to the Amine Regenerator Column specifications dialog.

The new TRAy PERcent OPEn keyword for Sieve trays in the Amine Columns is now supported by the Amine Column tray specifications dialog.

Added a “Copy tray 1 value to other trays” button on the Amine Column tray specifications dialog. Clicking the button causes each item to have the value for tray 1 copied to the other trays.

Simulator Kernel Enhancements

The Wegstein recycle convergence algorithm has been improved by changing the upper limit of the Wegstein parameter.

You can now specify Reflux Ratio and a top or bottom product flowrate for the Amine Regenerator Column. This is in addition to the Condenser Temperature and Reboiler Duty specifications. Please note that if the Reflux Ratio is specified then the condenser temperature and the reboiler duty specifications, if present, are ignored. And, the product flowrate guess will be used as a specification.

The Mixed Amine thermodynamics enthalpy calculation has been fixed for non-tower calculations. In previous cases the enthalpy calculations outside of a tower could be off by as much as 1%.

Restored the ability to run the command line version of DESIGN II on DOS or in a DOS windows on Windows 3.1x.

Added support for Mixed Amine thermodynamics when rating 2 phase heat exchangers.

Corrected Amine Columns Francis weir formula to use proper units for weir length (inches) per Perry's. The calculation was previously using feet.

Corrected head calculations for multistage compressors. The compressor head calculation was previously using just the last stage head calculation.

Corrected the units conversion for coefficients for the Miller equation (ChemTran).


DESIGN II for Windows Version 8.04 New Features

DESIGN II Version 8.04

ChemTran Version 8.04

August 1998

The algorithm for generating the Computer ID has been modified to ensure that all Computer IDs will be in the range 1,000,000 to 999,999,999. A few PCs were generating negative or very small Computer IDs.

Simulator Kernel Enhancements

The Bulk properties generation for the inlet streams to LNG Heat Exchangers has been fixed.


DESIGN II for Windows Version 8.05 New Features

DESIGN II Version 8.05

ChemTran Version 8.05

August 1998

The password algorithm has been changed from the previous versions (8.00 to 8.04). You will need

to get a new password from technical support for software locking or hardware locking.

The algorithm for generating the Computer ID has been modified to ensure that all Computer IDs will

be in the range 1,000,000 to 999,999,999. A few PCs were generating negative or very small

Computer IDs.

Graphical User Interface Enhancements

Added a validation check that crude specifications can only be given for feed streams to the flowsheet. Recycle streams do not need crude specifications for flowsheet initialization. Recycle streams should use non-crude specifications for initial guesses

The crude stream properties and heating / cooling curves have been added to the stream “View Results” dialog.

The data results transfer to Microsoft Excel is now re-entrant. That is, you do not have to close the Excel spreadsheet anymore in order to update the simulation results data in it.

Distillation Column internal streams details are now transferred to MS Excel. Heating and Cooling curves for Distillation Column condensers and reboilers are now transferred to MS Excel.

The stream crude feed gravity dialog has been fixed to allow the entry or view of both the gravity curve and the bulk gravity value for a stream.

Fixed the Equal Pressure Ratios / Specified Pressures initial view on the Compressor Multistage dialog.

Fixed the Flow Meter View results dialog.

Simulator Kernel Enhancements

Fixed bubble point convergence on Refine column cooling curves when a very narrow range is produced.

The thermodynamics convergence for pure water streams using the steam tables and having a pressure above the critical pressure point (3208 psia) has been improved.


DESIGN II for Windows Version 8.06 New Features

DESIGN II Version 8.06

ChemTran Version 8.06

September 1998

The hardware locking was inadvertently disabled in version 8.05. The hardware locking was restored

in version 8.06.

Added a check that the Network Locking Directory (is so licensed) has been specified with eight

character (maximum) subdirectory names.

Simulator Kernel Enhancements

Added a new Inline Fortran variable for getting the calculated flowrate of a pumparound in a Refine Distillation Column, CAL PRO PUM (i).


DESIGN II for Windows Version 8.07 New Features

DESIGN II Version 8.07

ChemTran Version 8.07

September 1998

Simulator Kernel Enhancements

Increased the number of local variables for a Inline Fortran subroutine from 400 to 4000.


DESIGN II for Windows Version 8.10 New Features

DESIGN II Version 8.10

ChemTran Version 8.10

November 1998

Graphical User Interface Enhancements

Added a Plate-Fin Heat Exchanger (PFX) unit module with full two-phase rating. There are three symbols for usage, 3 streams by 3 streams, 5 streams by 5 streams and 9 streams by 9 streams. The streams can be hot side or cold side as necessary. There is full dialog support and Excel data results transfer for PFX.

Added dialog support and Excel data results transfer for the new unstructured packing in the Mixed Amine Columns.

Wrote a new equipment module section for the DESIGN II for Windows User guide.

Added a initial start numbering sequence for new streams and new equipment modules added to the flowsheet. Each are defaulted to one (1) initially.

Added full dialog support for single and two phase rating of shell and tube heat exchangers. Added dialog support for the heat exchanger print options.

Added dialog support for changing the thermodynamic methods used for by each equipment for calculating the K-value, enthalpy and density values.

Added dialog support for generating heating or cooling curves for all streams to show bubble point to dew point conditions.

Fixed the pump unit module view results.

Simulator Kernel Enhancements

Added a Plate-Fin Heat Exchanger (PFX) unit module with full two-phase rating. There can be up to 10 hot side streams and 10 cold side streams.

Added support for the SINH/COSH Ideal Gas Heat Capacity equation to ChemTran and DESIGN II. The full five constant form of the equation is supported along with the enthalpy and entropy integrals. This equation is commonly used by the DIPPR pure component database.

Added unstructured packing to Mixed Amine columns. There can be up to ten packing sections in a column. The packing supported can be Plastic, Metal or Ceramic. There can be up to ten redistributors in packed columns.

Changed the pump calculation to use the density and delta pressure calculation when the entropy option is requested and the mixed amine thermodynamic methods are in effect. The mixed amine thermodynamics does not calculate pressure effects on compressed liquids at this time.

The Batch Distillation unit module has been fixed for the following problems: 1. Continuous feeds are zeroed between events and must be restarted for each new event 2. Sidedraws are zeroed between events and must be restarted for each new event 3. FRA VAP, REC RAT COM and PUR SID COM now work correctly as stop events when MET UNI or SI UNI is on.

Added four tube materials to the heat exchanger rating tube materials and line module pipe materials. The tube materials are: Titanium, Alloy 825, Carbon Moly Steel and Stainless Steel 214. Changed the thermal conductivity of Admiralty Brass tubes from 64 to 70 Btu/ft/hr/F. Changed the thermal conductivity of Copper tubes from 196 to 225 Btu/ft/hr/F.

Added a new triangular symbol for the Mixer unit module.


DESIGN II for Windows Version 8.11 New Features

DESIGN II Version 8.11

ChemTran Version 8.11

December 1998

Please note that version 8.11 PSD files cannot be read by version 8.10 or earlier versions of DESIGN II for Windows. However, version 8.11 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added display of the Vapor Cp, Vapor Cv, Vapor Cp/Cv Ratio, Liquid Cp and Vapor Z Factor to the stream data box (if turned on by user).

Fixed a problem where the old topology was not being deleted if the topology connection was broken but there was not a new stream or equipment connected.

Fixed a problem in the heat exchanger rating dialog where the tube material selection was overwriting the tube layout selection.

Added selection of Column Specifications to the Mixed Amine Regenerator Column main specifications dialog.

Changed the Refine Column to emit the new bottom pressure keywords for the simulator instead of the delta pressure keyword for the main column and side strippers.

Changed the default number of increments for the PFX rating from 5 to 10.

Added an edit box to the Basic Thermodynamics dialog for entering the SELEXOL password for using SELEXOL thermodynamic methods. SELEXOL passwords are supplied by Union Carbide..

You can now over-ride the "Don't allow crude or pseudo-component specifications on a recycle stream" validation test by a check in the Specify/Recycle dialog.

Fixed a problem in DIIW 8.10 where pseudo-component specifications were being ignored for streams with component specifications (COM FRA, COM MOL, COM MAS, etc).

Simulator Kernel Enhancements

Added pressure bottom (PRE BOT) to the keyword commands and the Inline Fortran variables for the Refine column.

Added a warning to the PFX module when there is a crossover on the hot end.

Fixed calculation of CMTD in the PFX module when using Metric or SI dimensional units.

Changed the SELEXOL thermodynamics password algorithm to be based on the user’s serial number instead of the user’s DESIGN II account number. Also incorporated a start date and a stop date into the password. SELEXOL passwords are supplied by Union Carbide.

Added the combination of Condenser Temperature (TEM CON) and Reflux Ratio (REF RAT) specifications to the Mixed Amine Regenerator Column.

Fixed the floating point math error handler. The floating point math error handler was causing random simulator crashes (on Windows NT only) when handling multiple floating point math errors (division by zero, overflow, underflow, etc…).


DESIGN II for Windows Version 8.12 New Features

DESIGN II Version 8.12

ChemTran Version 8.12

December 1998

Graphical User Interface Enhancements

Fixed a problem in the stream to symbol snap-point connection topology extraction.

Simulator Kernel Enhancements

Fixed a memory allocation problem with too many streams in the crude stream section of the input file and 78 components.


DESIGN II for Windows Version 8.13 New Features

DESIGN II Version 8.13

ChemTran Version 8.13

December 1998

Simulator Kernel Enhancements

Fixed compiler related software problems in the steam tables.


DESIGN II for Windows Version 8.14 New Features

DESIGN II Version 8.14

ChemTran Version 8.14

December 1998

Simulator Kernel Enhancements

Fixed compiler related software problems in the steam tables.


DESIGN II for Windows Version 8.15 New Features

DESIGN II Version 8.15

ChemTran Version 8.15

January 1999

Graphical User Interface Enhancements

If the Windows User Interface is now started without a flowsheet then the FILE NEW dialog is presented so that the dimensional units system and the sheet size can be chosen at the start of a new flowsheet.

Started re-using and garbage collecting the Object Tag List. Added the current size of the Object Tag List to the Help About dialog.

Changed the number of default maximum recycle iterations from 1 to 10.

Simulator Kernel Enhancements

Changed the water decant flowrate variable on the Distillation Column to reflect the calculated (if any) water decant from the condenser.

Changed the Plate-Fin Heat Exchanger increment table printout to be in the reverse (outlet to inlet) direction for cold streams. Hot streams are still in the forward direction (inlet to outlet).

Fixed the stream summary total mass flowrate (at the bottom of the component flowrate table) to include solid phase components.

Fixed the Integration Method options for the Batch Distillation Column.

Changed the Shell and Tube Heat Exchanger rating from linear interpolation to cubic interpolation for properties. Fixed a viscosity correction error in the tube-side heat transfer coefficient calculation.

Fixed compiler related software problems in the steam tables.


DESIGN II for Windows Version 8.16 New Features

DESIGN II Version 8.16

ChemTran Version 8.16

January 1999

Please note that version 8.16 PSD files cannot be read by version 8.15 or earlier versions of DESIGN II for Windows. However, version 8.16 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

The object tag list is now completely reinitialized, compacted and rebuilt every-time a flowsheet is opened. This fixes a problem in 8.15 when we started reusing object tags.

Fixed a visual problem in the Excel transfer for PFX modules.

Simulator Kernel Enhancements

Various TBP prints in the Case Study table have been fixed. They are TBP (90 PT, 95PT, EP, IBP, 5PT, 10PT, 30PT).

Changed the simulator kernel so that the floating point math interrupt handler works properly on Pentium II CPU PCs and Windows 98. Windows 98 apparently has a bug in the floating point math interrupt handler on Pentium II PCs.


DESIGN II for Windows Version 8.17 New Features

DESIGN II Version 8.17

ChemTran Version 8.17

February 1999

Please note that version 8.17 PSD files cannot be read by version 8.16 or earlier versions of DESIGN II for Windows. However, version 8.16 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Existing stream numbers / names and equipment numbers / names are now kept (if not already in use) when you paste a region from the clipboard to a flowsheet.

Updated all addresses and phone numbers reflecting the office move on February 1, 1999.

The object tag list is now completely reinitialized, compacted and rebuilt every-time a flowsheet is opened. This fixes a problem in 8.15 when we started reusing object tags.

Simulator Kernel Enhancements

Updated all addresses and phone numbers reflecting the office move on February 1, 1999.

Fixed a convergence problem in the PFX module. Fixed a dimensional units problem when printing the Fin Spacing in the PFX specification sheet for inches, millimeters and yards.

Removed the flowsheet stop calculation trigger from the enthalpy calculation. This allows the results of a poor recycle feed guess to a column to be ignored until the next iteration of a recycle.

Added a dimensional units correction to the controller for a setpoint involving the enthalpy of a stream.

Improved the super method convergence of the inside mixers at the top and the bottom of the distillation column.


DESIGN II for Windows Version 8.18 New Features

DESIGN II Version 8.18

ChemTran Version 8.18

March 1999

Please note that version 8.18 PSD files cannot be read by version 8.17 or earlier versions of DESIGN II for Windows. However, version 8.16 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

The general simulation commands (components, thermodynamic methods, etc…) are now written to the DESIGN II input file as comments for dependent flowsheets to ensure that there are no conflicts between a dependent and primary flowsheet.

Set the compressor and pump default isentropic efficiency to be 0.65. Set the compressor default polytropic coefficient to be 0.22 (The default for compressor is still to calculate the polytropic coefficient). Explicitly identified the compressor efficiency type (polytropic or isentropic) in the compressor basic specifications dialog. Explicitly identified the pump efficiency type (volumetric or isentropic) in the pump basic specifications dialog.

Added Heating and Cooling curves to the View Results dialog for streams.

The Critical Volume (VC) is now written in proper scientific numbers for Pet-100 components into the DESIGN II input file.

Simulator Kernel Enhancements

The DESIGN II and ChemTran simulator kernels have been changed to Windows 32 bit DLLs for future user programming via Visual Basic or C. An additional benefit to this is a reduction of the internet distribution from 15.5 MB to 12 MB (a reduction of 3.5 MB) and a smaller disk space requirement of 33 MB (a reduction of 8 MB from the 41 MB disk space requirement in 8.17).

We now automatically split polytropic compressors into 100 segments and recalculate the polytropic coefficient and other properties for each segment (when DESIGN II has been instructed to calculate the polytropic coefficient). The amount of CPU increase in order to accomplish this is not significant.

The Heat Exchanger documentation was changed to: Heat Exchanger is calculated in series when SHELLs= command is used only when NOT rated and heat exchangers are considered to be in parallel for SHELLs = command, when rating is done.

In the equilibrium reactor, all individual reactions should be numbered and defined in ascending order (example: R1, R2, R3 and NOT R2,R1, R3 or R3,R2,R1). A total of 24 reactions are allowed per reactor module.

Fixed the compressor efficiency to be polytropic efficiency for a polytropic calculation. The compressor was assuming that the efficiency was isentropic since a compressor calculation change in version 8.02.

ChemTran data regression for Ethylene Glycol (EG, Component ID 3103) was improved by rolling back to the old data that was updated in version 8.10.


DESIGN II for Windows Version 8.19 New Features

DESIGN II Version 8.19

ChemTran Version 8.19

May 1999

Please note that version 8.19 PSD files cannot be read by version 8.18 or earlier versions of DESIGN II for Windows. However, version 8.19 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added a new symbol for reciprocating compressors, Compressor 2. Added a new symbol for a control valve, Valve 4.

The flowmeter results are now transferred to the Excel spreadsheet.

Added a new rule to the flowsheet validation that all stream and equipment names cannot have a comma in them.

The flowsheet linking file (flowsheet name .UNX), has been converted to the Windows Initialization file format to fix a file concurrency problem. The UNX file format is automatically detected and converted to the new file format if necessary. The old UNX file is saved as a UN3 file.

Added a new rule to the flowsheet validation that the Assay Data / Cut Points and crude specifications for a stream cannot be simultaneously input.

Fixed a problem in the Stream Data Box where the Vapor Z-Factor was not being reported properly for crude streams. Also fixed a problem in the Stream Data Box where the molar flowrates were being inaccurately reported when the DESIGN II printout units were on a mass basis.

Simulator Kernel Enhancements

Added a new Visual Basic interface for incorporating the DESIGN II simulator kernel into a custom user written application. The simulator kernel has the isothermal flash and transport property generation methods exposed. (8.19C)

Fixed a case study dimensional units problem in the columns' stripper command (CHAnge PRO STR command in REFINE) to change the flowrate. (8.19B)

Improved the Mixed Amine thermodynamic method convergence for special circumstances of very low amounts of amines. (8.19A)

The PFX and Shell and Tube Heat Exchanger rating algorithms have been improved for 100% condensation or boiling of a stream with single component.

Fixed a problem where some fully water saturated streams were not being initialized properly using thermodynamic methods where water is treated immiscible (like API Soave).

The adiabatic flash is now converging to a better tolerance for streams containing very small amounts of amines using the Mixed Amines thermodynamic method.

The values of the Vapor Coefficient of Discharge, Liquid Coefficient of Discharge, Vapor Coefficient of Expansion, Liquid Coefficient of Expansion, Static/Total Pressure Factor, Vapor Reynolds Number, Liquid Reynolds Number and the Critical Flowrate have been added to the flowmeter printout.


DESIGN II for Windows Version 8.20 New Features

DESIGN II Version 8.20

ChemTran Version 8.20

September 1999

Please note that the password algorithm has been changed for this release. All passwords issued before version 8.20 will not work. Please contact WinSim for a new password if needed. Your MSS (maintenance and support) or lease must be current in order to get a new password.

Please note that version 8.20 PSD files cannot be read by version 8.19 or earlier versions of DESIGN II for Windows. However, version 8.20 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

There is a new Air Cooler unit module with single or two phase rating. The existing Air Cooler symbol is now attached to the new Air Cooler unit module. Created a compete set of dialogs for the new Air Cooler. Pre-existing Air Cooler symbols will still be attached to the simple Heat Exchanger unit module until they are deleted. Added a new Air Cooler (2 Strm) symbol.

Added complete dialogs for the Shortcut Distillation unit module.

Added a column efficiency dialog for the Distillation Column unit module.

Added vertical and horizontal sizing dialogs to the Flash unit module.

Added the new stream vapor fraction command to the stream specification dialog. You can now specify a stream with Temperature and Pressure, Vapor Fraction and Temperature, or Vapor Fraction and Pressure. Also, you can now turn the stream specifications on or off in the dialog.

Added new stream results display on the flowsheet of stream temperature, pressure, vapor fraction, vapor flowrate, liquid flowrate, free water flowrate, enthalpy, total molar flowrate and total mass flowrate.

Added new duplicate items to the Stream Data Box and control over the displayed dimensional units for the duplicated items so that they can be displayed in both English and Metric units.

Added dialog and Excel transfer support for the new stream calculation options: heating value (gross and net), wobbe index, dew/bubble point and water dew point.

A new “Simulation Warning and Error Messages" list box is now included in the View Summary dialog which also pops up at the end of a simulation. All warning and error messages from the simulation are present in the list box with a “go to page” function.

Resolved the "System Error: The file you are trying to open is already in use by another program. Quit the other program and then try again. Can't open output file:” problem in Windows 95/98.

The Reactor symbol now allows up to 8 inlet streams.

Added a warning when the DESIGN II simulator kernel is run on a drive with less than 10 MB of free disk space. The warning is "You do not have 10 MB of free disk space on the working disk drive. The simulation is being stopped. Please free some disk space or change disk drives."

All stream Reid Vapor Pressure calculations are now transferred to Excel.

Simulator Kernel Enhancements

Added a new Air Cooler unit module with single or two phase rating. The Air Cooler can have a specified air stream, if desired.

Added new stream calculation options such as heating value (gross and net), wobbe index, dew/bubble point and water dew point calculation on all streams.

Extended the ChemTran regression data limit to 10,000 sets of data.

Fixed a special instance of Reactor inert components handling.

Added a new Vapor Fraction with Temperature or Pressure specification for feed streams and recycle streams.

DESIGN II now prints per YEAR instead of per ANNUM for flowrates in detailed stream print section when requested by the user.

Added a warning message to indicate the presence of recycle streams that have not been specified and should be specified by the user.

The Stream Manipulator factor specification lower limit has been changed from 1.0E-6 to 1.0E-15.

Added a warning on the pump calculation switch from entropy to volumetric when "Mixed Amine" thermodynamic method is used.

The Mixed Amine column convergence now notifies the user that the column did not converge for given tolerance.

Fixed an Inline Fortran problem that corrupted the stream data of a Distillation Column with internal streams. The column had to be numbered 1 and there had to be equipment in the flowsheet using PRE executing Inline Fortran code.


DESIGN II for Windows Version 8.21 New Features

DESIGN II Version 8.21

ChemTran Version 8.21

October 1999

Please note that version 8.21 PSD files cannot be read by version 8.20 or earlier versions of DESIGN II for Windows. However, version 8.21 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added new validation rules when using the Mixed Amine thermodynamics:

  1. If using any Mixed Amine thermodynamic method then all thermodynamic methods and physical property methods must be Mixed Amine.

  2. There is a maximum of 20 components when using the Mixed Amine methods.

  3. If a Mixed Amine column is present in the flowsheet then the main thermodynamic methods must be Mixed Amine.

  4. If using Mixed Amine Thermodynamics then 2 and only 2 of the following amine components must be present: MEA (2053), DEA (4051), DIPA (4155), DGA (6012), MDEA (7051).

  5. All components in use must be available for Mixed Amine Thermodynamics.

  6. If MDEA (7051) is present in the selected components then it must be the second amine in the selected components.

Added the Tray Internal Data table for the Mixed Amine Columns to the MS Excel data transfer.

Added the new Vapor Viscosity Mixing Method 2 (MIX2) and the new Vapor Thermal Conductivity Mixing Method 3 (MIX3) to the Basic Thermodynamics dialog.

Fixed a problem where the tube side thermodynamic method choices were overwriting the shell side thermodynamic method choices for two stream heat exchangers.

Fixed a problem where a crude section was required for a flowsheet if a Refine Column had ever been created in the flowsheet. The crude section requirement was not removed if the Refine Column had been deleted.

Fixed a problem in the Air Cooler basic dialog where a conflict existed between two of the drop down list boxes and process side specification changes were not being stored.

Simulator Kernel Enhancements

Added several new functions to the Visual Basic interface: CalculateWaterSaturationPressure, CalculateWaterSaturationTemperature, CalculateAdiabaticFlashAtPressure, CalculateAdiabaticFlashAtTemperature, CalculateHydrateTemperature and CalculateHydratePressure.

Added new Mixing Method 2 (MIX2) method for Vapor Viscosity mixture calculations and new Mixing Method 3 (MIX3) method for Vapor Thermal Conductivity mixture calculations.

Fixed a dimensional units print and conversion problem for gauge pressures in the process line sizing printouts.

Improved Shell and Tube Heat Exchanger Rating convergence with the condensing fluid in the tube side and air / water mixture.

Fixed a dimensional units problem in locating the side feed to the mixed amine absorber column.

Improved the Air Cooler rating convergence for very low flow on the process side.


DESIGN II for Windows Version 8.22 New Features

DESIGN II Version 8.22

ChemTran Version 8.22

November 1999

Graphical User Interface Enhancements

Fixed a problem where the new stream results items on the flowsheet were causing the stream number on the flowsheet to move about if displayed.

Added a new validation rule requiring the selection of the same dimensional units for the mixed amine column packing depth and feed location. This applies to side feed packing (or tray depth) also. Also fixed the rule that says the side feed location must not be more than the packing depth.

Fixed location of feeds on packed mixed amine columns. Packing top feed location is now emitted as 1, not zero and it will work now for all dimensional unit systems (Metric, SI, US).

Simulator Kernel Enhancements

Improved the shell and tube heat exchanger rating calculation code to do a better job of converging water and air mixtures in partial condensing situations.

Fixed the error "A Dynamic Memory Bucket has been Corrupted ...." when simultaneous convergence recycle method was used.

Improved the Mixed Amine enthalpy thermodynamics for calculating the enthalpy of the vapor mixture when zero amines are present in the mixture.

Converted the Visual Basic sample application, D2PROPS, into a tabbed page user interface for better clarity of all the data values. Added selection of components, thermodynamic methods and flash type (isothermal, adiabatic at temperature, adiabatic at pressure). The full source code of D2PROPS is included for user investigation of the capabilities of DESIGN II simulator kernel.

Fixed a print error where a pure water feed stream was not reporting the calculated temperature or pressure correctly for a vapor fraction specification.

Resolved the printing of "Solution has not been reached" message when mixed amine columns did not converge in earlier iterations but did actually converged later to emit "Solution has been reached" message.

Removed "Could not open \device\physical memory: Access is denied" message from the beginning of the simulation. This message is just a debugging message and was accidentally left in the code. Please note this message only occurred on Windows NT when the user is not logged on with Administrative rights.

Removed the message “ERROR: NIN is greater than 1 in ADBF !!! NIN is 2" in the two-stream heat exchanger. Future renditions of the message (if they occur) will be a warning, not an error.


DESIGN II for Windows Version 8.23 New Features

DESIGN II Version 8.23

ChemTran Version 8.23

January 2000

Graphical User Interface Enhancements

Changed the requirement on the presence of “nitrogen” for all Reid Vapor Pressure (RVP) calculations. Only REId ASTm method now requires Nitrogen (component id number 46) to be present in the component list. Other methods (REId CRUde and REId PROducts) do not require Nitrogen’s presence. There is a new validation test to ensure that Nitrogen is present in the component list if the Reid Vapor Pressure method is selected..

Converted the scrolling list boxes of the component selection dialog into one big list box. This resolves the random scroll list shifting (up or down) problem identified in Windows 98 only. The list box dialog now dynamically responds to scrolling events and the Page Up / Page Down keys.

Modified the validation error on distillation (ABSorber REBoiler) columns main specification so that it now indicates user to specify ONLY in molar units for the “Bottom (or Top) product rate” specification, when Regular convergence technique is used.

Refine column(s) from an existing flowsheet can now be copied to a new or different flowsheet without any error.

Added the Heat Transfer Coefficients to the Excel data transfer for heat exchanger rating profile tables.

A warning will be emitted if stream name string has a single quote ‘ character followed by a closed parenthesis. This ‘) is not allowed for stream or equipment names.

Allowed the use of feed flowrate "pseudo-component volume percent" specification when the Assay Data or Cut Points are provided.

Simulator Kernel Enhancements

Fixed Diglycolamine (DGA, Component ID #2053) pure component property initialization for Mixed Amine thermodynamics.

Resolved shortcut fractionator error when recovery fraction specified was less than 0.1. Program now accepts a lower case “e” in all numerical values using scientific notation.

Fixed an error in Q-T function on the hot side of a LNG heat exchanger.

Warnings are provided when the number of specified component flowrates are greater than the number of components listed using the FLO input command. All component flowrates entered above the number of declared components are ignored.

Fixed the pure water stream initialization problem for higher numbered cooling water streams feeding to a two-sided heat exchanger.

Removed the message “NIN > 1 …”, an inadvertent message in the heat exchanger and equilibrium reactor output.

Improved the shell and tube heat exchanger rating calculation code to do a better job of converging water and air mixtures in partial condensing situations.


DESIGN II for Windows Version 8.24 New Features

DESIGN II Version 8.24

ChemTran Version 8.24

February 2000

Please note that version 8.24 PSD files cannot be read by version 8.23 or earlier versions of DESIGN II for Windows. However, version 8.24 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added dialog support for new temperature tube out specification for two stream heat exchangers.

Added new dialogs for fired heater unit module.

Added new dialogs for flowmeter unit module.

The new Volume Standard conditions command is supported via the Specify / Preferences dialog. The available choices for the default dimensional units are US at STP, Metric at NTP, SI at NTP, Metric at STP and SI at STP.

Added new M3 LIQ STP and M3 VAP STP dimensional units (input and output).

Added a validation rule that a Fix Top Tray Temperature specification by varying a product flowrate on the Refine column requires that the product flowrate must be set as a specification also.

Added a new general sample flowsheet of a combined cycle power plant with a 70 MW Gas Turbine, a Heat Recovery Steam Generator and a 30 MW Steam Turbine.

Simulator Kernel Enhancements

Added error checking for proper DESIGN II execution when the required ChemTran file is not present in the same directory. An error message indicating this is now printed to the screen without stopping the DESIGN II run.

Added a new VOLume STAndard condition command to allow standard conditions to change between STP and NTP. This applies for SI and Metric unit system only. The default is NTP. The new command switches standard conditions for all standard volumetric printouts such as the Vapor and Liquid flowrates in the stream summary and in the refine unit module.

Added new dimensional units of M3 VAP STP and M3 LIQ STP for both input and output.

Changed the print output of the FT3 liquid volume dimensional units to FT3L@STP.

Changed the print output of the M3 API vapor volume dimensional units to M3V API.

Changed the print output of the M3(NTP) liquid volume dimensional units to M3L(NTP).

Changed the print output of the M3(NTP) vapor volume dimensional units to M3V(NTP).

Added a new TEMperature TUBe OUT command for specifying the tubeside outlet temperature of a two stream heat exchanger.

Added printing of the True Vapor Pressure of a stream at 100 F to all Reid Vapor Pressure prints in the detailed stream page in the simulator output.

Added printing of the Critical Pressure and the Critical Temperature of the stream using Kay’s Rule to all streams in the detailed stream page in the simulator output.

Fixed heat exchanger rating calculations to display utility side flowrates in proper time units if the requested time units were not hours.

Fixed the calculation error in printing the maximum flowrate at initial vent conditions of the depressurizer module.


DESIGN II for Windows Version 8.25 New Features

DESIGN II Version 8.25

ChemTran Version 8.25

February 2000

Please note that version 8.25 PSD files cannot be read by version 8.24 or earlier versions of DESIGN II for Windows. However, version 8.25 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added five additional components (iso-pentane, Component ID #7; n-pentane, Component ID #8; n-hexane, Component ID #10; n-heptane, Component ID #11, iso-hexane, Component ID #1159) to be used with the Mixed Amine thermodynamic method.

Fixed the flowsheet stream properties display update problem for all simulation cases. It was stopping updating the displayed stream properties when a stream had a zero flowrate for all subsequent streams.

The Legend display problem has been resolved. Flowsheet did not save the actual status of the legend box, only the contents. It assumed the Legend box was ON if it had contents.

The case study section is now transferred to Excel and each case will have a separate excel sheet. The case study table is copied to the base case Excel file on its own page, Case Study.

The FM2NBOOK data results transfer to Microsoft ® Excel has been converted from a Win16 DLL to a Win32 EXE. It now understands long file names and it can find MS Excel properly without having to resort to old style short file names. The Excel transfer has been named the DESIGN II Excel Blaster™ that will start Microsoft® Excel, open the old spreadsheet or create new spreadsheet, and transfer the results of your current flowsheet into Excel. All of the results data transferred to Excel will be properly formatted and placed on appropriate pages. FM2NBOOK.EXE can now run as intermediary from DESIGN II for Windows (using FMSTARTR.EXE to start it) or independently. In GUI mode it now allows one to select the DESIGN II output file to translate and has a browse button for invoking the File Open dialog.

Simulator Kernel Enhancements

Added five additional components (iso-pentane, Component ID #7; n-pentane, Component ID #8; n-hexane, Component ID #10; n-heptane, Component ID #11, iso-hexane, Component ID #1159) to be used with the Mixed Amine thermodynamic method.

Added calculated temperature out and calculated duty to the fired heater module results.

Corrected error in ASTM print for 98% endpoint when ASTM calculations are used for a combined feed of multiple crude streams.

Rectified Inline Fortran in user written subroutines when a component flow of a stream is conditionally SET on a IF statement line. It was previously zeroing the stream flowrate even if the logical statement was not TRUE.

Fixed the rating of an air-cooled exchanger to use the calculated delta pressure for the hot side stream when it is less than the specified input delta pressure.

Added Cv and ratio of Cp/Cv for free water in the detailed stream print, when water is treated as immiscible.

Resolved the detailed stream print to now include all stream calculation option items (RVP, dew point, bubble point, etc…) before the petroleum stream liquid fraction and vapor fraction printouts.

The water dew point calculation is now calculated regardless of the water miscibility specification. It was previously only calculated for immiscible streams.

The calculated tubeside pressure drop for a two stream heat exchanger with rating may be less than previously calculated since the prediction of when to use the single phase or the two phase pressure drop method has been improved.

The True Vapor Pressure calculation on the detailed stream print now takes free water into account.


DESIGN II for Windows Version 8.26 New Features

DESIGN II Version 8.26

ChemTran Version 8.26

March 2000

Please note that version 8.26 PSD files cannot be read by version 8.25 or earlier versions of DESIGN II for Windows. However, version 8.26 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added complete dialogs for the Equilibrium Reactor unit module.

Added an “Update Results Data” menu item under the Simulate pulldown menu. This can be selected after a simulation is complete to manually update the stream data box results and the free floating stream results on a flowsheet. Flowsheet simulation results are automatically updated after a simulation is complete for all unlinked flowsheets and the primary flowsheet of a set of linked flowsheets. Dependent flowsheets must have their simulation results manually updated at this time.

Added control of the printing of calculation options for all streams in the flowsheet to the Specify / Print… dialog. The calculation options are for printing CO2 formation check, Wobbe Index, Gross Heating Value, Net Heating Value, Hydrate Temperature, Hydrate Pressure, Critical Properties, Saturate Feed Streams with Water, Bubble point, Dew point and Water Dew point.

Added a new enthalpy method option of “Liquid Heat Capacity” for unit module specific thermodynamic methods.

Added a validation error check that the number of streams in and out of the plate-fin exchanger (PFX) must be the same. PFX modules must have same number of inlet and outlet streams.

Added GLAss and PVC material dialog selections to the Graphical User Interface for the Line Pressure Drop Module, Heat Exchanger and Air Cooler.

Resolved flowmeter dialog errors. Now it correctly emits two specifications when one among the three calculation options (calculate flowrate, calculate size and calculate pressure drop) is chosen.

Selection of Peng-Robinson thermodynamic method, on all new flowsheets, will now automatically activate the BIN PAR=PENG1 command to use the stored binary interaction parameters.

Fixed a problem with the PFX Heat Exchanger with specifying the pressure drop across the hot side and cold side streams.

Fixed a problem with displaying stream data on the flowsheet after the stream flowrate goes to zero on the latest simulation. The stream data is now set to blanks if the result item is zero.

Resolved an incompatibility between Microsoft Windows 95 and the new DESIGN II Excel Blaster™.

Resolved a potential internal buffer overflow problem when a flowsheet has more than 8 feed streams (and specified recycle streams). The problem occurred when you add, change or delete a component from the component list for the flowsheet.

Simulator Kernel Enhancements

Added a new enthalpy method of “Liquid Heat Capacity”, LIQCP, for unit module specific thermodynamic methods. This enthalpy calculation method is only valid for liquid mixtures of Water (62), EG (3103), DEG (4030) and TEG (4044). Any liquid component not in the previous list will be ignored by the method. Any vapor portion of the mixture will automatically use the STDH enthalpy method.

Limited the slate of components for the crude feed automatic light end analysis. The components that will be allowed are DESIGN II ID#s: 2 to 45, 52 to 61, 65 to 98 and 100 to 199. Note that this new limited slate of components can be over-ridden by the FEEd REAl command (except for water). Warning messages will now indicate which components are being bypassed in crude feed light end analysis.

Activated use of four materials added in previous Versions with the Line Pressure Drop Module.

A significant portion of the pure component database has been moved into an external text file, compdata.txt, that is read at runtime. Do not make any changes to this file since this will compromise the integrity of the process simulator.

ChemTran file executions will now automatically print pure component properties for all the components present in the COMponents list command. Previously the PRInt PROperties command was used.

Resolved an isolated adiabatic flash convergence problem when water is present as miscible or immiscible component.

Flash non-convergence messages in depressurizer were rectified. It was due to the initial conditions being too cold due to flash iterations. Reduced the number of flash iterations required to converge at cold conditions.

Added two new materials for heat transfer: GLAss (0.6667 Btu/ft/hr/F) and PVC (0.1 Btu/ft/hr/F). They can be used in Line Pressure Drop Module, Heat Exchanger and Air Cooler modules.

Fixed the calculation error in component INErts command used in an equilibrium adiabatic reactor.

Resolved the bubble point temperature prediction methods to use similar acentric factor to that of the stream initialization specification of pressure and vapor fraction. Now both calculation approaches predicts the same temperature for zero vapor fraction.

Added printout of the global or equipment specific thermodynamic method used in stream summary. Added thermodynamic method’s option name and printed old enthalpy value along with new enthalpy value calculated using different enthalpy methods for the affected streams before the equipment is calculated.


DESIGN II for Windows Version 8.27 New Features

DESIGN II Version 8.27

ChemTran Version 8.27

April 2000

Please note that version 8.27 PSD files cannot be read by version 8.26 or earlier versions of DESIGN II for Windows. However, version 8.27 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added complete dialogs for all the Specific Reaction types in the Reactor module.

Added Calculate Bulk Properties for all streams to the Print Options dialog.

Added validation rules to warn users selecting petroleum fractions (Components Pet 100 to Pet 199) to also include name, molecular weight, gravity and boiling point data before execution.

Added calculated output pressure and specified output pressure values to the compressor “View Results” and compressor results in the excel transfer.

If you double click on a stream or equipment while the drawing window is not active (partially obscured by another window), the data dialog for the stream or equipment that was selected will now be presented. Previously, the data dialog for the last selected stream or equipment was presented.

Resolved the row shift in stream summary results display using the Excel transfer feature of a DESIGN II output file.

Fixed the Refine Column's bottom heat source selection. Previously, a heater on the bottom tray was sometimes required by the validation logic.

Simulator Kernel Enhancements

Added a new Inline Fortran variable, “DUT INT (i)” to the variables for the Distillation Column unit modules. DUT INT (i) can be used for both SET and GET operations. “i” is the number of the intercooler on the column, starting from the top of the column.

Pumps, Compressors and Expanders now display their calculated outlet pressure and their specified outlet pressure. These values can be different if a compressor is work limited.

High pressure dew and bubble point calculations now determine the default phase of the mixture and phases above the critical region are warned. Supercritical mixtures will now consistently get a default vapor fraction of 1.0.

The Air-Cooler Rating Sheet now correctly displays the number of fans in the FANS/BAY item.

Added BULK = ALL command for calculating Bulk Properties for all streams on the flowsheet that are inlet streams to heat exchangers.

Created three new calculated heat exchanger variables: CALculated AREa, CALculated EFFective AREa and CALculated ACTual AREa, that can now be accessed in the CONTroller module.

Changed the internal code so that all items written to the screen now get written to the output file also.


DESIGN II for Windows Version 8.28 New Features

DESIGN II Version 8.28

ChemTran Version 8.28

May 2000

Please note that version 8.28 PSD files cannot be read by version 8.27 or earlier versions of DESIGN II for Windows. However, version 8.28 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added the ability to display important calculated variables on the flowsheet for equipments such as: Air Cooler, Compressor, Distillation Column, Expander, Flash, Fired Heater, Heat Exchanger, and Pump.

Resolved the Excel transfer problem for column details. This happened only when the names of the DIStillation columns were longer than 12 characters that got truncated in the DESIGN II output file leading to improper Excel transfer.

Added vapor/liquid viscosity and vapor/liquid thermal conductivity values for display in the stream data box on the flowsheet. These can be activated under Stream Data Box Items 1.

Modified the fired heater heating value of fuel to only allow molar quantity or vapor volume quantity units only. Previously the GUI allowed all quantity units for the heating value of fuel.

Added View Results for the following modules: Batch Distillation, CSTR, PFR, Reactor and Hydrotreator.

Added additional Distillation module dialogs for: Convergence Control, Intercoolers and Print Options.

Added additional symbol snap points for the Hydrotreator unit module. Added a dialog for specifying the basic stream connections and hydrogen quench stream for the Hydrotreator.

Simulator Kernel Enhancements

The Distillation Column automatically now treats water as immiscible when the flowsheet thermodynamic method treats water as immiscible. Various other enhancements have been included for a better treatment of column water decants. The column now does a better job of calculating the free water balance when the feed streams are 98% free water or more.

A default value (11 %) is now included for sieve trays percent area open when sieve trays are being used in the Amine Columns. You can specify a value for the same also.

The number of crude feed streams in a flowsheet has been increased to 35 from 20. This includes recycle stream crude specifications, if any.


DESIGN II for Windows Version 8.29 New Features

DESIGN II Version 8.29

ChemTran Version 8.29

July 2000

Please note that version 8.29 PSD files cannot be read by version 8.28 or earlier versions of DESIGN II for Windows. However, version 8.29 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added complete dialogs for Phase Map and Phase Envelope unit modules.

Included a validation rule to the flowmeter’s diameter to plot ratio dialog in the optional specifications.

Resolved the distillation column’s flowsheet display items problem when column specs are changed.

Added a new multiple outlet divider unit module with dialogs.

Fixed the incorrectly displayed duty of an exchanger on the flowsheet when the equipment number is greater than 99 (100+). If the equipment number is in the range 1 to 99 then the displayed results on the flowsheet are correct.

Added “KW Usage” for pumps and compressors to be displayed on the flowsheet.

Added a new tower diameter flooding percent option for trayed Mixed Amine columns. Column diameter will be calculated based on given tray flooding percent.

Modified the Main Specifications dialog in Distillation column and added other side draw purity / component fraction options to the side draw specifications.

Fixed the sort selected components for Water/ Boiling Point Order in the Component Selection dialog. When crude section is present Water can now be sorted to be the first component in the list.

Resolved liquid flowrate multiple units display problem on the flowsheet’s stream data box.

Added a new Tray Sizing dialog for distillation columns and refine columns.

Simulator Kernel Enhancements

The number of crude feed characterizations on one flowsheet has been increased to 75 from 50. This includes recycle stream crude specifications, if any.

Added a new tower diameter flooding percent option for trayed Mixed Amine columns. Column diameter will be calculated based on given tray flooding percent.

Added Q-T curve option for single process stream air cooler. Air needs to be present as a component. The new Q-T curve is transferred to Excel.

Improved error message and added checks for validity of internal bank pointers within modules having Inline Fortran coding.

Enhanced heat exchanger rating calculations when narrow (close) boiling components are present on the shell side.

Fixed the input stream flowrate calculation (in metric units) to check for STP conditions, which previously was referenced at NTP conditions.

Resolved the metric units conversion problems in the air-cooler rating results.

Fixed units conversion for calculated pressure(s) display for pump/compressor/expander modules.

Fixed the stream summary and detailed stream results to print properly for pure water streams that are 100% vapor.

Resolved a problem in heat exchanger rating when 2 parallel shells were specified.


DESIGN II for Windows Version 8.30 New Features

DESIGN II Version 8.30

ChemTran Version 8.30

November 2000

Please note that the password algorithm has been changed for this release. All passwords issued before version 8.30 will not work. Please contact WinSim for a new password if needed. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that the Computer ID value has been changed for this release. Previously, the Computer ID was computed from a combination of the motherboard BIOS code and the volume serial number of the C: drive. The Computer ID is now generated using the manufacturer’s serial number written to the primary hard drive.

Please note that version 8.30 PSD files cannot be read by version 8.29 or earlier versions of DESIGN II for Windows. However, version 8.30 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

The Graphical User Interface flowsheet display has been upgraded from 16 bit to 32 bit. Converted user interface from modal (equipment, stream, text, arrow) to interactive object selection. Added right mouse button popup menus for all objects on the drawing. Added support for long file names for the flowsheet.

Added a dialog for the stream thermodynamic and transport methods.

Added transport methods to the equipment thermodynamic method dialog.

Fixed the problem with more than 16K of text of the Inline Fortran dialog. The Inline Fortran and Keyword Input dialogs now support up to 32K of text. Previously, if the amount of text in a window went over 16K, the text in the over 16K portion was corrupted.

Increased the GUI’s internal buffer limit to allow more than 1000 streams to be drawn and deleted.

Added a new heat transfer fluid, Therminol 66 (ID#2054), to the pure component DESIGN II / ChemTran database.

Added a check box on the Basic Thermodynamic dialog to turn on the new USE LIQUID CP method for the flowsheet.

Added four new flowsheets for modeling various portions of ammonia plants in samples\ammonia.

Corrected the liquid flowrates in the stream data box to calculate the values correctly if the conditions were changed from STP to NTP or NTP to STP. Also fixed a units conversion problem from M3/hr to MMSCF/hr when the flowsheet was printed using metric NTP units.

Deactivated equilibrium reactor's "Specific Reactions" option when "Global" option is on.

Added API Enthalpy checkbox to the flowsheet print options.

Simulator Kernel Enhancements

Turned on the steam tables automatically for all streams containing 99.99% or more water. If so used, the detailed stream print will reflect the steam tables in its thermodynamic method list.

Added a liquid heat capacity thermo method, USE LIQuid CP, for combinations of Water, EG, DEG, TEG and Therminol 66 that turns on automatically if desired by the user.

The detailed stream print now prints all of the actual thermodynamic and transport methods that were used for calculation of the stream.

Added thermodynamic and transport initialization commands for various properties (K-values, Enthalpy, Density, etc..) of streams. This is effective only for feed streams and the first iteration for recycle streams.

Added support for Design Institute of Physical Property (DIPPR) data and equations to the DESIGN II / ChemTran pure component database. The data and equation coefficients for water, EG, DEG, and TEG was updated. The ideal heat capacity coefficients for hydrogen, ammonia and oxygen was updated.

Added Therminol 66 as pure component 2054 using data from Solutia Inc.

Added isentropic flashes at temperature or at pressure to the Visual Basic interface and sample application

Added specification of a specific transport property method to the equipments.

Added a new AMErican UNIts OUT keyword so that results can be now printed in this dimensional units even when METric or SI UNIts are chosen as the global unit system. Previously, output values were same as in the global unit system defined.

Added liquid and vapor molar flow rates display for each tray (including reboiler) to the Distillation and Refine Module’s Smith-Ohlswager-Dresser sizing table.

Fixed the tube velocity value prediction during output results processing in heat exchanger rating data sheet.

Changed the line module print routine to test for heat transfer options used. Now the line module results emit the proper heat transfer methods used. Corrected the heat transfer option printout to reflect the calculated value of U used instead of printing isothermal.

Resolved DESIGN II/ ChemTran memory bank errors by increasing bank size, when CHEmical THEory of VAPorization and HayDen OCOnnell VAPor method were used.

Updated the Equilibrium Reactor to support the new ideal gas heat capacity equations.

Fixed case study CHAnge option when FLOw COMposition (units) i stream variable is used.

Improved convergence in multiple flash algorithm when near dew point for hydrocarbon streams.


DESIGN II for Windows Version 8.31 New Features

DESIGN II Version 8.31

ChemTran Version 8.31

December 2000

Added a new device driver install program for use with hardware key locking on Windows 95, 98, ME, NT, 2000.

Graphical User Interface Enhancements

Added “Selection Mode On” command under the Edit pulldown menu. This command allows you to switch the user interface back into the old browser driven modes (equipment, line, text, arrow). This new command defaults to On.

Fixed a problem in the software execution protection code dealing with stating the Computer ID correctly in the license dialog.

Resolved flowsheet file execution problems from any directory structure. The DESIGN II simulator kernel can now be started in a very long path or across a unmapped network drive.

Added petroleum fraction component ID numbers from 500 to 999 in the GUI’s component list.

The maximum number of components has been increased from 150 to 1000.

Added support of long file names and long file paths to the flowsheet linking.

Simulator Kernel Enhancements

The maximum number of components has been increased from 150 to 1000.

Added component numbers 500 to 999 for additional petroleum fraction numbers.

Fixed component material balance in DIS column calculations under unique circumstances.

Resolved ChemTran results file/pages problem and the path in which the ChemTran data file is being placed.

Activated PRI SWI = 2 as per documentation for printing DIS column tray to tray results.

Resolved command options when PRInt SWItch =…, is activated for printing tray details of distillation column as per manual documentation.

Fixed a problem for manually flashing pure water streams using INISTR in Inline Fortran.


DESIGN II for Windows Version 8.32 New Features

DESIGN II Version 8.32

ChemTran Version 8.32

January 2001

Please note that version 8.32 PSD files cannot be read by version 8.31 or earlier versions of DESIGN II for Windows. However, version 8.32 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Improved the Glitsch tray sizing dialog to include the new downcomer commands and enabled excel transfer for the new downcomer sizing table.

Line sizing results are now transferred to Excel.

Added a component ID # 1000, for Hydrogen (para) into the component selection list.

Fixed a intermittent crash when saving the flowsheet to an existing file with a name longer than 20 characters using the File / Save menu command. Existing PSD files are now saved to their name plus a “.bak” extension when saving over them, for example “expander.psd” is saved to “expander.psd.bak”.

Fixed the Stream data box to properly display mass rate or mass or mole composition selections. Previously it displayed molar rate regardless of selection.

Fixed displayed stream results when solids are in flowsheet and a stream is totally solids. The Excel transfer problem when solids are in a stream is now resolved.

Added complete dialog support for Continuous Stirred Tank Reactor (CSTR) module.

Simulator Kernel Enhancements

Added more column tray sizing commands (downcomer area, weir height, weir length, ballast unit data, and deck thickness) to be used in Glitsch method to calculate pressure drop, flow path length and down comer backup.

Improved the Distillation Column Super Plus convergence method when large quantities of water are present in the column. Added a check and warning message to the Distillation Column to make sure that the top vapor product is at the correct temperature.

Fixed the reported unit conversion problem in the case study section, when metric units were used.

Compressor polytropic head units are now printed in KJ/KGm units, when SI units system is selected.

Added a component ID # 1000, for Hydrogen (para) using the new DIPPR pure component data. Interaction parameters (Peng Robinson, AGA, & Lee-Kesler-Ploecker) of ID#1, hydrogen have also been activated for use with ID#1000. Restored the previous ideal gas heat capacity curves for Hydrogen, component id #1, from the version previous to 8.30.

Fixed memory bank errors when real components have no compositions specified in a petroleum stream and when water is specified miscible.

Fixed a flash convergence problem when both temperature out and pressure out were specified for a pure component system.

Added thermodynamic property option 'SOLID' for pure solid streams, and fixed some minor solid density calculations. Fixed flash problems of solid only streams.


DESIGN II for Windows Version 8.33 New Features

DESIGN II Version 8.33

ChemTran Version 8.33

February 2001

Fixed an isolated Computer ID changing problem for some Windows 95 / 98 / ME PCs. Windows 2000 and NT Computer IDs were not affected.

Graphical User Interface Enhancements

The second row of Component Names are now displayed properly on the flowsheet’s stream data box.

A warning is now emitted for the user to delete and redraw a stream when multiple segments of the stream overlap each other on the flowsheet.

The Distillation column intercooler dialog now properly says that the liquid returns below the intercooler draw tray. The vapor returns to the intercooler draw tray.

Simulator Kernel Enhancements

The Mixed Amine contactor columns now converge better when complete absorption of CO2 occurs before the top of the column.

Added the calculation and print of "surface temperature" when line module’s “insulation” option is used. Prints warning if surface temperature is greater than 140 F.

Improved the convergence of the slug calculation for the line module

Fixed a thermodynamic method initialization problem in the Visual Basic interface. Fixed a reentrancy problem in the Visual Basic interface.

Added a Visual C++ interface in addition to the Visual Basic interface for the DESIGN II simulator kernel.

The top product of the Distillation column is now checked for convergence only when free water is present.


DESIGN II for Windows Version 8.34 New Features

DESIGN II Version 8.34

ChemTran Version 8.34

March 2001

Fixed an isolated Computer ID changing problem for PCs using IBM hard drives.

Added a sample Microsoft Excel spreadsheet for calling the DESIGN II DLL from the built-in Visual Basic interpreter in Excel.

Graphical User Interface Enhancements

Added a selection mode Icon to the browser. The browser symbol preview area is now larger for better previewing of symbols. Clicking of the symbol, text, arrow or stream mode icons on the browser or the toolbar by the user will now change the flowsheet mode until the user selects another mode. Clicking the selection mode icon on the toolbar now turns selection mode back on if it was off.

Significantly sped up the redrawing of text on the flowsheet.

Added components Therminol 55 (id 2055), Nitrogen Dioxide (NO2 - id 1215), Nitrogen Tetroxide (N2O3 - id 1216), Nitrogen Trioxide (N2O4 - id 1217).

Added the Distill column pressure profile to the Excel transfer.

Fixed a problem in deleting multiple objects on the drawing.

Fixed a problem with displaying the calculated outlet pressure of a pump on the flowsheet.

Fixed the PFX unit module specifications so that you can use another specification other than a temperature approach.

Added dialog notes on flowsheet linking feature that informs user to have all linked flowsheets (primary & dependents) in the same directory. Added check to make that the path was not specified for the primary file of a dependent linked flowsheet.

Improved the deletion speed on selected symbols or streams on a flowsheet.

Fixed the display of the stream Vapor Z-Factor in the stream data box.

Added a 6 tube passes option to the Heat Exchanger geometry.

Added 40 more solid components to the pure component dialog list (Component ID 311 to 350).

Simulator Kernel Enhancements

Added a new ChemTran command to enter liquid heat capacity data for curve fitting or constants. Using this command the user may enter data for curve fitting, or enter constants. Liquid heat capacity data is used for calculating enthalpy of a pure liquid mixture.

Improved line module’s liquid holdup, depth & heat transfer convergence problems that occurred for line modules with phase change to all liquid.

The adiabatic flash to determine pressure given temperature and enthalpy now converges better in the retrograde region.

Added pressure to the Distillation Column profiles.

Fixed the isentropic pump calculation to use Volume * delta P when liquid Cp thermodynamics is active. Added warning to user not to use isentropic option for pressure change devices such as pump, compressors or expanders for therminol fluids (therminol 55 & 66).

Added warning to use another K-value method for rating exchangers in “Mixed Amine” simulations when AMINEK thermodynamic method used.

Added pure component Therminol 55 (id 2055) using data from Solutia Inc. Added pure components Nitrogen Dioxide (NO2 - id 1215), Nitrogen Tetroxide (N2O4 - id 1216), Nitrogen Trioxide (N2O3 - id 1217) using DIPPR data. Added Therminol 55 to the Liquid Cp thermodynamics.

Bypassed adiabatic flash calculation test when there is vapor in top feed and no condenser in the Distillation column.

Changed the allowable Distillation column reboiler duty minimum specification from 1.1 Btu/hr to 1E-05 Btu/hr.

Fixed a problem in the multiphase unit module so that liquids are stored in increasing density order for stream thermodynamic calculations.

Fixed a convergence problem in calculating the liquid holdup in the line module.

Added unit module specific thermodynamic methods to the PFX module.

Fixed a problem where the Distillation column top pressure was overwritten by the pressure from the bubble point calculation.

Improved Mixed Amine simulations by internally restricting the lowest temperature determination of liquid flashes to just below the freezing point.

Improved BWRSK density root evaluations in super critical region.


DESIGN II for Windows Version 8.35 New Features

DESIGN II Version 8.35

ChemTran Version 8.35

May 2001

Fixed computer ID changing problem when DESIGN II was installed on longer path names. Also fixed an isolated rotating ID problem on some Windows 95 and 98 machines.

Please note that version 8.35 PSD files cannot be read by version 8.34 or earlier versions of DESIGN II for Windows. However, version 8.35 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added a new sample flowsheet, c:\designii\samples\gasproc\teg.psd, that illustrates using high purity TEG for the ultra low dehydration of water saturated natural gas. The saturated TEG regeneration system is modeled on the same flowsheet. Also added a ChemTran file for the equilibrium dew points of gases in contact with triethylene glycol solution from figure 11-15 of the fifth edition of Gas Purification by Arthur Kohl.

Added a checkbox to the Distillation column efficiency dialog for turning the column efficiency commands on or off. The column efficiency commands are defaulted to off.

Fixed the “view results” problem on dependent flowsheets when it is linked to a primary flowsheet. This happened only for long path names and file names.

Fixed copied text extraneous blocks problem in Case Study section’s input processing.

Simulator Kernel Enhancements

Added a new table for each unit module to the Controller unit module online help of all the variables available to the Controller to either SET or VARY.

Enhanced the “Mixed Amine” simulations for single amine use by allowing the second amine to be zero when specified.

Resolved saturate feed with water calculation for “mixed amine” thermodynamic method.

Fixed the liquid heat capacity calculations for therminol 55. Previously vapor conditions were being predicted under certain circumstances.

Enhanced enthalpy calculations for vapor and liquid, along with Cv calculation and others.

Fixed the ISOthermal flash duty calculation and reporting problem.

Resolved the Amine Column’s tray internal data print out problem on the displayed items in column "% OPEN or TYPE"

Fixed a pure component (ammonia) flash problem.

Fixed the steam tables usage and heat capacity expression(s) used for water in ChemTran.

Fixed the stream detailed print problem when REB STR internal stream column command was present.

Fixed RVP calculations when used as a Distillation column specification and water is involved as an immiscible component.


DESIGN II for Windows Version 8.36 New Features

DESIGN II Version 8.36

ChemTran Version 8.36

June 2001

Graphical User Interface Enhancements

Replaced the Simulation / Use Existing dialog with a new separate user interface for editing, running, and viewing results for DESIGN II and ChemTran input files. Multiple instances of different input files can now be simultaneously opened for editing and/or execution.

The View Results dialog has been replaced by a new dialog that loads the entire output file into the dialog at once. The print function has been enhanced to support printing page ranges of the output file. The View Summary and View Input dialogs were also replaced.

The View Results dialog for streams and unit modules has been replaced and improved. For unit modules, the Now Calling section of the output file for the unit module is displayed also along with the equipment summary.

Changed the air cooler rating’s optional specification dialog item’s name from “cross sectional area” to “total finned surface area”.

Added checks to ensure excel transfers simulation files even when flash vessel is not sized per user specifications.

The right mouse button now selects an object (stream, unit module, line arrow or text) and then displays the relevant popup menu for that object when in the mode of the object.

Heat transfer results from a line module are now transferred to Excel.

Fixed the transfer of Stream summary results with M3(LIQ)NTP and other output quantity units to Excel.

Flowsheet object (stream or unit module) deletion is now faster than before.

Added validation check to warn user not to enter data for Solids-300 and Chemical-200 level component properties under Specify...Component Data (TC, PC, VC, Ace, Name, AMW, API or AMB). ChemTran must be used to enter properties for Component Ids 200 to 299 (user input chemicals) and 300 to 399 (user input solids).

Simulator Kernel Enhancements

The isothermal and adiabatic flash convergence have been improved by automatically checking the dew and bubble points of the mixture before conducting a multiple phase flash. If the mixture is single phase then the appropriate single phase calculations will only be used.

Added a warning message when the cubic equation roots were solved using a default liquid or vapor root.

Print the calculated head for the polytropic compressor in the equipment results. Also, transferred the calculated head to MS Excel.

Added sweet gas residue and acid gas pickup compositions for mixed amine contactor summary. Also, included mixed amine regenerator steam requirement and water & amine loss data. Transferred same to Excel also.

Enhanced mixed amine column initialization with given specifications. Warnings are emitted to show process limitations.

Fixed air-cooler rating problem by automatically correcting initial guesses that ensure temperatures do not cross initially to start the iterations towards convergence.

Fixed stream print calculation’s problems when trace hydrocarbon’s are in water.

Fixed program stoppage problem when a stream was saturated with water for mixed amine streams.

Significantly improved the convergence of the thermosiphon reboiler in the Distillation unit module.

Fixed a bug in calculating the temperature range for the bulk properties of a stream going across a heat exchanger.

Added an error message to the multiphase flash module when trying to use it for solids or an inappropriate thermodynamic method.


DESIGN II for Windows Version 8.37 New Features

DESIGN II Version 8.37

ChemTran Version 8.37

September 2001

Please note that version 8.37 PSD files cannot be read by version 8.36 or earlier versions of DESIGN II for Windows. However, version 8.37 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added a new specification option for Refine 2 (PUM REF) columns consisting of “Liquid Feed to the Top Tray”.

Significantly decreased the amount of object pointer usage in large flowsheets when viewing input or executing a simulation.

Added Refine column pressure profile display in Excel transferred file.

Extraneous stream numbers that may remain after deleting a stream can now be removed by selecting the text and doing a cut on it when the selection mode is on.

The CSTR unit module now emits the input reaction stochiometry equation properly for component numbers over 1000.

The Phase Envelope unit module now emits the user specified pressure units for the PRE command.

Fixed the heat exchanger duty flowsheet display problem in the number of digits and value.

Resolved a results printing problem and added number of printing pages to the View Results print dialog.

Fixed a long file name directory problem in the Input Manager.

Simulator Kernel Enhancements

Pressure profiles for Refine columns are now printed in column summary results.

The Refine column was enhanced to allow up to 1,000 components (with up to 600 petroleum fractions) in a flowsheet.

Fixed the stream summary results to report stream liquid viscosity similar to detailed stream print.

Fixed the air cooled exchanger’s condensing rate data to be the same as the values reported in stream data.

Added support for specifying Lower Heating Value and Higher Heating Value for all components. Previously could only add heating values for petroleum fractions. Also, Heating Values may be specified in quantity over mass dimensional units (i.e. btu/lb or btu/gal). If mass units are used for the dimensional units then it is presumed that the fluid is in a liquid state and latent heat will be added to it.

Included sub-cooled region condensation calculations for the single and two-stream exchanger rating. Also rectified two-stream rating when single component/phase stream was present.

Corrected unit conversions for amine column tray profile, when metric unit system and specific pressure units were used.

Improved air-cooled exchanger’s basic and rating’s results print out. Now only air-cooled exchanger’s that are rated will have pertinent calculated variables displayed.

Fixed the number of fans reported on air cooled exchanger rating.

Changed the Mixed Amine column summaries to include the Reboiler Duty per gallon of Amine and the Lean Amine / Rich Amine loadings.

Fixed the acid gas pick-up calculation in mixed amine column contacting systems.

Changed the mixed amine regenerator report from Reboiler Steam required to Reboiler duty.

Added calculation of the PFX unit module Q-T curve when more than one hot stream is present. The new limit is ten hot streams.

Fixed an internal limit on entrainment calculations when no hydrocarbons are present to balance flash results.

Fixed water saturation levels in the vapor phase when a three phase flash is performed.

Fixed the ChemTran and DESIGN II input file execution problems when the files were in long path and/or file names.

Fixed the air-cooled exchanger initialization problem(s) when hot air outlet temperature becomes less than temperature of air in. Also improved adiabatic flash convergence for mixed amine systems.

Initialized U calculations for the air cooler unit module so that the rating calculations are not performed when not requested.

Fixed the heat exchanger shell side temperature out specification from stop switching to tube side out specification for select cases. This condition now applies to temperature approach specification only.

Improved adiabatic flash calculations for pure components, close boiling components and mixed amine simulations.

Improved enthalpy balance across exchanger’s and added an error message, if water is treated as an immiscible component, when mixed amine thermo method is used.


DESIGN II for Windows Version 8.38 New Features

DESIGN II Version 8.38

ChemTran Version 8.38

October 2001

Graphical User Interface Enhancements

Fixed a problem in the output viewer that allowed only the first 64K of DESIGN II Output files to be viewed, printed or searched on Windows 95 / 98 / ME. Windows 2000 / XP were OK.

Fixed a problem where the second and subsequent compressor, pump or expander results were not displayed properly on the flowsheet.

Removed the line sizing results from the last stream’s view results.

Simulator Kernel Enhancements

Added a new dual specification for the single stream air cooler with rating turned on of TEM OUT HOT and TEM OUT AIR. The air cooler area will be automatically adjusted to meet the two specifications.

Added support for 38, 40, 42, 44, 46, and 48 inch nominal diameter piping in the line sizing / line module.

The heat capacities, Cp and Cv, in the stream summary and in the stream details will now use the quantity dimensional units specified by the user in the QUA UNI OUT command to print their values. The default will still be molar units but mass units can now be specified.

Fixed single stream heat exchanger duty, LMTD and curve increment reports when UA exchanger is specified. Also, added ability to internally switch to temperature approach spec., when unrealistic process shell side outlet temperatures were specified.

Improved mixed amine physical property and associated adiabatic flash calculations. Improved sub-cooled adiabatic flash calculations for mixed amines.

Fixed a condition where the Mixed Amine column said that it was converged but it was not converged.

Improved the Heat Transfer Coefficient algorithm for the tube side of the Air Cooler to include non-condensables in the calculation.

The tray passes and number of valves for the tray Glitsch sizing for the Distillation and Refine columns can now be specified for each column section. Previously, these were limited to one value each per column.

Fixed the PLOT OFF command for Distillation columns.

Fixed the problem in loop that calculated the TBP crude curve. This occurred for streams that formed by mixing several different crude feed streams.

Fixed an adiabatic flash problem in the Mixed Amine thermodynamics when zero amines are present.

Fixed the reported LMTD and water out temperature for the single stream water cooled heat exchanger. Fixed conversion of the utility water flowrate from gallons/hr to pounds/hr.

Put in an error message when the specified petroleum fraction boiling point is higher than the specified critical temperature.

Removed an incorrect error message in adiabatic flash when a single component was flashed.

Fixed additional problems in the air-cooled exchanger’s initialization.

Fixed the reboiler duty/volume units conversion in the table at the end of the mixed amine regenerator column output. The btu/hr units were not converted properly to kcal/hr.

Mixed Amine feed flash water dew point is now checked for vapor fraction specifications. Also made program to stop with warnings, when amine recycle streams are not specified.

Fixed mixed amine column’s stage by stage temperature unit conversion when using metric unit system.


DESIGN II for Windows Version 8.40 New Features

DESIGN II Version 8.40

ChemTran Version 8.40

January 2002

Please note that the password algorithm has been changed for this release. All passwords issued before version 8.40 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that the Computer ID value has been changed for this release.

Please note that version 8.40 PSD files cannot be read by version 8.38 or earlier versions of DESIGN II for Windows. However, version 8.40 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added multiple sheet capability for flowsheet creation. The flowsheet linking feature can still be used in addition to this new multiple sheet ability. If a stream continues from one sheet to another sheet then the continued stream must be indicated to be linked. The original stream will be the primary stream (the linked checkbox will not be selected). Multiple page flowsheets will be validated to ensure that all linked streams have one primary stream. All linked streams will automatically bring up the data dialogs for their primary stream when clicked by the user.

Significantly speeded up cut/copy/paste and new file build, modify, access/ loading GUI operations. Also increased the maximum size of the flowsheet that built by about five to ten times. We have built a working converging flowsheet for a customer with 13 sheets, 164 components, 679 streams and 427 equipments.

Fixed heat exchanger’s flowsheet display items such as duty, U, etc...

Moved the “Advanced Thermo” dialog into the “Specify…Basic Thermo” dialog.

Fixed results transfer of more than four plate-fin exchangers (PFX) in a flowsheet to Excel.

Fixed the water flow rate units shown on the stream summary of excel transfer.

Fixed vapor and liquid flow rate units on stream summary page of excel when metric and SI units were used in DESIGN II.

Added Initial Temperature crude cut specification to the Specify / Assay Data / Cuts… dialog. Reorganized the dialog for clarity.

Simulator Kernel Enhancements

Added a new “ENERGY BALANCE” table for flowsheet streams and equipments. This new table is also transferred to Excel.

All floating point kernel calculations are now performed using double precision numeric processing. Previously, the kernels were a mix of single precision (6+ digits) and double precision (18 digits). Many of the convergence tolerances inside the simulator kernels have been tightened.

Added a new controller stream property command, VAP MASS FRA, in addition to VAP FRA previously available. Added documentation on the use of controller command that accesses mass flowrate of streams.

Added Component Ids to the Stream Summary component flowrate table and Detailed Stream Print component flowrate table.

You can now set just the initial crude cut temperature by entering the single temperature on the CUT command. The rest of the crude cut temperatures will be automatically calculated.

Modified the IMM card warning message for clarity. Also added equipment number associated with this message to be emitted and removed confusing error message about KHDL file.

Improved heat exchanger rating convergence on pure components when different NUM INC choices were used. Tight input rating convergence tolerances may be required.

Fixed version 8.37 bug that under certain circumstances, ChemTran file constants for vapor pressure and latent heat for user-defined components would be overridden by DESIGN II estimations.

Changed the default Distillation column convergence tolerance from 1.0E-5 to 1.0E-7.

Fixed the percent flood calculations in the mixed amine packed columns.

Fixed the stream summary’s duplicate print out on liquid properties (density, thermal conductivity, and viscosity) that are valid for vapor only stream(s).

The presence of FILe NEW command on ChemTran file executions will now proceed to delete existing data files, if any and create a new data file. FILe OLD command can still be used.

All ChemTran data files must be recreated for this release. A version number check is performed and will stop the simulation if the version number is not correct.

Improved the refine column convergence by enhancing the column initialization.

The stream summary results for viscosity will now have the viscosity output units chosen by the user.


DESIGN II for Windows Version 8.41 New Features

DESIGN II Version 8.41

ChemTran Version 8.41

January 2002

Please note that version 8.41 PSD files cannot be read by version 8.40 or earlier versions of DESIGN II for Windows. However, version 8.41 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

You can now import stream results (component molar flowrates, temperature, pressure) from an existing DESIGN II output file into the stream specification dialog.

Added the new two specifications with rating option to the Air Cooler basic dialog.

The Component name or synonym selected by the user in the Component Dialog are now used in the simulation results file for all component flowrate lists.

Added pipe diameters 38, 40, 42, 44, 46 and 48 inches to all of the applicable specification lists.

Fixed a data corruption problem when deleting a component from a flowsheet with many components.

Changed the Distillation column to emitting the PREssure BOTtom command instead of the DELta pressure command.

Added IsoPentane to the synonym list of components.

Fixed the Equipment pulldown menu to work properly.

Simulator Kernel Enhancements

Added linear extensions to the beginning and end of the polytropic compressor curves when the calculated operating conditions run off the end of the curves.

Documented the usage of the PREssure BOTtom command for the Distillation column in addition to the DELta pressure command.

Fixed the specification of M3LIQSTP/HR pressure units in the Case Study table.

Corrected the viscosity method option for the calculation of the liquid viscosity in the Bulk Properties table for streams entering and exiting heat exchangers.


DESIGN II for Windows Version 8.42 New Features

DESIGN II Version 8.42

ChemTran Version 8.42

February 2002

Please note that version 8.42 PSD files cannot be read by version 8.41 or earlier versions of DESIGN II for Windows. However, version 8.42 of DESIGN II for Windows can read all previous version’s PSD files.

The network locking directory can now be specified as either a UNC string (\\gui1\c\diiwlock) or a drive and path string (v:\diiwlock). The network computer id algorithm has been changed in version 8.42 and will require a new password. This applies only to those customers with network locking licenses.

Graphical User Interface Enhancements

Converted the dynamic object storage system into two stages to make smaller flowsheets (less than 400 unit modules) faster to work with. If a larger flowsheet is loaded or a shortage of object pointers / dynamic memory occurs, the second stage of the dynamic object storage system will be automatically engaged.

You can now import stream results (component molar flowrates, temperature, pressure) including crude cuts from an existing DESIGN II output file into the stream specification dialog. The previous stream results importer supported petroleum fractions but did not support crude cuts.

Component names are now printed to the DESIGN II input file inside single quotes.

When saving a flowsheet file, the old PSD file is automatically saved to name.PSD.BK1. First, the name.PSD.BK1 file is moved to name.PSD.BK2, the name.PSD.BK3 file is moved to name.PSD.BK4 and the name.PSD.BK4 file is moved to name.PSD.BK5. This change actually occurred on version 8.41 but was not working on Windows 95 / 98 / ME. Also, a name.PSD.TXT file is created as a part of our ongoing project to convert the PSD file from binary data storage to textual XML data storage (this was inadvertently left in version 8.41 and will be left on for now).

Fixed the Excel transfer on depressurizer analysis table to include entire duration. Also fixed a minor error in column tray sizing transfer.

Fixed the two-stream air-cooler rating dialog (broken in 8.41).

Fixed the dialogs and view results for linked streams for multiple file flowsheets.

Fixed a problem trying to specify internal stream numbers for intercooler streams in the Distillation Column.

Simulator Kernel Enhancements

Fixed the high pressure methanol correction for the hydrate temperature and pressure prediction.

Doubled the internal data storage limits for the Batch Distillation Column.

Fixed several Batch Distillation Column problems. First was to account for column pressure changes in tray bubble point calculations. The second was to include pressure changes for calculation of stage enthalpies for pure component and mixtures. Fixed an adiabatic flash error in batch distillation due to feed initialization problem.

Modified DESIGN II to ignore commas inside leading / lagging single quotes for component names.

Fixed the thermal conductivity and surface tension property calculations for heating and cooling curves. Global stream results will be consistent across special calculation options.

Changed the internal lower limit on total flow rate values. Now it allows up to specification of minimum values to as low as 1E-10.

Fixed a depressurizer problem that exceeds plot package capability (too many points). Turned the plot off in this case to continue program operation. Also fixed an oscillating water bubble point flash calculation related to the depressurizer.

Fixed an adiabatic flash problem due to free water initialization between temperature iterations based on incorrect enthalpy at temperatures above the water dew point. The error was introduced in version 8.37.


DESIGN II for Windows Version 8.43 New Features

DESIGN II Version 8.43

ChemTran Version 8.43

March 2002

Please note that version 8.43 PSD files cannot be read by version 8.42 or earlier versions of DESIGN II for Windows. However, version 8.43 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added tray passes per section and number of valves per section options on the re-designed tray sizing dialog for Distillation Column and Refine Column.

Fixed the transfer of crude liquid viscosity values at stream temperature, 100 F and 210 F from DESIGN II to MS Excel.

Equipments and Streams can now be selected when they are present in the stream data box whether on the first flowsheet sheet or additional sheets. Previously, only the stream data box properties came up.

Removed the duplicate streams from the stream data box when there are linked streams in the same flowsheet.

Fixed the "recycle" stream assignment for connecting streams (feed or product) on multiple sheets. There is a check now to see if they have linked streams before they declare themselves to be a feed or product stream.

Fixed the Distillation column intercooler dialog when specifying internal streams to map the intercooler streams onto.

Simulator Kernel Enhancements

Improved the flash convergence when water is in the mixture. Water dew point calculations have been improved. The hydrocarbon dew and bubble point correlation’s have also been improved, with or without water.

The Refine column now has number of valves per section option for tray sizing.

Added a liquid heat capacity (CPL-T) curve to the compdata.txt file for calculating liquid methanol enthalpy when the latent heat enthalpy option is used. The calculated specific heat for liquid methanol now agrees with experimental values.

Added additional comments in error messages to indicate the need for matching thermodynamic methods between ChemTran and DESIGN II.

Improved the tests for the supercritical region of the phase envelope. DESIGN II now does not perform flashes, if clearly supercritical, but just performed single phase calculations for enthalpy changes to remove repetitive supercritical warnings.

The crude cuts limit has been increased from 75 to 99. Also the stream limit of 100 total components (crude cuts plus real components) was removed (there is a maximum of 1000 total components). The maximum number of feed or recycle streams with crude cuts specifications has been increased from 90 to 200.

Resolved data loss in the compiled Inline Fortran data file created from user coded specialized coding. This occurred due to the double precision change in 8.40. Added a version check to the precompiled Inline Fortran data file, so that previous 4 byte data files will not be read in version 8.4x’s 8 byte data files. Whenever an old binary Inline Fortran data file is accessed, program will prompt for re-creation of the data file.

Fixed the CPL-T method in ChemTran for pure components.

Verified that the BWR thermodynamic method’s interaction coefficients are the same as from the 1974 AICHE paper by Hopke, S. W and Lin, C., "Application of the BWRS Equation to Natural Gas Systems," 76th National AICHE Conference (1974).


DESIGN II for Windows Version 8.44 New Features

DESIGN II Version 8.44

ChemTran Version 8.44

May 2002

Please note that version 8.44 PSD files cannot be read by version 8.43 or earlier versions of DESIGN II for Windows. However, version 8.44 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added six new symbols relating to the Refine Column. Each of the three Refine Column symbols received a 50% taller symbol. The other three symbols are for a Refine Column Pumparound, Steam Side Stripper and Reboiled Side Stripper. The new pumparound symbol is for visual ornamentation. The new side stripper symbols must have one product stream attached to them. And, the Refine Column Side Stripper dialog must indicate that the product stream from the side stripper is connected to a side stripper symbol and not the Refine Column symbol. You can see the new symbols in the c:\designii\refinery.psd sample flowsheet.

Changed the default line width to 7 mm to make equipment symbols and streams on the GUI to appear & print "darker / thicker". The previous default line width was one pixel.

Added stream data boxes to ALL sheets consisting of the user selected streams present on each sheet to be displayed. Also added a "Only Write Stream Data To First Sheet" option also to mimic the older functionality of the stream box on the first sheet only.

Added the capability to specify volume fractions for Distillation Column bottom products purity, ratio and recovery.

Added a warning about the 150 trays limit on Refine columns.

Fixed the Distillation column’s intercooler dialogs to emit active command items only.

Improved Refine Column’s pumparound dialog item activation.

Removed the error messages when 1e-02 specification was used on Refine Column steam rates. The GUI now allows steam rate specifications less than 1.0.

Orphan text strings (number, name…) from a deleted stream are now automatically removed when the flowsheet is saved and read in again.

Fixed both Distill Column and Refine Columndialogs for "reflux ratio" data field units. It will not show dimensional units when first specified.

Fixed a data transfer to Excel problem in the Line Module pressure drop table.

Simulator Kernel Enhancements

Converted the ChemTran Data File name command from three 4 letter keywords to a regular file name. I.E. From CHE FIL = TEG1,WATR,DATA to CHE FIL = TEG1WATR.DAT. Long file names are supported also. Old DESIGN II CHEmical FILe and ChemTran FILe OLD / FILe NEW commands are automatically converted into the new file names. The ChemTran data file is still assumed to be in the same directory as the DESIGN II input file and the DESIGN II for Windows flowsheet file.

Added the capability to specify volume fractions for Distillation Column bottom products purity, ratio and recovery.

Fixed the dynamic to kinematic viscosity unit conversion for scientific units (Ns/m^2 to m^2/s).

Corrected mean temperature difference calculations when tube outlet temperature was specified for an exchanger (single and two-stream) without rating.

Improved handling of water flash calculations when equipments in sequence had different water miscibility criteria.

Fixed storage of Glitsch sizing data when lots of data (many trays and swages) are present.

In order to allow user to control initial pressure on dew points of Phase Map unit module, added commands PREssure DEW and PREssure BUB for initial pressures to start curves. In addition reduced maximum pressure change by half to make algorithm more stable.

Fixed water & methanol solubility in liquid Hydrocarbon calculations for hydrate predictions.

Fixed Line Module elevation specification problems. Previously Line Module’s first elevation position was being over written by last line length segment giving rise to pressure drop table inaccuracies.

Removed numerous error/warning messages within the Line Module when process mixture is supercritical.

Skipped top product print code that avoids –nan for a poorly specified distillation column.

Improved Plate-Fin Exchanger convergence in the retrograde region.

Found that the vapor fraction key bank was running past end because of too many streams. Added check against number of items in bank.

Fixed the calculation of liquid density in the mixed amine thermodynamics when a large amount of CO2 is in the mixture (density value was slightly under-reported).

Fixed a problem with specifying a large number of pure component higher and lower heating values.


DESIGN II for Windows Version 8.45 New Features

DESIGN II Version 8.45

ChemTran Version 8.45

May 2002

Please note that version 8.45 PSD files cannot be read by version 8.44 or earlier versions of DESIGN II for Windows. However, version 8.45 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added horizontal scroll buttons on the left side of the sheet tabs to access sheet tabs when there are multiple sheets (>10) on the same flowsheet. Previously the sheets were overlapped or hidden when zoomed.

Stream Vapor and Liquid standard condition (STP or NTP) flowrates can be now be displayed on the flowsheet using the stream display options.

Added a Streams per Detailed Streams sheet configuration option to the Excel Blaster. The old default was 10 streams per detailed stream sheet. The new default is 1 and can be set as high as 100. The new configuration option is also stored in the FM2NBOOK.INI file in the C:\DESIGNII directory.

Modified water miscibility verbal descriptions to remove the double negatives in the "Water Calculations Box" on the Advanced Thermo dialog.

Fixed line module pressure drop table transfer errors for the Excel Blaster.

Added a new dialog under the Specify pulldown menu / Basic Thermo dialog / Advanced Thermo dialog for embedding a ChemTran file inside of a flowsheet file. You can also control whether or not ChemTran is run when DESIGN II is simulated. The ChemTran input files were merged into all the appropriate flowsheet sample files.

Simulator Kernel Enhancements

Added a ChemTran section to the DESIGN II input file. You can now embed a ChemTran input file inside of a DESIGN II input file. The ChemTran section starts with the keywords “CHEMTRAN START” and ends with the keywords “CHEMTRAN END”. When the DESIGN II input file is run through the simulator kernel, a ChemTran input file will be automatically created and run though the ChemTran simulator kernel. The ChemTran files filename.chm.in and filename.chm.out will be automatically created in the same directory as the DESIGN II input file.

Fixed a crash in the Bulk Properties calculation when calculating the viscosities of pure water streams.

Fixed a stream initialization problem mistakenly identifying water as immiscible when water should have been miscible. The stream was to be water saturated and Peng-Robinson thermo was specified.

Fixed a heating value bank error by doubling the initial size of the bank. Previously the bank was getting over written when many HHV & LHV data items were specified.


DESIGN II for Windows Version 8.50 New Features

DESIGN II Version 8.50

ChemTran Version 8.50

September 2002

Please note that future versions of DESIGN II for Windows will not work on Windows 95. This will be due to changes in Visual Studio compiler technology from Microsoft Corporation.

Please note that version 8.50 PSD files cannot be read by version 8.45 or earlier versions of DESIGN II for Windows. However, version 8.50 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

US and Metric now share a symbol library, metric.sym. US drawings now use a grid of 1.0 cm (like metric drawings) instead of the old grid of 0.5 inches. US drawings are automatically converted when they are opened for the first time to the new grid size. You can now copy and paste between US and Metric drawings as needed. Please note that occasionally, line arrows in the converted US drawings will not properly line up at a grid connection point and must be manually moved to meet the drawing connectivity validation.

Added full dialog support for the Controller unit module for all controller specification, set, vary and until commands.

Added full dialog support for the Depressurizer unit module for all commands.

Add dialogs for entering Viscosity and other crude properties for crude streams.

Disabled the previous input validation test when user tries to have both crude curves and defined CUT points in the streams. Caution should be exercised by the user, when defining cut assay data so that it falls at or within the range of predicted cut(s) as characterized automatically by the simulator via the use of crude curve streams (TBP, ASTM, etc…).

Added support for internal streams in the Distillation column condenser, heater and reboiler dialogs. Added control of the column profiles printing and key component comparison to the Distillation column print options dialog.

Added the ability to view ChemTran results when embedded in DESIGN II files. Added a "View Results..." button to the ChemTran dialog that pops up a modeless dialog with the ChemTran output file in it. Also included a line count to the edit control (similar to the Inline Fortran and Keyword Input dialogs). Note that all data items using the multiple line edit control will have trailing blanks stripped from every line.

Added 23 new items (including duplicate items) to the Excel Blaster stream summary sheet. Also added display control of all stream summary items along with label text and dimensional unit conversions. You can now bring up the Excel Blaster from the Simulation Summary dialog via a new Options button. The default display options are set to the same displayed items as in the previous release. You can also now control the number of streams on the detailed stream print per sheet of Excel. Also modified Excel Blaster to operate without directory path emission problem, when on workstations linked to servers.

Included the Line Module heat transfer results when transferred to Excel.

Fixed graphical user drawing errors during line deletion by making sure that the stream being deleted was not having its segment edited also.

Enhanced the stream dialog for crude curve/properties, crude cuts/properties data entry. Included dialog data entry for adding viscosity, sulfur, and pour point data for crude feed streams.

Creation of the name.PSD.TXT file has been changed to name.PSD.LOG. It was created as a part of our ongoing project to convert the PSD file from binary data storage to textual XML data storage (this was inadvertently left in version 8.41). When a flowsheet is saved, we will now automatically delete the old name.PSD.TXT file.

Fixed the “View Results” of flowmeter to emit properly when multiple flowmeters are present (more than 9) on the same flowsheet.

Simulator Kernel Enhancements

Updated the depressuring valve unit module to the 7th edition of the API 520 document, including all of the specific instance equations. There is also a new option to vent the mixture through the valve instead of venting just vapor first. Added balanced bellows, etc… The Depressurizer now works with single component situations (previously would fail in the 2 phase region). Improved the program to allow depressurizer venting when the initial pressure is equal to the set pressure. Also, included a pressure correction logic that would not cause all of vapor to liquefy should specified conditions favor.

Changed the Depressurizer module heat release equation from 21000 * Environmental Factor * Wetted Surface Area^0.82 to 34500 * Environmental Factor * Wetted Surface Area^0.82. You can now enter your own factor if desired (WET = x), however, the API recommends 34500 as the standard value. You can input a value of 21000 if the facility has adequate fire fighting equipment and if the facility has adequate drainage (API terms).

Changed the default value for water miscibility in the Peng-Robinson thermodynamics. Water is now immiscible by default and can create a free water phase if there is enough water in the mixture. Previously, water was miscible by default in the P-R thermodynamic method. If water is to be treated as a miscible component (as before) when using the PENK option, user should enter NO IMM (or) assign “Assume water is a miscible component” in the Advanced Thermo dialog.

Added two new pure components to the pure component database, 4182 - Glycerol and 4183 - Oleic Acid.

Changed the Line Module to always emit the pressure drop due to acceleration in the pressure drop table when this feature is requested. Previously, this value was only emitted when the PRINT WIDE command was in the General section. The acceleration pressure drop is automatically emitted to Excel also.

Fixed the line heat transfer calculations problem for buried/submerged pipes. The pipe depth was previously allowed to linearly approach zero along the length of the pipe. Changed code depth as being constant, unless more than 1 section is entered. Also, fixed the line module velocity of surroundings calculation.

Added a correlation based on the classical definition of acceleration pressure drop from change in kinetic energy for horizontal flows, in the Line module.

Fixed a bubble point pressure calculation problem by limiting the lower starting pressures. This allows True Vapor Pressure or Reid Vapor Pressure calculations in the Distillation Column via Inline Fortran (the initial guesses were too high).

Fixed a dimensional unit conversion error with confusion about g/min being gmol/min instead of grams/min. This fixed the feed mass flow problem due to unit mass/molar conversion.

Added the Air Cooler, Plate-Fin Exchanger and Line Modules to the Controller equipment list. The applicable variables are documented. Also enhanced the dimensional unit support in the Controller.

Increased the compile time and runtime variable positions in Inline Fortran subroutines from 8,000 to 100,000. This means that you can have up to 100,000 vector and scalar variables per subroutine. Please note that if a vector variable is dimensioned to 10,000 then the vectored variable uses 10,000 of those variable positions. Also added an error check if this new limit is exceeded. This also fixed an invalid error message from the CHSREA subroutine in the 8.47 intermediate release.

Fixed component name print problem when it is multi-numbered such as 2,2,4-…etc...

Resolved Distillation and Refine Column tray downcomer backup predictions for multiple column tray sections when valve thickness was not provided.

Changed dimensional name MAJ to MJ (Mega-Joules) in printing output units.

Fixed calculations when equipment specific thermodynamic methods are used in two-stream exchangers. HKEY command now applies only for shell side (previously it applied for both sides) and HKEY2 applies for tube side. Modified related exchanger documentation in DESIGN II Reference Guide.

Corrected the APISOAVE thermodynamics code to prevent wrong Z roots and added tests for supercritical region processing for pure (single) components.

Resolved an equipment specific thermodynamic option problem. The initialization of the proper variables under certain circumstances was fixed.

Corrected a divide by zero problem caused by a stream with trace liquid Hydrocarbon moles, which was considered zero, during printing.

Changed the default maximum iterations on equilibrium reactor from 30 to 100.

Fixed cooling curve’s enthalpy data report problem.

Added a warning message on the liquid heat capacity data temperature range, if any given component data has been exceeded.

Fixed a problem in the Fortran runtime library which caused the program to go into an infinite loop when printing a -Nan (negative Not a Number caused by division by zero, etc…).


DESIGN II for Windows Version 8.51 New Features

DESIGN II Version 8.51

ChemTran Version 8.51

October 2002

Please note that future versions of DESIGN II for Windows will not work on Windows 95. This will be due to changes in Visual Studio compiler technology from Microsoft Corporation.

Please note that version 8.51 PSD files cannot be read by version 8.50 or earlier versions of DESIGN II for Windows. However, version 8.51 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added support to the stream dialog for the new stream flowrate fraction dimensional unit commands.

Updated the Excel transfer code for the new Depressurizer unit module reports.

Fixed a problem in the Excel transfer when the flowsheet filename contained a -1, -2, -3 or -4.

Fixed the display of the Liquid STP flowrate on the drawing for a stream for US drawings.

Fixed an obscure initialization problem in the stream’s gravity curve dialog.

Simulator Kernel Enhancements

Added the calculation of the Phase Map to the Visual Basic / C interface. Updated the included Microsoft Excel spreadsheet to calculate the phase map of a mixture.

Added calculation of the net heating value of a mixture, the gross heating value of a mixture and latent heat of a component to the Visual Basic / C interface.

Added new FRAction MOLe, FRAction MASs and FRAction VOLume commands to the feed stream flowrate fraction dimensional unit specifications. You can now specify the total flowrate of a stream in molar, mass, vapor volume or liquid volume units and the flowrate fraction of a stream to be on any of the four types (the types are not assumed to be the same anymore).

Added the Liquid STP flowrate to the detailed stream print for US dimensional unit printouts. Added the specific gravity to the Metric and SI dimensional unit printouts.

Changed the critical pressure calculation on the detailed stream print from Kay’s rule to Prausnitz-Gunn. The critical temperature calculation still uses Kay’s rule.

For components with available liquid heat capacity data, the latent heat enthalpy method now uses the latent heat at each component’s boiling point instead of the process temperature to calculate the liquid enthalpy. The liquid heat capacity is used to correct for the change from the boiling point to process temperature.

The latent heat enthalpy method now automatically calculates the heat of mixing for a mixture when the K-Value method uses activity coefficients (Renon, Wilson, Unifac, Uniquac). Users can also turn this off by activating a new command LATent heat EXCess OFF.

Added new printouts clarifying the number of fans and bays to the Air Cooler unit module.

Fixed the Refine column to properly test feed streams below the bottom tray to see if liquid is present in them. Added a warning message when more than one feed below the bottom tray has liquid in it.

Fixed a memory bank sizing problem in the Refine column by adding more slots per crude feed.

Fixed a problem in the pure component adiabatic flash when above the critical pressure.

Fixed the display of the feed and product stream numbers on the heat exchanger rating page.

Fixed a problem in the calculation of stream properties (detailed stream results value was correct compared to stream summary value).

Removed the floating point division by zero test from the DLL so that the DESIGN II simulator kernel could be called from Microsoft Excel 97 (the problem does not exist in MS Excel 2000).


DESIGN II for Windows Version 8.52 New Features

DESIGN II Version 8.52

ChemTran Version 8.52

January 2003

Please note that future versions of DESIGN II for Windows will not work on Windows 95. This will be due to changes in Visual Studio compiler technology from Microsoft Corporation.

Please note that version 8.52 PSD files cannot be read by version 8.51 or earlier versions of DESIGN II for Windows. However, version 8.52 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Added a automatic version upgrade checker that will check WinSim’s website for a new release of DESIGN II for Windows every 2 weeks.

Added a simple run-button icon DII in the main menu flowsheet display (alternate to Simulate-Execute). Also added OUT and Summary icons that can be used for a quick access of “View Results” file and “Simulation Summary” box.

The flowsheet display item "Duty" in the flash unit module will now be initialized properly, whether it is active (checked) or inactive (no check mark).

The crude properties dialog is now corrected to state that “cut gravity” curve should be entered by the user.

Included a new mixer symbol similar to the first divider symbol (a vertical bar).

Added a new item such as "Show File New Dialog at Startup" to the Options pull down menu. The value will be stored in the DESIGNII.INI file.

Printer font, point size and weight can now be set via the "Printer Font..." entry on the file menu of appropriate dialogs. The selected printer font will be saved in the DESIGNII.INI file for subsequent usage.

Fixed a Primitive Error that previously had the number of stream direction flags connected to the stream corrupting it.

Added PET UNI OUT to the “Specify…Print Options” units dialog.

Enhanced the equilibrium reactor’s dialog specifications for global and specific reaction types.

Fixed an isolated pure component data corruption problem on the graphical user interface.

Changed dimensional units from % to 1/ft for earlier Version PSD files to accommodate the new data for Mixed Amine packed column’s packing factor specification.

Simulator Kernel Enhancements

Fixed an isolated feed water saturation problem. Found allowable iterations too small for this specific case, doubled the allowable maximum iteration count.

PFX's now use an adiabatic flash initialization procedure instead of isothermal flashes for single component cases. Duties are balanced better between heat exchanging streams.

The Stream Save File and Refine Restart commands now support long file names. The comma separators have been removed.

Fixed the liquid enthalpy test for situations such as a water stream with trace hydrocarbons or mixture of water and hydrocarbon liquid is not sufficiently characterized. Also fixed an error in the adiabatic flash where a variable was not initialized properly before summing up stream moles after 3-phase flash.

Tightened the temperature convergence in the adiabatic flash and doubled the allowable maximum iteration count in the overall flash algorithm.

Found the area for surroundings in the Line Module (used log calculation) did not agree with area for insulation surface. Based on Chapman equation should be same area. Corrected area and now the surface temperature is very close to surroundings temperature as would be expected.

Fixed the heat exchanger duty units problem when MJ/HR was selected. Carried over problem from a previous fix of changing MAJ/HR to MJ/HR units.

Resolved the Mixed Amine column diameter problem. For packed towers, the number of values of TOWer DIAmeter should be equal to number of packing sections. Problem occurred when only one packed section was present and the number of values of tower diameter was not set at one.

Updated the density and transport properties data for DIPA-mixed amine component using AICHE-DIPPR database.

Fixed the detailed stream print when PET UNI OUT was used in US units system. Also fixed display of free water flowrate in stream summary.

Fixed the amine column calculations when bottom pressure specification is used.

Resolved the feed below the bottom tray problem in Refine column(s) when one or two feeds are present. If there are two feeds to bottom stage, then the first feed must be the one with liquid. The second feed to bottom stage must not have liquid.

Fixed the multi-flash convergence problem when tabular K-values were used. The program had starting temperatures too low due to out of range of data fit for k-value curves.

The Packing factor specification in Mixed Amine packed column sections now will use 1/FT dimensional units instead of %.

Fixed mixer calculation convergence due to supercritical conditions. Also, fixed an instability in the flash option of given temperature and vapor fraction (pressure is a guess).

Fixed display of calculated results in all streams when it is only a water phase (no liquid phase) for mixed amine systems.


DESIGN II for Windows Version 8.53 New Features

DESIGN II Version 8.53

ChemTran Version 8.53

February 2003

Please note that future versions of DESIGN II for Windows will not work on Windows 95. This will be due to changes in Visual Studio compiler technology from Microsoft Corporation.

Please note that version 8.53 PSD files cannot be read by version 8.52 or earlier versions of DESIGN II for Windows. However, version 8.53 of DESIGN II for Windows can read all previous version’s PSD files.

Please note that the automatic update checker added in version 8.52 of DESIGN II for Windows requires that version 2 of the Windows Socket be installed in Windows 95. You can download the Winsock 2 for Windows 95 at http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/w95sockets2/default.asp .

Graphical User Interface Enhancements

Browser Window status can be made active or in-active via Options dialog (set in DESIGNII.INI file as ShowBrowser=0 or =1)

Added dialog entries for setting a refrigerant stream on either tube or shell side of a two-stream heat exchanger.

Only the numbered streams present on each sheet will now be displayed on the stream data box when multiple-sheet simulation is used. Previously, all streams in the flowsheet occasionally appeared in the stream data box of the first sheet even if the stream was on a secondary sheet.

Simulator Kernel Enhancements

Added new two stream Heat Exchanger commands (REFR = SHELL & REFR = TUBE) to allow shell side to be used for refrigerant flow estimations. Previously only tube side was allowed.

Fixed the stream detailed results table to display 1.18E-5 instead of 0.000012 to help in reporting better mole % value due to loss in significant digits following the decimal. Isolated to small numbers only.

Fixed “not a number” results created because the calculated pressure was too low for the bubble point for water, created by excessive pressure drop in the heat exchanger. Minimized value at 0.1 psia.

Increased the stored input processing bank storage limit from 31K to 100K so that more Flowmeters could be simulated in a flowsheet (100 or more).

Fixed an error in the Line Module’s nominal diameter to inside diameter conversion loop.

Fixed the Line Module pressure drop tables elevation height results. Previously the segment length was being used for elevation height also.

Changed the stream bank storage code so that it can handle simulations with a new and better stream bank storage methods.

Found the compressor drive type information was being overwritten by subsequent calls for same equipment number due to too much information stored for an equipment parameter (5). Fixed this by storing drive type information in another equipment parameter (10) and used the same in equipment print section.


DESIGN II for Windows Version 8.54 New Features

DESIGN II Version 8.54

ChemTran Version 8.54

April 2003

Please note that the automatic update checker added in version 8.52 of DESIGN II for Windows requires that version 2 of the Windows Socket be installed in Windows 95. You can download the Winsock 2 for Windows 95 at http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/w95sockets2/default.asp .

Graphical User Interface Enhancements

Moved the Air-Cooler module symbol to be displayed first in the symbol selection in the equipment list and on the browser box. The previously displayed ADD module is now moved to be the last on the browser list.

Fixed a problem in opening files directly from various directories/folders. Now program allows opening a PSD file from within the Windows Explorer, My Computer, Search folders, etc… or from an email message attachment. This was fixed for Windows 95/98 also.

Fixed Excel's Air Cooler Rating sheet to present final iteration values when in a recycle.

Fixed Excel's data on Compressor Isentropic head and Efficiency values to match DESIGN II results.

Simulator Kernel Enhancements

Resolved the Visual Basic interface “Generate Phase Map” callout to properly display the bubble/dew point data. Previously, it had reversed dew and bubble points for any given stream.

Fixed an isolated problem in processing the detailed stream print when pure water liquid heat capacity & enthalpy calculations are being done via steam tables.

Fixed a problem in the stream detailed print where all three phase slots were not properly being zeroed for two phase streams.


DESIGN II for Windows Version 9.00 New Features

DESIGN II Version 9.00

ChemTran Version 9.00

August 2003

Please note that version 9.00 PSD files cannot be read by version 8.54 or earlier versions of DESIGN II for Windows. However, version 9.00 of DESIGN II for Windows can read all previous version’s PSD files.

Graphical User Interface Enhancements

Merged the two user interface programs into a single user interface program for greater flowsheet speed and robustness. Flowsheet opening and saving is over 100X faster. All other tasks such as flowsheet validation have experienced a similar increase in speed for the user's convenience. The new user interface is fully 32 bit and written in C++.

Added Undo and Redo to the user interface. Added a switch for turning the Undo / Redo on or off. Undo and Redo are defaulted to ON. The Undo and Redo feature was implemented by saving the flowsheet file to the user's %TEMP% directory every time the flowsheet is changed (addition, deletion or movement of a symbol, line, arrow or text object; clicking OK on a dialog; etc...). The name of the saved undo / redo file is in the format "deswin.month.day.hour.minute.second.millisecond.tmp". If necessary, the undo / redo can be loaded into DESIGN II for Windows as a PSD file. The undo / redo stack is purged and all of the current undo / redo files are deleted when a flowsheet is opened, a new flowsheet is created or the current flowsheet is saved to a file.

Added an online tutorial using the Internet Exploxer Browser. Activated using the Help pulldown menu.

Added all three of the user manuals in Adobe Acrobat to the distribution and to the Help pulldown menu.

Fixed the Excel transfer problem for Heat Exchanger unit modules within a recycle.

Fixed an Excel transfer problem for Depressurizer total mass flow results. Added the new Depressurizer calculations to the Excel transfer.

Resolved a water stream results display problem by ensuring that all pure water streams are defined in the General section of the input file instead of the Crude section of the input file.

Enabled keyboard DELETE key for selected flowsheet items such as stream, module, text. The cursor must be in the mode for that particular graphical object in order for the keyboard delete key to work.

Included ChemTran Keyword Summary on the DESIGN II Reference Guide and Online help.

Converted the DESIGN II for Windows User Interface help from Winhelp to HTML format.

Removed the module specific thermodynamics dialog for controller and the flowmeter since these two unit modules do not support this feature.

The Case Study Table now goes back to the base case study sheet on the Excel transferred file.

Simulator Kernel Enhancements

Converted the default flash from two phase plus free water to a three phase flash for most of the unit modules for systems containing water and liquid hydrocarbons. The new flash automatically puts dissolved gases (if there is a vapor phase) into the free water phase. The Liquid hydrocarbon phase is now called the "Liquid 1" phase. The free water phase is now called the "Liquid 2" phase. The new three flash can be turned off using the "THREE PHASE OFF" keyword command in the General section of the input file.

Converted the "Liquid" headings in the stream printouts to "Liquid 1". Converted the "Free Water" headings in the stream printouts to "Liquid 2".

Split the component flowrate table in the detailed stream printout to a molar flowrate table and mass flowrate table.

Resolved bank error problems in Refine Module by increasing the memory allocated for printing results.

Found the value of velocity of surroundings over written by calculated U step, after the last increment was calculated due to the offset to the pointer going to zero. Set minimum value of offset to 1.

Resolved line results not using input value of zero for velocity of surroundings. It was a print problem where the correct value of velocity of surroundings was not being stored in the print vector because it was zero. Removed the test for zero to store velocity of surroundings.

Added a test to identify if two component lists were specified in the input file. If so, printed warning messages and stopped run.

Fixed the results display of given pipe depth in soil for the last calculated line node.

Water only stream specifications are now being placed in the general section instead of being in the crude section as before.

Corrected line sizing calculations for the new three phase streams.

Added printing of the table of enthalpy and entropy of formation data in the pure component initialization section of DESIGN II output result's file.

Included vent gas velocity and critical flow pressure data for depressurizer module. The results will be available for PRInt=3 option only.

The Beta ratio (orifice diameter to pipe diameter) of flowmeter will to be displayed in flowmeter module's result section.

Fixed the stream flash of solids and water regardless of whether water is assumed an immiscible or miscible component.

Fixed the Refine Column Product Quality Specifications so that they work in all circumstances now.

Due to internal changes in the stream data storage format, all stream save files will need to be recreated using version 9.00. A Stream save file version check has been added to verify that all stream save files are up to date.


DESIGN II for Windows Version 9.01 New Features

DESIGN II Version 9.01

ChemTran Version 9.01

September 2003

Please note that version 9.01 PSD files cannot be read by version 9.00 or earlier versions of DESIGN II for Windows. However, version 9.01 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added liquid and vapor volume flowrate dimensional units control for streams in the Controller unit module dialogs.

Resolved the Equilibrium Reactor unit module's Optional Parameters dialog to properly set “inert or not inert” for each component. There was version 8.54 bug that was resolved which requires users to revisit this dialog on version 9.01 and turn off the unintentionally inert items that the old PSD file had written incorrectly for these items.

Fixed the Stream specification dialog TBP/ASTM curve data entry control to allow keyboard up and down arrow movements.

Fixed the Line module's insulation keyword generation code which was not properly implemented on V9.00.

Fixed the Excel results transfer on streams with only vapor and liquid 2 phases or only a liquid 2 phase.

Fixed the Excel results trasnfer on gravity units under Laboratory Distillation results of a crude curve when SI output units are present on DESIGN II. Now it correctly displays as “Specific Gravity” instead of "API" before.

Fixed a Flash unit module dialog validation problem when temperature and pressure were both specified at the same time. Fixed an isentropic and temperature out specification on flash also.

The ChemTran dialog edit box now allows the key via the keyboard to move/delete/add lines within code.

Fixed a problem in the “Flowsheet Links...” dialog.

Fixed a problem in the listing & deletion of assigned recycle streams under the Specify…Recycle dialog.

Fixed a problem in the Flash unit module that was causing the flowsheet PSD file to be corrupted under very unusual conditions.

Fixed a problem in the Text String results display for new streams and equipments on the flowsheet drawing. The text strings were misplaced outside the visual area of the the flowsheet due to badly calculated horizontal coordinate calculation. If this has happened in a drawing then the new results update of the drawing (running the simulator kernel or ) will need to be moved to their proper area.

Partially fixed a possible memory corruption that was causing "Basic" text on Basic Dialog to vanish after invoking the dialog on Win95/98 machines.

Simulator Kernel Enhancements

Added vapor and liquid volume flow rate units for streams to controller commands. The basic flow command is not changed, just added various unit names, which allows the complete slate of quantity flow rate units.

Added new commands to allow "subcooled" specification options for refrigerant utility exchangers; REFRIGERANT = COOLED (default is that refrigerant is being heated), REF SUBcooled (T units) = delta temperature, REF SUPerheated (T units) = delta temperature.

DESIGN II was seeing the 'CHE FIL = COMPADD.DAT' command in the keyword input file as a new COM keyword command. Fixed the same when the new check for 2 or more COMponents cards is performed.

Fixed a stream print halt problem due to a specific stream that contained only free water at icing conditions.

Fixed the Inline Fortran GET calculations and other related problems in the new 3-phase flash calculations for isolated crude processing simulations.

Found the transport option keys in stream bank were not accessed with correct offset, causing the option to change for heating/cooling curve calculations. Corrected this.

Corrected a problem in the Pump code by setting the correct vapor fraction to the outlet stream as compared to that found in the inlet stream.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw900") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.02 New Features

DESIGN II Version 9.02

ChemTran Version 9.02

October 2003

Please note that version 9.02 PSD files cannot be read by version 9.01 or earlier versions of DESIGN II for Windows. However, version 9.02 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added renaming of the sheet names replace the default names Sheet 1, Sheet 2, etc… The sheet names can be up to 40 characters. Undo and redo support have been added for sheet name changes. Also added first and last sheet tab buttons to quickly move between sheets.

Added a feature to import compositions as mole fractions in addition to the molar flowrates on the stream results dialog.

Added new dialogs to allow sub-cooled refrigerant as a utility option for the heat exchanger.

Added a “Size this Stream” dialog for any stream on the flowsheet.

Added a total tally feature that shows the summation of the current values for composition and flow rates on the stream specifications dialog.

Added a new total flowrate stream specification with actual flowrate dimensional units of ACF, AM3, ALIT, AGAL and time units. The flowrate composition must be in molar fractions.

Fixed a component list problem when user added pseudo-components were present in previous versions that was missed in 9.00/9.01 versions.

Fixed a flowsheet display problem when stream vapor volume flowrate was in NTP/STP.

Fixed a TBP/ASTM crude curve data entry problem that occurred when the number of data points exceeded 20.

Included a validation rule that says that at least ONE value for the cumulative percents entered in the crude curve must have a value greater than 1.0. This allows the crude characterization to proceed and attempts to warn the user to modify their TBP/ASTM curve inputs.

Improved operation of the line module's data entry edit box.

Added the ability to turn feed streams on and off to effectively include or eliminate equipment. This is done via the “Do not initialize the stream” option on the stream specifications dialog.

Fixed a stream specifications dialog problem in specifying negative API gravity on stream crude properties.

Fixed a LNG Exchanger connected stream order problem. Previously it was not emitting it's stream connection order on shell/tube side correctly for a particular stream orientation.

Fixed the deletion of last entered data value in the component list. It was retaining the value when deleted.

Fixed the pick up of proper dimensional units for compressor variables by controller.

Added a stream data box item for the dimensional units column width.

Sorted the selected stream's list in numeric order when the stream data box is opened. Also resorted the selected streams in numeric order when the a new stream is added to the list of selected streams.

Found and fixed a major bug in stream data box when the DESIGN II output file did not exist. The stream data box was allocating memory based on the number of components in the output file but the forms manager was sending data for ALL the GUI components.

Added a check that the fractional composition on feed streams must be greater than zero if the stream is active.

Fixed emission of keywords that perform Optimization, Case Study, and Size Lines. Previously, the keywords remained active even after removing the respective calculation code(s).

Included Smith-Dresser-Ohlswager results from the Distill and Refine columns to be transferred to MS Excel.

Fixed the Excel transfer results for Distillation and Refine Columns in flowsheets with two or more case study sections in the output file. The last printed version of the column was being transferred for all cases instead of the correct case.

Simulator Kernel Enhancements

Added incipient phase calculations and print out for hydrocarbon streams (for the Vapor and Liquid 1 detailed stream prints).

Updated the DESIGN II Reference Guide on the Thermodynamic References used.

Fixed a reactor module printout problem where a reaction scheme with wrong stoichiometry not in input was presented. Note that calculations were fine and it is just a print out problem.

Fixed a very low sonic velocity print out problem on line module. Found a problem in the calculated sonic velocity value that was being over-written before printing by the fluid velocity in the pipe. Corrected problem by creating intermediate storage for values for printing.

Corrected a print problem on properties methods being used. Now it shows API instead of MOD API as selected/used in input.

Resolved an isentropic calculation within the pump module. A different method may be needed for specific pure components. Isentropic, Adiabatic and Isothermal flashes can now be performed down to 10 R.

Included maximum available work feature for expander similar to compressor. Also fixed mixer calculations to balance on enthalpies.

Added the print out of TC, PC, ZC and omega (acentric factor) values to heating curve and cooling curve options.

Added ACF, AM3, AGAL, and ALIT as total flowrate unit options for actual volume flow rates (total). These options require that the flowrate composition be in molar fractions (not volume fractions).

Fixed a flash problem when only air and water were present. Since no hydrocarbons were present the new 3 phase flash bypassed the calculations. Changed bypass test to include 3 phase and water solubility.

Changed a test condition to allow water saturation for all feed streams when present.

Found flash sizing bypassed since the liquid stream (water stream with small amount of dissolved HCs) indicated a small amount of vapor. Checked the flash calculations and fixed result indicating small amount of vapor - which was erroneous, caused by a high pressure flash of water stream with default root in equation of state. After this fix the flash sizing ran OK for this isolated case.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw900") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.03 New Features

DESIGN II Version 9.03

ChemTran Version 9.03

November 2003

Please note that version 9.03 PSD files cannot be read by version 9.02 or earlier versions of DESIGN II for Windows. However, version 9.03 of DESIGN II for Windows can read all previous version's PSD files.

Added support for USB hardware keys in addition to the existing software locking, Parallel Port hard keys, Network locking and, Name and Location locking. Please contact WinSim sales if you would like to upgrade your Parallel Port hardware key to a USB hardware key (please note there is a fee).

Updated the printed and online Adobe Acrobat user manuals: the DESIGN II for Windows User Guide, the DESIGN II / ChemTran General Reference Guide, and the DESIGN II Unit Module Reference Guide.

Graphical User Interface Enhancements

Added the new calculations to the stream Calculation Options dialog for calculating sonic velocity of vapor streams and for calculation of stream mixture vapor pressure. Enabled these new results for Excel Transfer along with the new critical property results on active heating/cooling curves.

Added new fuel cell sample flowsheets in c:\designii\samples\fuelcell.

Fixed an intercooler sign convention problem in the Distillation Column.

Fixed the flowsheet display of stream mass flowrate (next to a stream) due to the addition of incipient phase column results in the stream.

Fixed a heat exchanger user interface problem due to addition of new incipient vapor and liquid 1 component flowrates.

Flowsheets with only Pet-100 level components now work. Previously, other components with at least a formula (H2, CH4, Water, etc…) were needed.

Fixed a problem in importing the molar fractions on streams.

Added "by weight" description to Exit Vaporization under Thermosiphon Reboiler Specifications on the Reboiler dialog for Refine columns.

Fixed the Edit item problem on the Column Feeds dialog. Previously it had a jump problem to appropriate feed number info, when multiple column feeds were present.

Fixed the stream data box retrieval of overall mass flowrates. Previously wrong stream overall flow values were used due to the addition of incipient phase (liquid and vapor) column results in the stream in the previous release.

Simulator Kernel Enhancements

Added vapor pressure calculation to bubble and dewpoint. New command is CALculate VAPor pressure = 1,3,5 where numbers are stream numbers. Or, CAL VAP = ALL. Checked (if the critical is converged) if the temperature of the stream is less than the critical temperature. If the critical calculation fails, it tries vapor pressure calculation anyway.

Added sonic velocity calculation for vapor phase of streams. New command is calculate SONic VELocity = 1,3,5 where numbers are stream numbers. Or, SON VAL = ALL.

The detailed stream print mixture critical property calculations are now performed per the chosen thermodynamic equation of state method. If they fail, then approximate methods by Kay's rule and others will be printed.

Fixed several Inline Fortran lockups due to stream variable lookup problems for three phase mixtures.

Fixed a flash sizing problem when small amount of vapor (less than 1.0e-4) occurred in liquid from flash due to 3 phase flash of 2 phase liquid.

Fixed a duty specification problem for heat exchanger when ZERO duty was applied. Lower number such as 0.01 or 1 can be used with reasonable accuracy.

Fixed the new three phase flash method where it did not allow vapor to vanish properly for mixtures near to and below bubble point, allowed small amount of vapor to exist.

Fixed an infinity storage calculation in the stream bank property section for a stream due to additional user specified inline fortran code.

Fixed a mixed amine column message "Liquid flow to stage 30 is negative". Found that during calculations a negative vapor viscosity was calculated which caused the generation of invalid numbers for tray 29. The negative viscosity was probably due to inaccurate mole fractions during some stage of the calculation.

Increased the maximum number of stages in mixed amine column from 40 to 80. This will now allow about a packing depth of 30 meters in an mixed amine column.

Fixed the mixed amine column redistributor calculations to accept it's location measured from the top of the column for columns with multiple sections. Previously, it was calculating the redisbutor depth from the top of each column section.

Enhanced the equilibrium reactor initializations due to low molar feed flow. Also, reduced the molar flow miniumum limit to 1E-09 from 1.0E-2 to prevent singularity in matrix manipulations.

Corrected the true vapor pressure and the bubble point calculations on a mixture that has both hydrocarbons and free water. The bubble point method now separates the free water from the mixture before calculating the bubble point pressure and temperature.

Fixed line sizing for pure water only situations. Also fixed a problem in that the second stream through the last stream in the line sizing section that the users's line sizing commands were not being used.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw900") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.04 New Features

DESIGN II Version 9.04

ChemTran Version 9.04

December 2003

Please note that version 9.04 PSD files cannot be read by version 9.03 or earlier versions of DESIGN II for Windows. However, version 9.04 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the ability to specify unit module calculation & recycle sequences to the Recycle dialog. Also added a "stop at" unit module command.

Fixed the Excel transfer problem for stream heating and cooling curves. Previously did not have a case check when there were three phases instead of two phases for the new Liquid 1 / Liquid 2 output.

Fixed the mass flow units display problem on streams in a flowsheet. Lb/hr now appears fine.

Fixed the multiple tray sections problem on the column (Distill & Refine) tray sizing dialog.

Fixed the Validation Errors Dialog for users running on Windows NT4 and Windows 9X.

Fixed the deletion of Assay cut curve data on existing files to proceed without program stoppage.

Stream line sizing results are now included into the stream dialog's “View Results” item.

Included radio button selections to allow three phase flash or two phase plus free water flash under the Advanced Thermo dialog. Default is to perform Three Phase flashes.

Included a DETHERM hyperlink button on ChemTran dialog to bring up Dechema's VLE/LLE mixture data search website.

Added component list sort modifications that permits selected components to be re-arranged anywhere on the list by moving up or down & top or bottom.

Added two more connection points to the equilibrium reactor symbol.

Simulator Kernel Enhancements

Added dimensional units conversion before printing viscosity for petroleum streams when the user requests kinematic viscosity units (higher than centistokes-CST such as Saybolt, Redwood etc..).

Fixed the dimensional units display problem for stream heating and cooling curve results.

A problem related to the Three Phase Off command was fixed. Previously, it was subtracting the free water twice from the total flow rate calculations when doing the 3-phase split under certain conditions.

Enhanced the equilibrium reactor calculations by initializing to start with given feed composition (was using the last calculated reactor composition previously).

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw900") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.05 New Features

DESIGN II Version 9.05

ChemTran Version 9.05

February 2004

Please note that version 9.05 PSD files cannot be read by version 9.04 or earlier versions of DESIGN II for Windows. However, version 9.05 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Fixed the stream line sizing dialog to allow either delta pressure drop specification or an inside diameter but not both that led to incorrect results before.

Fixed a stream data import problem in temperature units.

Fixed a repeat group error problem in Refine column dialogs.

Fixed a stream data box data retrieval and display problem on mass/molar flow rates.

Resolved dimensional units used for pump around dialog on Refine module to be retained as specifed by user regardless to the global units system (US, METRIC, SI) specified. Also, fixed the feed stream input units to conform to US, METRIC & SI global default specific units.

Fixed crude section input emissions. Previously defined TBP curves were also emitted even when not active and changed to component by component cuts data entry. Also, resolved emission of correct input viscosity data.

Fixed the printing of additional sheets of a multi-sheet flowsheet file when the sheet did not contain a stream data box.

Simulator Kernel Enhancements

The water solubility in the vapor phase for all flash calculations has been changed to use the McKetta chart when there is two percent or more methane in the mixture. The Peng and API Soave thermo methods were over-predicting the amount of water in the vapor phase at pressures over 1000 psia.

The flash calculations were improved for certain isolated cases of hydrocarbons with trace amount of water.

Enhanced the THREE PHASE OFF command for no hydrocarbons in the mixture case, by handling flash of water only systems into the vapor/liquid.

Fixed an amine column convergence handling when no liquid feed was present for the regenerator (liquid feed is required for amine regenerators).

Allowed the equilibrium reactor to accept two incoming streams to be mixed for a flash at lowest pressure similar to other modules.

Fixed the results problem on feed stream mass flow due to QUA UNI OUT selection different than AME UNI OUT global units.

Added print label @STP to detailed stream print of crude volumes to differentiate it from @NTP on the crude liquid properties based on user input selections.

Added the capability to prevent using default roots for supercritical calculations in enthalpy routines. This is enabled for both single and multi-component system simulations. Also, found/fixed supercritical causing problems for enthalpy calculations using default roots. Fixed flash code to use phase envelope determination of supercritical points to prevent default roots in enthalpy calculations.

Fixed the Case Study Restore command to transfer info properly within case study commands due in part by the previous double precision code revamp.

Resolved Amine column packing factor retrieval and storage due to their integer dimensions.

Found that phase envelope reaches very close to critical point and sets PMAX = to the search pressure at that point. This causes flash results to be on of outside the phase envelope and thus bypassing flash. Corrected this situation while indicating that max pressure has been found.

Fixed stream vapor pressure calculations at very low pressures.

Improved Plate-Fin exchangers warnings on convergence or non-convergence to allow overall recycle convergence loops, when present, to report results accordingly.

Increased the maximum number of internal iterations for hydrotreater module for better convergence.

Corrected equipment option labels to be set properly when steam is used. Also, initialized the stream banks during re-initialization of feed streams.

Enhanced distillation column convergence when thermosiphon reboilers are used.

Added warning on enthalpy balance on heat exchangers using a duty specification when not converged in closed loop recycle problems.

Enhanced hydrate predictions by use of the McKetta chart water solubility at high pressures. Improved the calculation of the methanol inhibition temperature at high pressures and low methonal. Also added calculation of the Nielson and Bucklin estimated hydrate formation temperature when methanol is present in the mixture.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw900") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.10 New Features

DESIGN II Version 9.10

ChemTran Version 9.10

April 2004

Please note that the password algorithm has been changed for this release. All passwords issued before version 9.10 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.10 PSD files cannot be read by version 9.05 or earlier versions of DESIGN II for Windows. However, version 9.10 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added full dialog support for the Case Study feature.

Added full dialog support for the Flowsheet Optimization feature.

Added dialog support for the new Refine Column internal streams.

Added dialog support for the new phase map, phase envelope, and hydrate curve calculation options for selected or all streams on flowsheet. Provided tables and plots for all three functions with appropriately chosen default pressure & temperature ranges. All the new calculations have been added to the Excel Transfer also.

Added a new equipment symbol and dialogs for Mass Balance unit module.

Added Component ID numbers 3200 to 3209 for hydrocarbons C21-C30, ID number 3210 for C32 and ID number 3215 for C36. This raises the number of components in the DESIGN II Database to 898.

Enhanced the use of import stream data function on the Stream Specification dialog by modifiying it to retain the last imported output filename and path, imported stream number and imported stream specifications type (flowrate or fraction).

Modified DLL accesses by assigning working directory for Visual C+ DLL calls and Excel export.

Allowed more digits, eight, before decimals to be displayed for component flowrates in the detailed stream print on DESIGN II results, Excel transfer, the Stream Data Box and the View Results on the flowsheet in the GUI.

Fixed an Excel Transfer problem by copying data properly for the time interval units from DESIGN II results.

Fixed the composition edit box double jump problem when keyboard direction arrows was used to move among entered numbers.

Fixed copy and paste display of selected equipment/stream name & number items. It now retains the last selected display items by user.

Changed the upper limit on the thermosiphon vaporization percentage for the Distill column from 50% to 99%.

Converted the DESIGN II online help from WinHelp to HTMLHelp. This allows improved interaction between the DESIGN II for Windows online help and the DESIGN II online help.

Simulator Kernel Enhancements

Added internal streams capability for the Refine Column module's condenser, reboiler, heater, side-stripper and pump around(s).

Added the capability to have decant liquid from condenser (total and partial) within the new internal stream options for the Refine Column. Also added capability of mixing decant water with liquid from condenser to get composition of trace hydrocarbons in decant stream.

Added a Mass Balance module that can assign desired recycle flowrate for a flowsheet recycle.

Added the capability to calculate a phase map, a phase envelope and/or hydrate curve for any or all streams in the flowsheet.

Added Component ID numbers 3200-3209 for hydrocarbons C21H24 to C30H62, ID number 3210 for C32H66 and ID number 3215 for C36H74 (highest heavy with available data from DIPPR).

Added Controller unit module access to Line module's inside diameter specification.

Added an optional command for including “heat added” within an equilibrium reactor. A print was also added in equipment parameter print area for heat in and duty.

Added more property printouts to the property reporter in ChemTran.

Added high temperature corrections to the water vapor phase saturation due to the presence of CO2 in the mixture.

The hydrate temperature and pressure point convergences were improved.

Resolved a liquid fraction / K-values relay problem found in mixer for an isolated case on density and viscosity calculation errors.

Found routine processing component list code and internal stream setup code did not properly jump around a section when processing Refine Column equipment parameters. Fixed the same for a specific case where Inline Fortran was being compiled for the Refine column.

Found properties (molecular weight, volumetric flow rate, etc.) not calculated for second liquid (free water) phase when first liquid (HC) phase has zero flowrate. Correction of this problem resolved flash vessel sizing and thereby transfer of results to Excel.

Fixed the problem in retrieving distillation column's calculated intercooler duties by inline fortran. Also added the intercooler duties onto the equipment summary.

Enhanced the Controller unit module calculations when the starting point in the manipulated variable is outside the minimum or maximum range specified in controller input.

Corrected a Stream Vapor Pressure prediction problem for crude streams. The tracking method started at a higher pressure and could not back track properly. Bypassed tracking method and used standard bubble point calculation to get correct results.

Increased the number of intercooler(s) and heater(s)/cooler(s) limit on a distillation column. Also fixed minor print problem in column output table and re-aligned printed items.

Removed all extra spaces and changed the column widths from 8 to 9 characters for the detailed stream print flowrate tables. This allowed more digits before changing to scientific notation for stream molar and mass flowrate values.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw905") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.11 New Features

DESIGN II Version 9.11

ChemTran Version 9.11

April 2004

Please note that version 9.11 PSD files cannot be read by version 9.10 or earlier versions of DESIGN II for Windows. However, version 9.11 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added on / off check boxes to the Case Study and Flowsheet Optimization dialogs.

Simulator Kernel Enhancements

none.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw910") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.12 New Features

DESIGN II Version 9.12

ChemTran Version 9.12

May 2004

Please note that version 9.12 PSD files cannot be read by version 9.11 or earlier versions of DESIGN II for Windows. However, version 9.12 of DESIGN II for Windows can read all previous version's PSD files.

Updated all program online guides, printed manuals and PDF file documentation. This includes DESIGN II for Windows User Guide Version 9.1, DESIGN II / ChemTran General Reference Guide Version 9.1, and DESIGN II Unit Module Reference Guide Version 9.1.

Graphical User Interface Enhancements

Enhanced the new Mass Balance module. The MASs BALance module is used for setting the flowrate of a recycle loop at a certain point and / or calculating the required makeup flowrates for certain components for a recycle loop.

Added the "Equipment Specific Tabular" k-value specific thermo method for all equipments. This will add the TABK EQU command to the general section (details in Kernel enhancements below).

Modified the line module dialog to allow users to choose the total number of sections. Section by section input for the line length, elevation, and equivalent lengths will allow users to see corresponding variable changes in the line pressure drop table.

Completed the dialogs for LNG Exchanger unit module.

Added Heat Added to the Optional Parameters Dialog for the Equilibrium Reactor.

Added the capability to transfer Refine Column's Internal Streams (pumparounds, side-stripper,etc) data to Excel.

Fixed the problems in Import the stream results option on stream dialog and the File/Import Input File item.

Fixed the controller dialog bug in displaying component selection list when flow rate of component is chosen.

Fully resolved the automatic trigger of OPTIMization keyword problem due to its dialog additions on V9.10/V9.11.

Fixed a PFX dialog problem.

Fixed a problem printing the Heat Exchanger rating sheet from the Output File View Results file printing.

Fixed the components addition to the existing component list problem when the base global units system was changed between METRIC, SI & US units.

Simulator Kernel Enhancements

Enhanced the new Mass Balance module by adding recycle makeup flowrate calculations.

Fixed the Refine Column's Pumparound Internal Streams printing when multiple withdraws are present on the same tray. In addition, problem posed by multiple streams on same tray was also fixed. Also enabled side-stripper internal streams to be printed properly.

Fixed the Refine Column's Reboiler internal stream data retrieval to assigned stream numbers. Also, enhanced refine reboiler calculations for kettle, & thermosiphon types.

Added Weight % distribution curve for TBP, & ASTM characterizations for all crude stream results.

Added an option to use TABular K values only for specific unit modules instead of applying TABulated K-values for the entire flowsheet. Two commands are needed. In the general section, TABK EQU, which stands for TABK EQUipment specific and in the equipment which uses Chemtran generated TABulated Ks, KEYK = TABK.

Enabled Inline Fortran to permit both REF and REFI keywords for any Refine Column parameter access.

Enhanced the calculations within the Equilibrium Reactor to predict better flame temperatures.

Adjusted distillation column tray print format to allow double digit weir heights.

Corrected the ASTM values reported on case study table options.

Fixed pure glycerine's (or glycerol) vapor pressure calculations.

Increased storage bank size to allow more components not in the specified simulation component list to have other data such as heating value, etc.

Fixed a mixing temperature problem in the line module node pressure calculations via 3-phase water flashes that handled free water resolution.

Improved the heat exchanger's rating results by including the calculated delta pressure regardless to specification. Changed PRESSURE display to PRESSURE (IN/OUT) so it clearly shows the pressure drop used in the calculations. Also changed PRES DROP SPEC/CALC to PRES DROP ALLOW/CALC consistent with TEMA exchanger's specification sheet.

Fixed the problem when SET/GET statements are present in the same user added Inline Fortran statements.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw910") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.13 New Features

DESIGN II Version 9.13

ChemTran Version 9.13

July 2004

Please note that version 9.13 PSD files cannot be read by version 9.12 or earlier versions of DESIGN II for Windows. However, version 9.13 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new dialog (Properties...) under the File menu allowing the resizing of an existing flowsheet. Previously a copy/paste, new flowsheet selection was the only route to change overall flowsheet size.

Added the SI units system to the dimensional units selection mode for the File / New dialog. Flowsheet default settings on size, units, orientation, etc… are now retained as first selected by user for the next start of DESIGN II for Windows. These settings are stored in the DESIGNII.INI file.

Added a new warning that requests user to change a 0.0 or 1.0 top or bottom product rate estimate on distillation columns.

Added display of six items for a Refine column on the Flowsheet. The items are trays, Reflux Ratio, Top Temperature, Bottom Temperature, Condenser Duty and/or Reboiler Duty.

Added support for ASME Enthalpy and Entropy Base to the print options dialog.

Fixed the component dialog list search based on Formula.

Added a Flash module flowsheet display for Heat Added.

Fixed the problem when two streams were positioned on one snap point of a module. Now the user interface will warn user's to rectify the same by highlighting the problem module. Also fixed a problem where the click onto a equipment snap point was outside the snap point radius. The stream appeared to be connected to the equipment but was not internally connected.

Fixed the depressurizer dialogs retention of user selected heat addition values.

Fixed a problem where the line module was emitting the absolute elevation values as elevation change values.

Simulator Kernel Enhancements

Improved the API Enthalpy and entropy base to handle datum at -200 F and saturated liquid for all equations of state except the Mixed Amines thermodynamics. Also, added a ASME ENThalpy command for an enthalpy and entropy base of 32 F using saturated liquid. If both API Enthalpy and ASME enthalpy commands are present then all components except water will be calculated with a -200 F saturated liquid base, water will be calculated at 32 F saturated liquid base. The default enthalpy and entropy base continues to be 32 F using ideal gas. Also improved the DESIGN II steam tables entropy datum to compare at literature steam tables datum of 32 F.

Added screen print periods to the depressurizer during its simulation to indicate that the calculations are progressing.

Enhanced the phase envelope calculations by allowing pressures closer to the critical point. Also added a default pressure range from 50 psia to 5000 psia by 50 psia if no pressures are specified.

Fixed the Distillation Column's Reflux Flow to use M3LIQSTP as a flow rate unit specification. Also added capability for M3LIQNTP.

Found transport options were over written in equipment when it interpreted the stream as water phase instead of 2 phase (HC and water phases).

Found water solubility in vapor phase being under predicted in this case due to bypass McKetta calculations in a special situation. Also found and corrected that three phase flash not stable enough for liquid water streams with trace HCs and no liquid HC phase.

Corrected the allowable pressure drop printed on the ratings sheet to have the total value instead of the incremental delta pressure displayed before in V9.12.

Fixed the size line stream issue when only free water was present and a velocity calculation was requested. Previously the free water was counted twice.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw910") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.14 New Features

DESIGN II Version 9.14

ChemTran Version 9.14

September 2004

Please note that version 9.14 PSD files cannot be read by version 9.13 or earlier versions of DESIGN II for Windows. However, version 9.14 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added control of the digits after the decimal point for all stream results on the flowsheet to the stream properties dialog.

Added lb/min to the list of default flowrate units in the Specify / Preferences - override specific units dialog.

Added an optional item to turn on BIN PAR = TEG1 under Advanced Thermo for TEG/water systems using the Modified Peng Robinson correlation with the built in TEG - Water - Methane properties.

Added a validation check to prevent using the crude properties data (ie: viscosity, gravity curve, etc, ) previously specified when a world crude library is being used for a feed stream.

Added heating values (gross & net) and Wobbe Index as optional displayed items on "Stream Data Box Items 2" dialog for display in the flowsheet stream data box.

Added pre-saturator & temperature of chiller commands to the Distil 1 & 2 modules Basic dialog.

Added SINGLE PHASE and ENTrance factor commands to the Heat Exchanger Rating tube specifications dialog.

Enabled flash flowsheet display on results to include both specified and calculated duty. Same was done for Excel transferred results also.

Fixed the unit conversion problem in liquid flowrate display on flowsheet's stream data box when BBL/DAY was selected on SI units based sheet.

Included dialog data entry for Polytropic Compressor module.

Fixed the case study dialog list of commands for the valve module's case study variables.

Made stream/equipment flowsheet display results not to land or overlap on each other on the the flowsheet. The selected list of displayed results will now display in a sequenced order. This change applies only for newly created streams & unit modules. Existing flowsheet unit modules and streams will retain previously displayed/saved locations.

Fixed the LNG Exchanger's feed/product stream assignments during the input creation.

Fixed a problem with stream segment alignment to unit module snap points. If a stream segment is diagonally drawn among grid points, it sets the direction appropriately to the snapped point on the module.

Simulator Kernel Enhancements

Added a new command SINGLE PHASE to the heat exchanger rating to enable single phase rating. It requires that the streams in and out be single phase.

Added a new command ENTrance factor= to allow users to control the tube side pressure drops due to entry/exit effects in a heat exchanger rating. Default is zero.

Added AMErican UNIts OUT as a ChemTran keyword.

Added a correlation to include U-bend pressure drop calculation in U Tube heat exchangers.

Fixed a BULK property stream print crash problem.

Removed "results not useful" comment in the warning "critical properties are not converged".

Removed a warning on the Line module standard dimensions when inside diameter was specified by the user.

The Flash module will now emit calculated duty and specified duty as separate values based on user choice of the flash specification.

Fixed a Line module insulation problem. Previously, if the first line module calculated had insulation variables specified and the second line module did not have insulation, then the second line module used the insulation values from the first line module.

Increased the maximum number of overall cases in case study from 25 to 1000. Also increased the maximum number of cases in one STEP command from 10 to 500. The related Case Study documentation was updated.

Allowed the simulation of crude curve streams as a heat transfer medium stream independent of equilibrium reactor calculations. The Equilibrium reactor will continue to process only real components.

Corrected Distillation column tray sizing valve material density calculations & display.

Included pre-determined binary interaction parameters and its use for components such as TEG, water & hydrocarbons. The general section command to use is BIN PAR = TEG1. Use of ChemTran is no longer required and should not be used unless new binary interaction parameters are calculated by ChemTran. Also improved the use of Liquid Cp enthalpy option for use in TEG regenerators.

Fixed flash results display due to a blank that impeded print format to work properly.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw910") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.15 New Features

DESIGN II Version 9.15

ChemTran Version 9.15

October 2004

Please note that version 9.15 PSD files cannot be read by version 9.14 or earlier versions of DESIGN II for Windows. However, version 9.15 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

The 'delete' key functionality is now fully working for the user interface via the mouse and keyboard. Now, with the change of browser modes all current object (stream, unit module, etc…) selections will be automatically unselected.

You can now choose the number of cases transferred to Excel when case study option is used.

Updated the Excel results transfer to handle the increased number of significant digits for the Stream Summary and the new suction/discharge printouts for the Polytropic Compressor, Pump, Compressor and Expander unit modules.

Fixed the polytropic compressor to accept entries larger than 1.0.

Fixed a validation bug on Multiple Divider unit module. Also the Multiple Divider flow rate / flow fraction variables can now be accessed by the Controller.

Fixed the Flash module's magnitude of calculated duty displayed on flowsheet.

Fixed the display of dimensional units syntax of CAL SUC VOL variable in Case Study section results transferred to Excel.

Fixed an Excel transfer problem that occurred during transfer of Refine column results.

Fixed the mechanism for checking the minimum and maximum values of integers along with the inclusion of a test on the maximum node (stream & equipment) IDs (numbering upto 9999) allowed on each flowsheet.

Added new Ammonia plant sample flowsheets

Simulator Kernel Enhancements

Increased the number of significant digits in the Stream Summary and the Polytropic Compressor, Pump, Compressor and Expander equipment prints from 3 to 5. Added new suction and discharge conditions to the equipment prints for the Polytropic Compressor, Pump, Compressor and Expander.

The calculation of the thermosiphon reboiler was improved for the Distillation Column using the Super convergence method.

Fixed the units conversion problem for the Volume command in the CSTR module.

Fixed a ChemTran problem during structure initialization of a non-database component data.

Fixed flash results on density due to the presence of heavy hydrocarbons in water.

Fixed an Equilibrium Reactor nitrogen balance problem due to multiple feeds to Reactor.

Fixed the problem in input units not being converted properly because the optimization initiation routine was interfering with the stream unit selections.

Fixed initial stream specification that uses ideal gas volume fraction when combined with overall molar flowrate. Before the overall flow has to be volume flowrate matched up with volume percent.

Fixed Distillation Column results on "moles acid gas/mole amine" when using the MEA/DEA method.

Fixed a problem when the default of zero was used for Tube Side Entrance/Exit Factor under "Tube Specifications" of the Heat Echanger rating.

Resolved an isolated Component Splitter crash problem due to a local storage bank change.

Included a new section called ChemTran References in the DESIGN II/ChemTran Reference Guide.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw915") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.16 New Features

DESIGN II Version 9.16

ChemTran Version 9.16

November 2004

Please note that version 9.16 PSD files cannot be read by version 9.15 or earlier versions of DESIGN II for Windows. However, version 9.16 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added Lists of Streams and Equipments to the Browser box in Selection mode so the user can easily find them on any of the sheet(s) in a file. Selecting any equipment or stream name will change to the appropriate sheet and make sure that the node is fully in the view.

Added the stream name and number or the equipment name and number to the error message when two streams are connected to the same port on an equipment or if stream starts and ends from the same port. Also corrected the topology error message and its Next / Previous buttons.

Fixed a problem in re-naming sheets for flowsheets with eight or more sheets.

Fixed an import stream components/composition problem. Fixed an import input file problem due to volume units.

Fixed a problem in copying a group of streams and modules for large flowsheets. Also added an Undo / Redo event for region moves.

KW usage is now being displayed correctly when more than few compressors are on the same sheet.

Fixed the problem when the last selected object vanishes if a new item of the same type was selected next.

Fixed an Excel transfer problem in stream detailed results transfer & case study table on base case flowsheet.

Fixed the program crash when a group of objects containing a distillation column was selected & cut to the clipboard. A second cut to the clipboard caused the program to crash.

Previously displayed flowsheet values will now remain even when output file is not present. Old displayed data will only be refreshed when an output file is present.

Fixed the emission of CRUde section even when crude section's keyword input has no data but was visited by user.

Fixed the "View Results" of the Line Module to display both equipment summary & line results properly for all line modules.

Simulator Kernel Enhancements

Included a new boiling point estimation method called JOBACK in ChemTran. Component structure should be included for using this method.

Removed an error from the matrix (and norm) found in Distillation column thermosiphon calculations using the Super method.

Increased the maximum allowable pressure limit for printing detailed properties for a stream to 100,000 psia from 30,000 psia.

Changed the critical constants (Tc, Pc,…) for 1-pentene per the AICHE-DIPPR database.

Fixed an intermittent problem in calculating and printing elevation pressure drop in line module due to memory allocations between GUI & Kernel on Windows XP.

Fixed a problem in "Size this stream" option. Previously, maximum delta P and maximum velocity values specified for first stream were used for sizing all other streams also.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw915") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.17 New Features

DESIGN II Version 9.17

ChemTran Version 9.17

December 2004

Please note that version 9.17 PSD files cannot be read by version 9.16 or earlier versions of DESIGN II for Windows. However, version 9.17 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the new Controller specification command "Flowrate Fraction of Component i" to the list of stream specifications.

Fixed a memory allocation method in the Stream Data Box that was overwriting the Stream data space in some flow sheets after a simulation is completed.

Fixed the retention of selected KW duty units on the exchanger dialog & feed stream liquid volumetric flow rate units.

Simulator Kernel Enhancements

Added a new Controller unit module command for measured variable as FLO COM FRA i ...where fraction can be either molar or mass depending on the units of the set point, i.e. (BEG=1, LOO = 5, LB/HR). Default is molar fraction.

Improved the mixed amine flash calculations by adjusting the starting temperature for bubble point convergence.

Improved heat exchanger rating calculation convergence, especially around the bubble and dew points of the mixture. If the heat exchanger rating fails to converge then the program will try again to converge by internally doubling the number of increments.

Modified the Distillation and Refine Column tray rating message "** WARNING : FLOW PATH LENGTH FOR SINGLE PASS TRAY IS LESS THAN 16 IN " to "NOTE: A FLOW PATH LENGTH < 16 IN. NOT FEASIBLE IF INTERNAL MANWAYS REQUIRED".

Fixed trace water concentration (less than 1.0E-6) in material balance error in the Material Balance Table.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw916") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.18 New Features

DESIGN II Version 9.18

ChemTran Version 9.18

January 2005

Please note that version 9.18 PSD files cannot be read by version 9.17 or earlier versions of DESIGN II for Windows. However, version 9.18 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added MPA and MPAG pressure dimensional units.

Fixed the display of the calculated outlet pressure in Expander and Compressor.

Fixed the display of free water flowrate when selected on stream dialog's display options.

Fixed a GUI dialog freeze due to scanning of a truncated output file when the kernel execution was killed by user.

Fixed a problem in the distillation column change tray location code. The problem caused the previously specified feed tray location at 1 to be -4.

Simulator Kernel Enhancements

Added MPA and MPAG pressure dimensional units.

Improved the Reactor's adiabatic condition recycle convergence by lowering the tolerance on occasions when initial compositions need to be re-zeroed or re-initialized.

Fixed an infinite loop problem during Distillation Column convergence.

Corrected the Inline Fortran location for the reboiler feed rate retrieval. Previously it may have used specified input flow instead of calculated reboiler feed flow rate.

Fixed Refine Column convergence due to calculation & use of liquid enthalpies near critical region.

Corrected compressor print out problem in KW.

Fixed decant water molecular weight calculation in cooling curves.

Fixed the heat exchanger rating issue when shell side bubble point specification was used. Also enabled dew point and other tube side outlet specifications when exchanger rating is used.

Fixed the heat exchanger rating problem when tube side outlet temperature specification was used.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw917") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.20 New Features

DESIGN II Version 9.20

ChemTran Version 9.20

May 2005

Please note that version 9.20 PSD files cannot be read by version 9.18 or earlier versions of DESIGN II for Windows. However, version 9.20 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new feature called ToolTips that allow stream and unit module results to appear when the cursor hovers over particular object. This option is defaulted to be active. It can be de-activated under the Options menu. Flowsheet files saved on V9.20 will retain the results for tooltips display (will result in increase of the *.PSD file size).

Added commas for all numbers above or equal to 1,000 displayed on flowsheet. The commas are displayed every three digits. This option is defaulted to be active. It can be de-activated under the Options menu.

Added Calculating U to the Heat Exchanger unit module rating dialog for single phase exchangers.

Added Recycle Flowrate by Component into the Mass Balance unit module recycle flowrate dialog.

Connected the mouse wheel to the zoom in / zoom out functions on the flowsheet.

Added the recycle stream(s) position control in multi-loop recycle simulations. This allows users to pick a stream that invokes the addition of another loop not normally identified by the program in recycle (tear) stream allocations.

Added heat exchanger process rating results to the exchanger's "view results". Also, enabled estimated area flowsheet display when heat exchanger rating is performed.

Added the ability to rotate unit modules (90 degrees or 180 degrees) that are present on an existing flowsheet.

Added Water Dew Point Temperature / Pressure functions to D2PROPS & VB *.DLL access.

Added support for the new ONE LOOP command for recycle that allows entire flowsheet to be calculated in a single recycle loop with potentially isolated tail end unit modules that can be added into the single loop.

Set the selection window snap range to zero for flowsheet objects.

Fixed the display of pressure out & other pertinent variables of compressor/expander in specific cases.

Fixed a controller dialog's ratio keyword emission problem for "Vary ... Until" scenarios .

Fixed the MPA/MPAG cooling curve results transfer to Excel and the display of these units in stream data box.

Fixed the Line module's heat transfer dialog to now allow proper selections on AIR, WATER, and SOIL via their radio buttons.

Fixed the stream summary option to only move the stream summary to Excel (no detailed stream prints any more). Also added the stream summary to the equipment summary transfer to Excel.

Fixed transfer for air-cooler rating tube/fan side pressure drops and tube side viscosity & molecular weight results to Excel.

Fixed the line module heat transfer dialog problem on air, water, and soil selections.

Fixed an Excel Transfer problem with partial Depressurizer results.

Resolved the problem in text disappearance. Previously, when a text was highlighted, font changed and if a second text item was immediately selected, previously font changed text disappeared on flowsheet until screen refresh was invoked by the user.

Simulator Kernel Enhancements

Added the BTEX pure components to the Mixed Amine thermodynamic method. The pure components added are Benzene (#40), Toluene (#41), Ethlyl Benzene (#45), O-Xylene (#42), M-Xylene (#43), and P-Xylene (#44).

Added Recycle Flowrate by Component Command for the Mass Balance unit module. Also fixed initialization problem on make-up streams set with mass balance module.

Added table print of important parameters at the point when Depressurizer relief valve first opens. The print option has to be PRINT=3 for this to apply. Also turned off plot if too many points rather than stopping run.

Included the following message "BYPASSED STREAM PRINT FOR STREAM 3, NO NORMAL FLOW" in stream details output when there is no flow in a stream. Every stream now has a stream details page regardless of whether or not the stream has flow.

Added a Calculate U option for Heat Exchangers with single phase streams. The U calculation will be done on user entered command CALculate UCOefficient for single phase streams only (i.e. both streams must be single phase but not necessarily both liquid or vapor). The U coefficient will be used for the UA specification and temperature out specification. Also, the FT factors will print out in the equipment parameters list.

Added a new ONE LOOP command for recycle that allows entire flowsheet to be calculated in a single recycle loop with potentially isolated tail end unit modules that can be added into the single loop.

Enhanced the APISOUR k-value calculations for vapor streams with significant water.

Fixed a Q-T curve dis-continuity in the heat exchanger condensing table.

Fixed an isolated problem via bank name KAA in multiphase module. Improved parameters of the flash and obtained tighter convergence on column top product streams that is different in temperature than the top tray.

Fixed an isolated molar/ mass flowrate problem in results due to adiabatic flash initialization on glycol/water systems.

All unit module results are now printed at one per section in order to easily display the results in the Graphical User Interface.

Curve fit the API 12C1.4 data at low pressure for hydrogen's vapor thermal conductivity and added coefficients in the pure component data. Also added a pressure compensation to the vapor thermal conductivity.

Increased the maximum data space from 100 to 500 for viscosity data sets for feeds to handle crude feed characterizations.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw918") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.21 New Features

DESIGN II Version 9.21

ChemTran Version 9.21

July 2005

Please note that version 9.21 PSD files cannot be read by version 9.20 or earlier versions of DESIGN II for Windows. However, version 9.21 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the new "OPEN TIME PERIOD" option to depressurizer's optional parameters dialog.

Added inches of water absolute and gauge pressure units via preferences and print options dialogs in the Specify menu.

Added decimal display control for unit module variables selected for display on flowsheet.

Per user requests, flowsheet images pasted in other applications will now retain color.

Fixed copy/paste of a flowsheet image even when a stream databox is present.

Fixed the lack of deletion of stream when sheets on a linked flowsheet were removed.

Fixed the displayed duty units for Fired Heater Duty.

Fixed an isolated Excel Transfer problem in heat exchanger results and added an item for LMTD Correction Factor for heat exchanger.

Enabled user added Inline Fortran results to be emitted in "view results" for unit modules.

Fixed a problem introduced in version 9.20 with reading style files for the Legend formatting.

Fixed the display of heat transfer coefficient for the heat exchanger on the flowsheet.

Fixed the Excel Transfer problem that had two flowrate sections in the detailed stream print summary.

Fixed Excel transferred results from the column tray sizing due to units alignment.

Included the line sizing results to now show up on view results of the stream.

Simulator Kernel Enhancements

Added an user request for linear opening time in depressurizer module. The command is "OPEN TIME (t units) = x". The percent valve opening is printed on the optional PRINT = 3 output.

Added inches of water absolute and gauge pressure units for input & output.

Resolved a line sizing problem that ignored user selected criteria for sizing the stream.

Fixed the fan diameter input and default value issue on air coolers when a zero flow feed occurs.

Fixed a flash material balance problem due to water miscibility assumptions when mixed amine thermo is being used and the mixture being flashed contains zero amines. Now a combination of Peng and APISOUR methods handle this situation.

Fixed a problem in LMTD Correction Factor calculation with the number of tube passes. Also changed the printout from F-Factor to LMTD Correction.

Enhanced and modified the calculations for the CALculate overall U COefficient in the heat exchanger.

Found that the tube side heat transfer coefficient reported in Air Cooler spec sheet was based on the extended surface area of the air-cooler instead of the tube ID surface area. Changed to report it based on tube ID surface area for an air-cooler.

Fixed a refine column stoppage problem when program was completing its check of valid specifications.

Fixed a critical temperature and pressure calculation issue due to excess hydrogen with component order change. It was mainly due to limitations posed by correlations used for critical points calculation.

Fixed an isolated heat exchanger rating convergence problem due to dew point calculation of narrow boiling mixtures.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw920") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.22 New Features

DESIGN II Version 9.22

ChemTran Version 9.22

August 2005

Please note that version 9.22 PSD files cannot be read by version 9.21 or earlier versions of DESIGN II for Windows. However, version 9.22 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Moved the internal clipboard from the GUI to the Windows clipboard. Now you can cut, copy and paste data on the Windows clipboard between any Window of DESIGN II for Windows.

Added shell and tube Heat Exchanger geometry dialog items for SHElls in PARallel and SHElls in SERies and modified some dialog item instructional language.

Added stream order control for selected streams in the stream data box flowsheet display.

Added millimeters of water absolute and gauge pressure units via preferences and print options dialogs in the Specify menu. Added inh2o, inh2og, mmh2o, and mmh2og in the stream data box multi-pressure units flowsheet display.

Fixed an Excel Data Results Transfer problem on German Versions of Excel 2003.

Fixed the location of feed when specified with the Mixed Amine Packed Column depth.

Fixed the Line module's elevation & equivalent length data retrieval problem from older version files.

Fixed the Refine column internal heater stream results to be emitted in output.

Fixed an isolated problem in selecting & copying a stream.

Fixed a GUI stoppage problem when opening a certain previous Version's file.

Fixed the difficulty in editing/re-routing streams from one end of an existing stream's connecting nodes.

Simulator Kernel Enhancements

Added requested "mm of water" in gauge and absolute pressure units for input and output commands.

Enhanced the Distillation Absorber column calculations when there is bottom vapor feed stream with some liquid in it. The liquid is now moved to the bottom tray automatically so that it participates in the column flash and traffic calcualtions.

The program was modified for consistency between E-Series and the basic exchanger definitions in documentation for area and passes. Added new commands such as SHElls in PARallel and SHElls in SERies for use with rating & non-rating cases. Included the same in online DESIGN II Reference Guide documentation. The E type heat exchangers in series will now be specified as two shells in series and one tube pass per shell.

Found the Heat Exchanger H shell type was not calculating the liquid fraction properly in the rating code when correcting for split flow. Corrected the same to converge rating of an exchanger.

Updated the MDEA density coefficients based on AICHE-DIPPR database.

Fixed optional cooling curves and bulk property calculation of liquid viscosity when immiscible water was present.

The USB hardware key support has been moved from a statically linked library to a dynamically linked library to avoid DLL conflicts in a specific instance.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw921") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.23 New Features

DESIGN II Version 9.23

ChemTran Version 9.23

October 2005

Please note that version 9.23 PSD files cannot be read by version 9.22 or earlier versions of DESIGN II for Windows. However, version 9.23 of DESIGN II for Windows can read all previous version's PSD files.

The user documentation in the Adobe Acrobat files and in the paper manuals has been upgraded to the match the online documentation and the program.

Graphical User Interface Enhancements

Added support for the the new Crude Feed Blending command in the Crude Cuts dialog.

Added support for new Distillation column bottom product specification for RVP in the main specifications dialog.

Added the Distill and Refine Column internal streams to the stream data box.

All dialogs now have help buttons on them with an associated topic in the online help.

Added support to the Print Options dialog for the new POWer UNIts OUT and DUTy UNIts OUT commands for heat exchangers and pressure change modules such as expander, compressor and pumps.

Fixed a program stoppage problem when case study dialog was invoked in a flowsheet with a Refine column.

Fixed the Refine column internal heater stream results to be emitted in the output.

Fixed the flowrate selection dialogs dimensional units display issue with the multiple divider. It now reveals units text fully.

Fixed an Excel Results Transfer problem when there were two exchangers with rating results on the flowsheet.

Simulator Kernel Enhancements

Added the capability to seperately blend crude feed streams onto unique petroleum fraction ranges. The program now allows for up to 200 partially blended crude feed streams through use of the new FEEd BLEND x = y command. x is the stream number and y is the feed blend number. As before, the petroleum fraction component id ranges 101 to 199 and 500 to 999 will be used.

Added a new POWer UNIts OUT and DUTy UNIts OUT commands for selecting the printed dimensional units for heat exchangers and pressure change modules such as expander, compressor and pumps.

Added bottom product Reid Vapor Pressure control to Distill Column Super algorithm. The command is: BOT PRO RVP AST = 10, where 10 is the reid vapor pressure spec in psia. AST is the default and only option for now.

Added ASTM RVP calculation procedure C when Reid Vapor Pressure is greater than 26 psi for NGL products.

Fixed the elevation pressure drop calculations in a Line module when the AGA method was used.

The Line Sizing results title is now printed as Two Phase Stream instead of Two Phase Steam.

The Refine Column internal condenser outlet stream is now calculated at the condenser outlet conditions instead of the condenser inlet conditions.

The Glitsch tray sizing table for Distill and Refine columns is now reported with the correct tray flooding percent value when the tray diameter is calculated.

Fixed a minor enthalpy calculation bug in the Liquid 2 (free water) phase in the three phase thermo.

Removed the CO2 and H2S corrections to the amount of water in the vapor phase calculations for mixtures pressures less than 100 psia.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw922") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.24 New Features

DESIGN II Version 9.24

ChemTran Version 9.24

November 2005

Please note that version 9.24 PSD files cannot be read by version 9.23 or earlier versions of DESIGN II for Windows. However, version 9.24 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the ability on the Simulation Summary dialog to transfer only the user chosen numbered streams to the Stream Summary and the Detailed Stream Summary on Excel Transfers.

Added an "Add All" button on the Stream Data Box dialog for moving all the flowsheet streams to the list of displayed streams for the stream data box.

Arrowheads are now automatically added to the middle of newly drawn stream segments in direction that the stream segment is drawn. This new feature can be turned On or Off on the Options pulldown menu. The on or off status is stored in the program directory designii.ini file in the [Startup] section.

Removed the line arrowhead sizing handles. Added 1X, 2X, 3X, 4X arrowhead size control and rotate 90 degrees or 180 degrees options to the arrowhead's right mouse click popup menu.

Added the "HX Crosses are allowed" checkbox to the Specify / Preferences dialog.

The stream drawing tool will not allow usage of any of the same grid points to the same stream more than once. This will forbid overlapping of any stream segments.

Vastly improved the double click on streams which previously tended to select and move the stream segment points around minutely.

Stopped the stream drawing tool from drawing a stream segment and then allow it to draw the next segment in the middle of the previous segment.

Fixed the streams from moving off the grid points. This was done by forcing all snaps to be on grid points whilst in stream editing mode (if the grid points are on).

Fixed the copy/paste of an existing stream into an empty area of flowsheet.

Fixed the flowsheet error when "Crude Cuts and Blends" item is invoked on the stream dialog.

Fixed the stream name display problem in Stream Data box when long stream names are used.

Fixed the appearance of random hyphens or characters on flowsheet when special font formatting is used for a stream's displayed results.

Fixed the transfer of the flash duty data to Excel.

Fixed the pasting of text from clipboard onto the flowsheet.

Simulator Kernel Enhancements

The shell and tube heat exchanger now will automatically recalculate with a default Temperature Approach specification of 5 F, if a temperature cross occurs for exchangers with a Temperature Out specification. Printed warning messages. In addition, included a new General section command HXCROSS ALLOWED (HXC ALL) in order to allow users to override the mentioned default recalculation.

Fixed stream volume values error in the Case Study section via a correction in density calculations.

Changed the Distillation Column Mixer to more tightly converge top mixer liquid at columns with RVP calculation. Also fixed the printing of ASTM procedure (A or C) in detailed stream print.

Fixed the operation of MAX DIMEN command with the MATrix option for Distillation Columns having side draws with thermosiphon reboilers.

Fixed the calculation of the temperature end points when 2 parallel exchangers are being rated.

Fixed stream initialization when both vapor fraction and actual volumetric flowrate specifications were used.

Fixed the dew point calculation when using the Phase Envelope or Phase Map method for dew point control in the heat exchanger or flash module.

Improved density and transport property predictions for hydrocarbon streams with no amines when Mixed Amine method was used.

Streams that are 100% Therminol 55 or Therminol 66 will now automatically use the Liquid Cp enthalpy method (even if the Liquid Cp method has not been turned on).

Enhanced the bubble point algorithm calculation within a valve when using BWRK correlation.

Improved the heat exchanger rating for a pure component case using steam.

Allowed the CUTs command to be used when crude feed blending is present. Also, enhanced the calculated feed cumulative volume percent calculations for light ends when used with crude cut feed curves.

The Transport Property calculations will now automatically switch to the Steam Tables when the stream water content is 98% or more.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw923") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.30 New Features

DESIGN II Version 9.30

ChemTran Version 9.30

March 2006

Please note that version 9.30 PSD files cannot be read by version 9.24 or earlier versions of DESIGN II for Windows. However, version 9.30 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the new liquid density option to the basic thermodynamics dialog and to the stream and equipment specific thermodynamics dialogs (including the two-stream heat exchanger). The results to Excel Transfer also include the display of the selected vapor & liquid density methods.

Added dialogs for the new Expander Compressor and Expander Pump unit modules.

Added support for changing the colors on any selected item.

Added support for adding or changing the fill colors for all equipment symbols.

Added a "Select All" feature under the Edit menu which allows the selection of all objects on the current sheet. You can then change the font or change the color on flowsheet. The flowsheet can now be copied/pasted with color retention.

Added two new equipment symbols for Sinks (Sink 1) and Sources (Source 1). These symbols are just for adding annotation to the drawing, they are not functional at all.

Significantly improved the flowsheet's auto routing operation for streams when symbols are moved.

Streams, symbols, line arrows and text can now be changed to different user chosen colors. The selected colors will also be stored in the program's initialization files (once selected, they will be retained for next use).

Added the new Material Balance Summary by Stream and Equipment table to the Excel Transfer.

Added the new Amine Regenerator's partial condenser and reboiler results to the Excel Transfer.

Added additional flowsheet display items from stream results for: RVP, stream bubble/dew points, water dew point temperature, hydrate points, and net/gross heating values.

Extensively updated the online help and all dialogs now have their own specific detailed help topic.

Updated the license dialog to verify that the string values written to the "designii.ini" file were actually written to it. The users with locked "designii.ini" files will now get error messages.

Fixed the Refine Column input creation so that the side stripper temperature and pressures are only emitted if one or more side strippers has specified input pressure and temperature conditions.

Fixed the flowsheet data display for active and inactive options on all module's variable (duty, area, etc) results.

Found that an old double used integer from the Win16 DLL days was being overrun by the 463 streams times 25 rows. Separated the two values stored in the integer value into two separate integer arguments to fix the stream data box display of streams numbered more than 400.

Fixed the "screen trash" that was left behind when text items were moved on flowsheet.

Changed the text color to a darker forest green during edit mode that provides more contrast when adding text & during corrections.

The equipment modules data dialog validation message must now be dismissed before any other dialogs can be visited.

Simulator Kernel Enhancements

Added two new unit modules named Expander Compressor and Expander Pump. Added documentation for the same.

Added the new command LIQ DEN = in the general section to process the liquid density thermodynamic calculations. If not specified, the liquid density will continue to use the same method specified by the density command. Also included Liquid Density commands for feed streams and unit module specific thermodynamics.

Added new equipment headers, thermodynamic method printouts and connected streams list for all the unit modules.

Added partial condenser and reboiler internal data results on the Amine Regenerator. Also added a feed analysis table for amine columns.

Added a new Material Balance Summary table by Stream and Equipment.

Modified the heat exchanger results on LMTD. Added a new corrected LMTD and also fixed a bug in the handling of temperature out of tube side specification when rating E-shells in series.

Allowed the Flowheet Optimization code to now make use of flow VOLume UNIts for Divider for M3VAPSTP and M3VAPAPI or M3API.

Improved the algorithm for dew point search in the flash routines and the liquid root calculation near critical pressure.

Included additional explanation on flowmeter results in module documentation. Also re-phrased the message "Note: Actual pressure drop is calculated at pipe tap location" shown in the results to "Note: Actual pressure drop is estimated drop between upstream tap and downstream pressure".

Fixed an interaction between two equilibrium reactors on the same flowsheet. This occurred when reactor 1 contained a heat addition which was not zeroed before the next call to the second reactor.

Fixed an isolated bug in the mixer code when hydrogen partial pressure was too low when used by the Hydrotreater module.

Decreased the perturbation size for the initial matrix setup on Refine Columns for better convergence.

Fixed a stream name display problem. Now the given stream name is emitted in the stream details print output (up to 24 characters).

Fixed a Distill Column LLE command problem. Previously one assigned LLE command for a column was also being used for all non-LLE columns on the same flowsheet.

Fixed the cumulative volume percent calculations for a crude feed with real components.

Fixed a Refine column side-stripper down comer backup sizing problem.

Fixed a problem when the extra water being added in flash when decant water was added to output stream after being combined previously by flash calculations. Added check to prevent decanted water being added twice. This improves mixer outlet phase results also.

Fixed Controller code to properly indicate which component has been specified for the component flow fraction control.

Fixed a three phase results printing issue when Liquid 1 and Liquid 2 present were not shown properly.

Increased the virtual storage available for the Refine column. Also checked on the crude breakdown of the feed ASTM data. Improved the TBP/ASTM cuts characterization.

Allowed STP liquid flow to be printed in results when metric units output was selected.

Fixed a RVP (CRUde & PROduct methods) calculation problem for crude streams.

Fixed a bug in line sizing a stream when multiple stream sizing(s) were required.

Fixed the flash and phase envelope calculations for a specific case of a mixture in the retrograde region with the critical point on the left side of the envelope in the phase diagram.

Fixed a problem with excess vapor from the line module that was caused by use of sour water thermo option in final stream flash after line module due to excess amount of water in the incoming stream. Corrected code to prevent switch to sour water thermodynamics.

Changed the Water K-Value calculation formula in the Refine Column to be more consistent with K-Values predicted by the vapor pressure of water.

Fixed a problem in the Flowsheet Optimization with varying the Factor in a Stream Manipulator unit module.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw924") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.31 New Features

DESIGN II Version 9.31

ChemTran Version 9.31

March 2006

Please note that version 9.31 PSD files cannot be read by version 9.30 or earlier versions of DESIGN II for Windows. However, version 9.31 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the new Phase and Density table for the Line Module to the Excel results transfer.

Fixed a problem in the simulator kernel output file parsing that caused a crash in the user interface.

Simulator Kernel Enhancements

Added a new Phase and Density table to the Line Module.

Found that the default on the Refine Column Maximum Matrices command was two, not three as in the documentation. Changed the default to five.

Fixed a problem in converting a pure water feed stream from actual flowrate units to standard flowrate units.

Fixed a problem with calculating the pump work in isentropic mode that worked in the volumetric mode.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw930") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.32 New Features

DESIGN II Version 9.32

ChemTran Version 9.32

April 2006

Please note that version 9.32 PSD files cannot be read by version 9.31 or earlier versions of DESIGN II for Windows. However, version 9.32 of DESIGN II for Windows can read all previous version's PSD files.

Please note that the password algorithm has been changed in version 9.32 due to a defect in the password generator. All users will need new passwords in order to use this release.

Please note that the user constants file name has changed from "designii.ini" to "designii.ini.txt". Some users were having problems since *.ini files are locked on highly secured systems. The first time that the user interface is run, it will copy the designii.ini file to the designii.ini.txt file and attempt to delete the old designii.ini file.

Graphical User Interface Enhancements

You can now disable (and enable) any stream or equipment in the flowsheet. You can also disable (and enable) any sheet in the flowsheet. Please note that all validation rules apply as if the disabled stream, equipment or sheet does not exist. For instance, if a equipment is disabled then all product streams from that equipment must now be specified as if they are feed streams to the process. Disabled streams will have "Disabled" written on all their line segments. Disabled equipments will have "Disabled" written across the equipment and an X placed across the equipment. Disabled sheets will have "Disabled" written across the sheet and an X placed across the sheet.

Added the import of crude cut points, molecular weight and specific gravities in the Specify… Assay Data… Cuts dialog from any existing kernel ouput file.

Added the ability to the Stream Data Box to place any stream on any sheet when the flowsheet file has multiple sheets.

Fixed the emission of subscripts of optimization variables that did not require subscripts in the kernel input.

Fixed the Metric Tonne value displayed on flowsheet's stream data box when the quantity print selected units are Metric Tonne.

Fixed a flowsheet optimization bug when distillation column product flowrate were selected to be optimized.

The calculation sequence and recycle sequence buttons in the Specify / Recycle / Recycle Streams dialog are now being turned ON when the dialog is first visited.

Simulator Kernel Enhancements

Added MTD and LMTD values in the Air Cooler rating results to provide more data on the performance of the air-cooler given the installed area Vs. required area.

Added the Mass Balance unit module's variables to the Controller unit module.

Heat exchanger rating (TEMA types and Air Cooler) can now use the "Mixed Amine" thermodynamics methods.

Fixed an isolated flowsheet optimization bug on flowrate units.

Fixed an air-cooler rating problem when calculated pressure drop was greater than system pressure for small sized tubes.

Fixed program stoppages for Amine columns by maximizing tray number to be equal to maximum stages.

Component ID#28 1,3-Butadiene now works as a component in Mixed Amine list.

Fixed a ChemTran execution issue when run separately & not embedded from DESIGN II.

Fixed Liquid Volume Flowrates calculated at STP for streams. Previously M3 was used for BBL (barrels).

Fixed one of the Refine Column's reboiler type (REB TYP=3) to work with Inline Fortran by increasing the storage space for reboiler flash K-values.

Made a minor change in default root estimations for the vapor phase that improved PFX calculations on heating curves via better bubble/dew points resolutions, etc…

Fixed stream summary display for water flowrate when it is immiscible. Now only Liquid 2 is displayed for pure water systems.

Fixed the quantity units out problem on the detailed stream print when metric tonne was selected.

Fixed a convergence issue for an isolated mixed amine flash case when with benzene, and toluene.

Added tests for Refine Column convergence to identify "not a number-nan" issue while printing column convergence so a non convergence message can be printed.

Air cooler rating sheet results now reports specific gravity instead of DEG API.

Fixed a stream phase print problem via equipment module's initialization for vapor/liquid/solid flashes.

Added fix to allow 3-phase calculation to be done on streams before a switch to thermo using APISOUR calculation is made for aqueous hydrocarbon systems. Also, added test for glycols.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw931") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.33 New Features

DESIGN II Version 9.33

ChemTran Version 9.33

June 2006

Please note that version 9.33 PSD files cannot be read by version 9.32 or earlier versions of DESIGN II for Windows. However, version 9.33 of DESIGN II for Windows can read all previous version's PSD files.

Please note that the password algorithm has been changed in version 9.33 for increased security and it now contains 320 numeric digits. All users will need new passwords in order to use this release. We advise users to email admin@winsim.com to get your password emailed to you. Once 9.33 is installed on your PC, please copy and paste the 8 line password into the multiline text box on the license information dialog.

Graphical User Interface Enhancements

Added Piperazine to the component lists and the mixed amine thermodynamics as component #1219.

Added ASTM D-2887 crude feed data entry to the stream specification dialog.

Added dialog support for the new pure components Therminol 72, ID #2056, and Therminol 75, ID #2057.

Added a checkbox to control print of TBP/D-86 Stream Print on the Specify / Print Options Dialog. This allows users to get liquid and vapor volumetric flowrates and flow fractions.

Remove the appearance of X on the equipment modules in the browser box from the version 9.32 new features.

Fixed the crash of undo/redo when a new sheet added to a new flowsheet.

Fixed the stream data box issue when a new sheet was added and simulation run without any stream databox display assignment on the last added sheet.

Fixed the PFX dialog issue on changing the number of connected streams.

Fixed an Excel Transfer problem on vertical flash sizing.

Fixed the emission of RVP on the stream's flowsheet display.

Simulator Kernel Enhancements

Added Piperazine as component id #1219. Added Piperazine to the Mixed Amine thermodynamics so that Activated MDEA (aMDEA (R)) can now be simulated. Please note that aMDEA is a registered trademark of BASF.

Added pure components Therminol 72, ID #2056, and Therminol 75, ID #2057, into the database.

Added support for ASTM D-2887 as an input characterization for crude feeds.

Significantly improved the convergence of Distillation Absorber Columns when user specified estimated product flow fraction or flowrates were insufficient based on overall column feeds. Product rates are now automatically adjusted. If the Absorber fails to converge then an adiabatic flash is now performed and the vapor sent to the top outlet stream and the liquid is sent to the bottom outlet stream.

Added Entropy to the stream summary section of the results. This will also be transferred to Excel.

Added a warning message for different reboiler types on Refine Columns to warn users on required additional specifications and/or guesses on reboiler flow, duty, etc…

Added a minimum temperature approach warning on hard to converge heat exchanger ratings. Also, allowed user specified baffle spacing to be used without any internal overrides due to rating method selection. However, warning messages will still be emitted indicating the range and recommendations of the design method in use.

Added checks to avoid infinite loops on PFX when with insufficient starting recycle stream flow guesses.

Fixed cooling curve reports on specific gravity of water / hydrocarbon phases, and transport properties (viscosity, thermal conductivity).

Fixed Refine Column's internal pump around stream print outs.

Fixed stream vapor pressure calculation for the crude liquid streams.

Fixed the calculation of polytropic and entropic head in compressor when driver power limit is specified.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw932") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.34 New Features

DESIGN II Version 9.34

ChemTran Version 9.34

August 2006

Please note that version 9.34 PSD files cannot be read by version 9.33 or earlier versions of DESIGN II for Windows. However, version 9.34 of DESIGN II for Windows can read all previous version's PSD files.

The existing three user manuals were updated in PDF files. A new manual was added to deal exclusively with the tutorial and all 250+ sample flowsheets.

Graphical User Interface Enhancements

Added separator sizing to the Flash unit module results.

Added liquid and vapor density and heat capacity Cp to the stream displayed results.

Enabled the delete key to delete a selected object or group.

Fixed the switching of PFX streams connections and user assignments

Fixed the error that identified the wrong module being connected to multiple streams.

Fixed the transfer of depressurizer results to Excel that was interfered before by DESIGN II warnings.

Increased the time out between the ending of the simulator kernel calculations and triggering of the simulation summary dialog.

Fixed the packed amine column results transfer to Excel.

Fixed display of exchanger's calculated shell side duty with negative sign in Excel Transfer on module summary sheet.

Made warnings selection on simulation summary dialog go directly to that warning on it's page.

Fixed a D2PROPS.EXE crash when the number of components exceeded 20.

Simulator Kernel Enhancements

Added a water miscibility print to the stream and equipment results headers.

Added a warning about the need to treat water as an immiscible component when with hydrocarbon systems and there is non-soluable water.

Fixed several three phase flash calculations problems with mixtures of natural gases, ethylene glycol and water. Also mixtures of natural gases, methanol and water.

Changed the unit module initialization code so that feed streams to a unit module are automatically reflashed if the k-value method, enthalpy method or the water miscibility is changed for the unit module. Previously, only the stream enthalpy was recalculated if the unit module enthalpy method was changed.

Improved the liquid amine specific heat calculations using industry standard data. Also added heat of solution and excess volume of solution to aqueous amine mixture calculations. Note, this change will cause significant changes in the calculated enthalpy results for amines and aqueous amine mixtures.

Fixed density and sonic velocity calculations for LKPK and BWR/BWRS equations of state correlations using Nitrogen or zero moles of Helium systems.

Fixed Multiphase Flash results for an azeotropic system furfural and water.

Added warnings for tube and shell heat exchangers when the calculated pressure drop exceeds the user specified value and limited the used pressure drop to the maxiumum of calculated or entered value. The calculated pressure drop is now printed in the heat exchanger specification sheet.

Fixed warning message for minimum MTD that now takes an absolute value. Included relevant documentation on heat exchanger dialogs.

The Mass Balance unit module now checks itself for convergence and tells the recycle sequencer when it is not converged yet so that the recycle calculations will not end prematurely.

Fixed Internal Stream temperature retrieval for decanted water from a partial condenser on the Refine column.

Increased the internal limit on section height in Amine Columns to 200 feet or 200 trays.

Fixed the Unit Module Specific Thermodynamics to accept different liquid density methods under certain situations.

Included the water decant flash in 3rd phase liquid in the case when the water stream included trace hydrocarbons.

Fixed a dimensional units emission bug in the main specifications used on Distill column summary.

Fixed streams CO2 Freeze check ON/OFF to be now emitted properly on detailed stream print.

Fixed stream molecular weight and density results for a specific water/methanol system.

Fixed a problem in dew point calculation for a stream with a very heavy pseudo-component.

Fixed a detailed stream print report that had flowrate out of balance and density errors.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw933") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.35 New Features

DESIGN II Version 9.35

ChemTran Version 9.35

October 2006

Please note that version 9.35 PSD files cannot be read by version 9.34 or earlier versions of DESIGN II for Windows. However, version 9.35 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added inches of water absolute and gauge pressure selections to the Excel transfer.

Added optional print of vapor and liquid derivatives of pressure with temperature and volume for a stream to the stream calculation and flowsheet print options dialogs.

Fixed an isolated problem in GUI search & find on stream / equipment numbers.

Fixed Refine Column Tray Sizing selection problem on tray valve material. Previously, the input file had different material selected than what was user chosen.

Simulator Kernel Enhancements

Added print of vapor and liquid derivatives of pressure with temperature & volume for a stream on the stream detailed print.

Any component is now allowed in the mixed amine thermodynamics, including SO2, as long as none of the component is present in a stream or equipment using mixed amine thermodynamics. The 40 component limit is still effective when using the mixed amine thermodynamics.

Added Therminol VP-1 or Dowtherm A as thermal fluids into the database with component ID#2058 and allowed it to be used for liquid Cp calculations.

Added a warning message when a product stream from a unit module is overwritten by an inline Fortran call to COPSTR.

Fixed the water bubble point pressure calculation for sour water streams.

Removed all line wraps from equipment results.

Fixed predicted liquid stream properties on flowrate / mol weight / liquid density due to number of phases test.

Fixed three phase results from a multiphase module for EG/water system when only two phases are present.

Fixed a print out problem by setting decant flow rate during flash calculations enabling module to identify water streams properly.

Fixed the enthalpy flash problem when the mixed amine absorber column feed stream vapor fraction is greater than 0.99 in amine systems with excess water. Also changed the warning message to explain how the mixed amine absorber column treats vapor feed with liquid.

Corrected Bulk Properties results on any stream to include all phases (vapor, liquid 1, liquid 2) when with free water.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw934") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.40 New Features

DESIGN II Version 9.40

ChemTran Version 9.40

December 2006

Please note that the password algorithm has been changed for this release. All passwords issued before version 9.40 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.40 PSD files cannot be read by version 9.35 or earlier versions of DESIGN II for Windows. However, version 9.40 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the ability to place drawing elements on the flowsheet. The new drawing elements are line, rectangle, rounded rectangle, triangle, ellipse, arc and parabola. The elements can be easily selected via the Browser listbox or on the toolbar. The elements can be moved and resized as desired.

Added the ability to embed image bitmaps in any flowsheet. The bitmaps can be moved and resized as desired.

Added a option to simulate any selected equipment or stream on the flowsheet. If all of the inlet streams for an equipment are not specified then previous stream results will used if available, otherewise, inlet streams will need to be specified. Streams must be specified in order to be calculated.

Added actual volumetric vapor flow unit selection (e.g.,acf/min) to the Excel results transfer of Stream Summary.

Added a crash detection facility to the user interface. When a crash is detected, a yes/no box is presented to the user asking if the user wants to report the crash to WinSim. If the user clicks Yes, then a dialog is presented for the user's name, organization, email address and a comment about the crash. When OK is clicked then the dialog connects to WinSim's website and emails the information and the flowsheet file to customer support.

Added a line module option to display Line Diameter and Line Length onto the flowsheet.

Added support for the new Predicitive Peng Robinson commands Non Ideal and Inifinite Dilution to the Advanced Thermodynamics dialog.

Values entered for specific gravities and API gravities are now checked for their respective reasonable upper limits.

Fixed a problem in tray valve material selection order in Distill/Refine column tray sizing dialog.

Fixed keyword emission check on range of delta pressure item in the optional parameters dialog of the flow meter. Also initialized delta pressure units and range of input values.

Fixed stream tooltips not to show internal stream results on another stream data.

Updated the online help and converted the tutorial to a flash presention for better usage.

Simulator Kernel Enhancements

Added a new set of thermodynamic methods called Predictive Peng-Robinson. The keywords are PPRK, PPRH and PPRD. Predictive Peng-Robinson will take advantage of Renon data present in a ChemTran file (if available) or generate data from the built-in UNFAC group contributions to better model vapor liquid separations at higher pressures. Added new Predicitive Peng Robinson commands Non Ideal and Inifinite Dilution to specify components to get special treatment. More UNIFAC groups will be added in a future release .

Added new functions to the Visual Basic / Visual C++ interface: CalculateIsentropicCompressor, CalculatePolytropicCompressor, CalculateLinePressureDrop and CalculateIsothermalFlash2. All functions are documented in the dii2vbas.doc file in c:\designii\bin. Also added samples of each function to the dii2vbas.xls Excel spreadsheet.

Added a Liquid 1 - Liquid 2 flash calculation to perform bubble point pressure calculation on mixtures of 2 liquids (hydrocarbon liquid phase (L1) and free water (L2)).

Added oxygen to the Henry's constant list to fix a mass balance problem.

Added MASs FLOwrate command to the case study commands.

Fixed a dew point calculation for an almost pure propane mixture that was very close to its bubble point.

Fixed the dew and bubble point calculation to not use the mixture calculation when the mixture is only a single component.

Resolved a problem due to equipment re-flashing stream with trace water and methanol and finding some vapor when previous total stream flash (vapor and liquid) found to be all liquid. Added code to bypass re-flash if water (plus glycols or methanol) fraction was greater than 0.7. Also, changed adiabatic flash to lower test of amount of decant from 1.e-6 to 1.e-7. This caused the adiabatic flash to retain the third liquid phase in some cases.

Fixed a divide by zero problem in the adiabatic flash code.

Added checks on pointers and error messages from a depressurizer module. Also increased the data storage size of depressurizer analysis table.

Fixed the component flow rate passing problem when there is a non-crude feed in the crude feed section.

Fixed an error in setting up mapping array for mixed amine component list as compared to DESIGN II component list when there are non mixed amine components present.

The Material / Energy balance by node was corrected for refine/distil columns by including water balance due to decants, etc....

Fixed water flowrate results to now properly appear on Liquid 2 column for certain cases.

Found dew point calculations and flash calculations getting slightly different values for dew point. Added significant digits control on correlation fugacity constants and fixed an adiabatic flash discontinuity.

Fixed a stream bank initialization problem in Refine column. Previously wrong stream number was being used.

Fixed the Line module's phase and density table results to display correct user selected units on vapor and liquid density values.

Fixed a zero flowrate of streams issue that was encountered via In-line Fortran of an isolated file.

Fixed a equipment flash problem for an aircooler outlet stream that indicated no liquids drop out for this mixed amine problem. Liquid water now drops out.

Fixed a user concern on Cuts Gravity Curve data predicting slightly lower bulk API gravity than measured. Correct bulk gravity is now reported.

Fixed a stream manipulator problem caused by not recalculating enthalpies for modified streams when feed is a two-phase single component system.

Fixed a line pressure drop friction factor calculation problem when using Lockhart-Martinelli method. Additional checks put in place when flow is outside Baker Regime plot.

Fixed prediction of bulk gravity when only cut curve gravities were provided. When bulk gravity is provided along with cut curve gravities, the cut curve will be adjusted for a better fit.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw935") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.41 New Features

DESIGN II Version 9.41

ChemTran Version 9.41

February 2007

DESIGN II for Windows has been updated for full compatibility with the new release of Windows Vista.

Please note that version 9.41 PSD files cannot be read by version 9.40 or earlier versions of DESIGN II for Windows. However, version 9.41 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new properties dialog to Bitmaps pasted to a flowsheet. Bitmaps pasted to a flowsheet now retain their original aspect ratio when resized unless turned off by the user.

Added Wobbe Index as an option within "Display Results on Flowsheet" on the stream dialog.

Fixed the gravity dialog that had a range problem for API gravity specification.

Fixed heat exchanger rating dialog warnings and fixed a bug in the stream data box display.

Fixed the Wobbe Index & Gross Heating Value in the Stream Box Items 2 dialog to now display properly in the flowsheet's stream data box.

PFX and LNG rating results now transfer to Excel without any error.

Fixed the stream data box display problem on flowrate units in BBL/DAY and SCF/MIN.

Fixed the Gas / Liquid Viscosity and Thermal Conductivity units display problem in the stream data box. Previously, when these active items were turned off their units were erroneously used for flow rates.

Fixed internal data corruption issues when lines/shapes drawn via Drawing Tool on the Flowsheet used more PC resources which dragged down the time to edit and working with any Flowsheet.

Resolved Stream Data Box Items 1 check ON/DISPLAY/OFF issue with Vapor/Liquid Viscosity & Thermal conductivity items that displaced the original units for vapor/liquid flow rates.

Simulator Kernel Enhancements

Added Hydrate inhibition with Ethylene Glycol using activity model. Added Hydrate inhibition with DEG, TEG and PEG using the Nielson-Bucklin method.

Added new UNIFAC K-Value group contribution values for Methane (CH4), Nitrogen (N2) and Oxygen (O2).

Added Binary Interaction Parameters to the Peng-Robinson thermodynamics for Methane - Methanol, Methane - Ethylene Glycol, Ethane - Ethylene Glycol, CO2 - Ethylene Glycol, Nitrogen - Ethylene Glycol, Methane - DEG, Ethane - DEG, CO2 - DEG, H2S - DEG, Methane - TEG, Ethane - TEG, Propane - TEG, CO2 - TEG and H2S - TEG. Refitted the BIP for CO2 - Methanol.

Improved the three phase flash calculations for mixtures of water, hydrocarbons, EG, DEG, TEG and PEG.

Modified the program to allow a bigger tube pitch setting for half an inch tube for tube and shell heat exchangers.

Fixed heat capacity for Heavy Oil prediction issue. Previously molar flow rate of hydrocarbon liquid phase alone was used instead of the total molar flow rate of entire stream during enthalpy calculations.

Fixed an average enthalpy of the fluid convergence problem within a line module's heat transfer calculations. This occurred when the direction of heat flow reversed due to fluid temperature attaining the surrounding temperature.

Fixed a flash problem when water and ethylene glycol are the only two non-zero components in an feed stream. When water is immiscible, such feeds / products now show up in Liquid 2 column of the stream results.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw940") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.42 New Features

DESIGN II Version 9.42

ChemTran Version 9.42

March 2007

Please note that version 9.42 PSD files cannot be read by version or earlier versions of DESIGN II for Windows. However, version 9.42 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added two new sample flowsheets in c:\designii\samples\lpg\ showing the removal of CO2 from sour LPG using DEA. Sourlpg_dea_1.psd uses the Mixed Amine thermo method and Sourlpg_dea_2.psd uses the MEA-DEA thermo method.

Separated the Reflux Ratio / Reflux Flowrate and Condenser Temperature / Condenser specifications on the the Distill Column main specification dialog on columns with condensers to allow more degrees of freedom. They are now in separate drop down menus.

Fixed the program crash issue on PCs with user rights on Windows XP.

Fixed the Excel transfer due to missing units on stream summary page. Also fixed an isolated PFX module results transfer to Excel.

Resolved an auto routing move issue that stopped the GUI-front end graphical user interface.

Fixed a program crash when Pet-100 pseudo fractions were added to the component list. This resolved the Therminols addition issue also.

Excel Transferred stream summary results now have stream numbers exported as numbers. Previously, they were strings in the stream summary's third row.

Fixed a bug in stream segment edit function.

Converted the Excel transfer template.xls file from Excel 95 to Excel 97+.

Simulator Kernel Enhancements

Added the MEA-DEA thermo to the Liquid K-value method so that LLE contactor columns could be modeled using MEA or DEA.

Fixed Flash results on a stream that got -nan's (not a number) and detailed stream print was partially missing.

Fixed a curve increment calculation problem in heat exchanger module.

Removed heat of solution data for mixed amines that was included in V9.34.

Fixed a liquid enthalpy calculation issue for TEG/water mixture to help resolve column convergence.

Fixed an isentropic flash call from Visual Basic via Excel.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw941") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.43 New Features

DESIGN II Version 9.43

ChemTran Version 9.43

May 2007

Please note that version 9.43 PSD files cannot be read by version or earlier versions of DESIGN II for Windows. However, version 9.43 of DESIGN II for Windows can read all previous version's PSD files.

Fixed a USB hardware key access security corruption issue when running multiple flowsheets and simulations.

Updated all four of the user manuals: the User Guide, the Unit Module Guide, the General Reference guide and the Tutorial / Samples guide.

Graphical User Interface Enhancements

The Now Calling results are now stored for all recycle iterations in the Unit Module results. This can be turned off or on in the Specifications dialog. The default is on.

You can now simulate a stream or unit module using the given stream specifications or the stored stream results.

Added a feature to select multiple components from the component list and add them together via CTRL hold/mouse highlight keyboard operation.

Added import of a recycle calculation sequence from an output file into the Specify / Recycle / Recycle Streams and Calculation order dialog.

Added printing of a selected region to be printed out of a stream or unit module's "view results" window.

Added import of the stored stream results to the stream specifications.

Added ionic stream summary and Distillation column ionic data results to the Excel transfer.

Fixed a crude feed flowrate specification dialog selection problem on volume percent and weight percent items when feed is defined with D-2887 or other types.

Fixed a font changing issue on streams. Previously, if the first stream was selected in a region select, change of fonts cannot be done.

Fixed the Help / Tutorial... flash utility to make it work.

Fixed the import of pseudo cuts by allowing multiple crude curves and blend numbers regardless of ascending or descending boiling points present with multiple crude curves.

Fixed a program crash in the Distillation column feed tray location dialog caused by changing the number of theoretical column trays.

Fixed a Specify / Components... dialog crash when electrolyte species were already present in the list.

Fixed a Stream data box units display problem for vapor/liquid flowrate units in MMSCFD and BBL/DAY when barrels per day in stream summary was requested instead of default gallons per minute. Also fixed other flowrate units display problem when mass composition display was selected.

Fixed an issue when stream data box numeric values were over-writing the data box grid dividers.

Fixed column top and bottom purity and ratio units display issue on percent, fraction and PPM

Simulator Kernel Enhancements

Improved distillation column calculations within a recycle. Previously, an absorber failed due to no vapor feed or no liquid feed within iterations.

Fixed a problem when an absorber column was exceeding storage for the number of combined feeds to the absorber.

Fixed a problem in the stream initialization where the enthalpy for a supercritical phase was incorrectly calculated.

Fixed a memory corruption problem within the Mass Balance unit module that caused flowsheet recycles to either delay convergence or to not converge at all.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw942") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.44 New Features

DESIGN II Version 9.44

ChemTran Version 9.44

July 2007

Please note that version 9.44 PSD files cannot be read by version or earlier versions of DESIGN II for Windows. However, version 9.44 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new Ionic Components data selection dialog and separated it from the Components List.

Added additional information on how weight and volume basis are used on the Crude Light Ends dialog.

Fixed a stream liquid flowrate unit conversions problem on the Stream Data Box flow sheet display.

Fixed a crash in DISTIL1 module when the convergence method was changed.

Fixed an issue when a real stream was in the crude feed section but the sheet it was present on was disabled.

Fixed a flash module crash issue due to display duty units clash with user's overall specific unit preferences.

Simulator Kernel Enhancements

Fixed the crude oil library crude data for API gravity & Viscosity.

Fixed a heat exchanger's Ft calculation & report for all exchanger geometry configurations. Also, resolved an area calculation for non-rated heat exchangers (previously program inadvertently used LMTD instead of CMTD).

Fixed a column initialization message "WARNING: NIN is greater than 1 in ADBF emission" for a unique circumstance in the Distill Absorber.

Fixed the module specific liquid density thermodynamic method keyword choice that stopped a column from running.

Fixed an interaction between the mixed amine thermo and the heat exchanger rating.

Allowed the program to continue its run by emitting an error when Peng-Robinson and Predictive Peng-Robinson were selected for K-value and density method respectively. Both of these methods selection are not allowed at the same time for K-value and Density.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw943") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.45 New Features

DESIGN II Version 9.45

ChemTran Version 9.45

October 2007

Please note that version 9.45 PSD files cannot be read by version or earlier versions of DESIGN II for Windows. However, version 9.45 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

There were no changes made to the Graphical User Interface.

Simulator Kernel Enhancements

Added a mass basis material balance table in addition to the existing molar basis material balance table.

Added a results column to the reboiler stream summary for the re-circulating liquid stream for Type 3 thermosiphon in the Refine column. It is sump liquid (liquid from sump) for Type 2. For Type 1, program prints out bottoms product (same as reboiler liquid column).

Changed the Mixed Amine column to use the Eckert correlation for the packing flood calculation.

Fixed a problem with the oil and water entrainment calculations.

Fixed a problem where Refine Column internal stream commands were getting confused with K-S commands in the input processor.

Enhanced the Refine column hot draw thermosiphon (type 3) enthalpy balance calculation.

Fixed the Mixed Amine column so that the tolerance could be less than 0.001. This is not advisable except under rare conditions as a loose tolerance can cause problems with recycle convergence.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw944") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.50 New Features

DESIGN II Version 9.50

ChemTran Version 9.50

November 2007

Please note that the password algorithm has been changed for this release. All passwords issued before version 9.50 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.50 PSD files cannot be read by version 9.45 or earlier versions of DESIGN II for Windows. However, version 9.50 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Converted all the Component List, Basic Thermodynamics, Advanced Thermodynamics, ChemTran, Component Data, Crude Cuts Data and Ionic Species data dialogs into one tabbed dialog.

Added ChemTran dialog support for entering non-database or user defined pure components. Both structure and point properties method are allowed. Also added ChemTran dialog support for entering mixture properties of two to many components.

Added dialog support for drawing pressure-enthalpy diagram via calculation options of any stream or all streams.

Added support for the Distillation Absorber column's new three phase Sum Rates method to the convergence dialog.

Added Liquid CV Coefficient option for valve modules.

Added another button labeled "Detailed Streams" for Excel Transfer. This will transfer both stream summary and detailed stream print for each stream on the flowsheet.

Added mass and mole fraction option for stream data box display for component flows. This will emit as 'mole fraction' or 'mass fraction' dimensional units on the stream data box.

Added the new pressure delta specification to the compressor, expander, and pump dialogs.

Added the new component mass fraction and component mass flow rates for distillation and amine column's tray by tray data to the Excel data transfer.

Added View Results dialogs to the Case Study, Optimization, Pure Component, Thermodynamic Methods and Advanced Thermodynamics dialogs.

Fixed validation errors being emitted for other modules when the source symbol was placed on flowsheet.

Fixed a Compressor validation error problem even when all streams were connected properly.

The program will not display an empty data box profile on any sheet when the user has removed all stream selections for that specific sheet.

Updated the sourlpg_dea_1.psd sample flowsheet to use the new three phase Mixed Amine thermodynamics and three phase Distillation Absorber column convergence method.

Added two new sample flowsheets, "sulfurreactor1.psd" and "sulfurreactorgpsa.psd", demonstrating the combustion of H2S and CH4 to form CO2, CO, SO2, S2, etc. in the c:\designii\samples\sulfur directory.

Added two new sample flowsheets, "chemtran_purecompdialog.psd" and "chemtran_purecomp & mixture dialog.psd" demonstrating the usage of the new ChemTran pure component and mixture dialogs in the c:\designii\samples\chemtran directory.

Simulator Kernel Enhancements

Upgraded the initial isothermal flash from 2.5 phases (liquid and vapor plus free water) to a true three phase flash (vapor, liquid 1 (liquid hydrocarbon) and liquid 2 (aqueous liquid)). The isothermal flash has been specially tuned to move EG, DEG, TEG, PEG or methanol into the liquid 2 phase since these liquids are highly miscible with water.

Upgraded the Mixed Amine thermodynamics from two phase (vapor and aqueous liquid) to three phases (vapor, liquid hydrocarbon and aqueous amine). Water immiscibility is now automatically turned on for the Mixed Amine method.

Added a new three phase convergence method to the Distillation Absorber Column called Sum Rates. The new Sum Rates method normally operates in vapor to the top and both liquid phases to the bottom. Or, it can operature in liquid - liquid mode where vapor and liquid 1 go to the top and liquid 2 goes to the bottom.

Added the ability to print Pressure versus Enthalpy diagram for any chosen stream or all streams in the flowsheet. You can specify the pressures and the temperature isotherms to be used or they will be automatically calculated for you.

Added ability for user to provide K-constant or Cv for liquid services only on any type valve that can be used for delta pressure across the valve.

Added five new species into the pure component database. They are1220 - Pentadecanoic Acid, 1221 - Linoleic Acid, 1222 - Linolenic Acid, 1223 - Hexadecanoic acid and 1224 - Pentafluoroethane.

Added calculation of the Cetane Index for Crude Streams using the ASTM D-4737 method.

Added support for atomic sulfur to the Equilibrium Reactor unit module.

Added seven new sulfur species to the pure component database: 1302 - Sulfur 2, 1303 - Sulfur 3, 1304 - Sulfur 4, 1305 - Sulfur 5, 1306 - Sulfur 6, 1307 - Sulfur 7, 1308 - Sulfur 8.

Added an additional option to allow user input for PREssure DELta (PRE DEL) specification in a compressor, expander, and pump instead of the pressure out specification.

Fixed a mass fraction calculation after the adiabatic flash is performed.

Fixed Case Study issues when flash module was used with advanced specifications on mass and volume fraction of water or oil entrainment calculations.

Fixed an initialization of a stream due to volume specification not using a liquid 2 phase condition.

Fixed display of Reid Vapor Pressure values in various pressure units.

Improved the prediction of enthalpies for propylene glycol and water mixtures.

Added additional documentation to clarify the packing factor's dimensional form used for Eckert correlation in amine packed column design.

Enhanced the convergence of mixed amine when feed gas water saturation was present.

Fixed a dew point convergence difficulty due trace TEG in vapor for TEG/water mixture systems.

Fixed adiabatic three phase flash issue when with ethylene glycol & water mixture with hydrocarbons.

Fixed a specific case that had finite water which forms a free water (ice) stream. This created a third phase. Printed an error message that this condition occurs.

Fixed a bug in stream initialization due to water being set to immiscible internally was being turned off. Included a new calculation to initialize immiscible portion of water.

Improved exchanger rating convergence for Therminol systems by internally providing a starting pressure drop value when no pressure drop is used.

Nominal pipe diameter will not be printed any longer when user has specified inside diameter and wall thickness for the line module.

Fixed a flash vessel sizing issue when with a boot. Also, made water streams with soluble hydrocarbons to use other thermodynamic methods than the steam tables.

Included component mass fraction and component mass flow rates for distillation and amine column's tray by tray data results.

Fixed a problem with the Mass Balance unit module in setting component flow rates using dimensional units other than lbmol/hr.

Changed the maximum number of trays in the Distillation Column from 300 to 3000 and allocated more memory for plotting.

Modified the CALL COPSTR inline fortran function to not copy a stream onto itself.

Fixed a problem with a slight mole imbalance with trace hydrocarbons in a 99.9995% pure water stream.

Fixed a problem where liquid heat capacity values were being used outside the temperature range for methane. Now enthalpies using the latent heat option will provide correct values when outside the temperature range for the given liquid enthalpy equation.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw945") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.51 New Features

DESIGN II Version 9.51

ChemTran Version 9.51

November 2007

Please note that the password algorithm was changed for 9.50 release. All passwords issued before version 9.50 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.51 PSD files cannot be read by version 9.50 or earlier versions of DESIGN II for Windows. However, version 9.51 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added support for the new Reference Stream command for Feed Streams in the Stream Specifications dialog.

Fixed a problem where the pump unit modules were not emitting the pressure out command correctly.

Fixed a problem where multiple components were being added in the component list dialog after searching for a component id starting with a number and then clicking the Add button.

Simulator Kernel Enhancements

Added a new "REFerence STReam x = y" command for specifying feed streams with the results of a reference stream at calculation time. If the automatic unit module calculation sequence is on then the unit module that the feed stream is connected to will be placed after the unit module that calculates the reference stream.

Disabled the "THREE PHASE OFF" command for the time being since the new isothermal flash does not calculate the molar balance correctly when the three phase flash is off.

Fixed a mass balance problem with the liquid sulfur species redistribution during an isothermal flash.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw950") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.52 New Features

DESIGN II Version 9.52

ChemTran Version 9.52

February 2008

Please note that the password algorithm was changed for 9.50 release. All passwords issued before version 9.50 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.52 PSD files cannot be read by version 9.51 or earlier versions of DESIGN II for Windows. However, version 9.52 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added display of the Plate-Fin exchanger calculated duties on the flowsheet.

Added tooltips for the main toolbar. Now a small description pops-up on what each tool on main toolbar stands for.

Reduced the tabbed Components / Thermodynamics dialog size so that it does not overshoot 1024x768 displays when using non-English versions of Windows.

Made sure only final iteration values are being used for all displayed results data on the flowsheet.

Fixed the issue when pressing or hitting ENTER on keyboard to OK the changes that did not save the stream properties dialog. Previously, only clicking OK saved the stream properties dialog changes.

Fixed a program crash when a source symbol was removed from a previously user assigned linked stream.

Fixed the flowsheet display units on expander's pressure out. Previously it showed IA instead of PSIA.

Fixed a stream dialog opening problem when a stream is located between two grid points (grey dots) when it was moved after turning it ON/OFF.

Fixed a bug in creating a reference steam for a new feed stream.

Fixed a case study view results issue.

Fixed a flowsheet crash problem due to an unitialized value.

Fixed a tab control refresh problem when a multi-sheet flowsheet is loaded.

Fixed an unnecessary validation rule when a crude feed stream is attached to a source symbol

Fixed a side draw assignment and validation message problem in the Distill column.

Simulator Kernel Enhancements

Added automatic redistribution of the sulfur species (S2, S3, S4, S5, S6, S7 and S8) in the vapor phase when temperature or pressure is changed in a unit module. Added automatic redistribution of all sulfur in the liquid phase to Sulfur 8.

The thermodynamic information for the sulfur components S2, S3, S4, S, S6, S7 and S8 was updated.

Added two new Claus Plant sample flowsheets: c:\designii\samples\sulfur\ClausGPSA.psd and c:\designii\samples\sulfur\ClausAllSpecies.psd). The ClausGPSA.psd flow sheet models the Claus Process in the GPSA data book using Sulfur 2, Sulfur 6 and Sulfur 8. The ClausAllSulfurSpecies.psd flow sheet models the Claus Process in the GPSA data book using Sulfur 2, Sulfur 3, Sulfur 4, Sulfur 5, Sulfur 6, Sulfur 7 and Sulfur 8.

Added a new table for the line pressure drop module that now shows node, Liquid / Liquid Transition Reynolds numbers, Vapor / Vapor Transition Reynolds numbers, Friction Factor, and Flow Regimes data.

Added print of iterations and convergence in the equilibrium reactor. Also, cleaned up a lot of the error messages and fixed the duty / heat added prints for the equilibrium reactor.

Added chemical structure for component #1215, NO2.

Added a Material Balance By Node table using mass dimensional units to the output.

Verified crude feed calculations are on weight basis when FEEd WEIght command is active. Also, fixed cetane index and sulfur content print out issues.

Improved a stream liquid density prediction issue.

Enabled the program to check for N2/O2 in the component list if AIR is not user selected list.

Fixed the Type 3 and Type 5 reboiler calculations in the Refine module.

Fixed a non-convergence message for the valve when it was actually converged fine. Same was done for flash and multi-flash modules.

Fixed the user specified duty units that previously caused an incorrect reported value. Default calculations used the value of 1/.9478 = 1.055074910318633 where as when the user selects KJ/HR the value used is 1.0550558.

Fixed an adiabatic flash issue for a pure water feed when both bubble point and pressure out were set on flash module.

Fixed a fatal error when trying to run calculation when vapor stream contains a very small amount of air.

Fixed a liquid volume flowrate calculation at STP by providing additional gallons/lbmol data for known species along with volume density coefficients.

Fixed a liquid temperature profile problem on stages 1 and 2 when with higher side feed depths in a packed mixed amine regenerator column.

Fixed a bank error problem within Optimization calculations.

Fixed to get proper results on the flowrate of water and flow compositions of other components for a case with one stream in and one stream out of a valve module.

Fixed a feed flash issue when more significant digits were used for a single species of a mixture.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw951") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.53 New Features

DESIGN II Version 9.53

ChemTran Version 9.53

May 2008

Please note that the password algorithm was changed for 9.50 release. All passwords issued before version 9.50 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.53 PSD files cannot be read by version 9.52 or earlier versions of DESIGN II for Windows. However, version 9.53 of DESIGN II for Windows can read all previous version's PSD files.

All four of the included PDF manuals and printed manuals have been updated to version 9.5.

Graphical User Interface Enhancements

Added the new WATer FLAsh OFF command to the "water calculations" box in the Advanced Thermodynamics tab on the thermodynamics dialog.

Added PRINT ION option to the Ionic Components / Reactions tab on the thermodynamics dialog.

Enabled GUI to detect and caution users when flash and Distil 1 & other modules are oriented up side down. Vapor should go up at all times.

Fixed the components dialog to allow components ID#36 through ID#39 for the Mixed Amine list.

Increased the number of allowable Petroleum cuts species on the crude feeds dialog to a maximum of 600 from previous limit of 99 (matching the simulator kernel).

Fixed the stream data import for more than 99 crude cuts on stream dialog.

Fixed an issue with source symbol validation message on required outlet stream.

Fixed File…Save and Save As…back to working order when program is installed on Windows 98.

Fixed a GUI crash when the "Optional Parameters" button on equilibrium reactor is clicked when no components were selected on flowsheet.

Fixed and added the rest of the ionic stream summary table to Excel Transfer.

Fixed an issue with "Simulate this only using stream results" option for crude streams.

Removed the default check on "Store all of the Now Calling" on the Specify... Preferences dialog. This will reduce the flowsheet file size.

Changed the stream data box items label displayed on flowsheet from "Free Water Flowrate" to "Liquid 2 / Free Water Flowrate" and changed "Liquid Flowrate" to "Liquid 1 Flowrate".

Fixed RVP values in stream results to now go to Excel Transfer.

Fixed miscellaneous cut/copy/paste crash issues.

Simulator Kernel Enhancements

Added a new command WATer FLAsh OFF which turns off the three phase flash calculations and converts the simulator back to a two phase plus free water flash. This has to be used with the old THREE PHAse OFF command which has been re-enabled (it was disabled in version 9.50).

Added documentation for the two-phase and three-phase flash methodology within DESIGN II. Also included some notes for the flash distribution of sulfur in streams and modules for the newly added Sulfur Recovery Process capability.

Added in a check to control the pressure drop across the fired heater unit module when user specifications led to negative outlet pressures.

A warning was added to the output when the switch from default Cavett to Herzog or Nokay is made for high temperature predictions for critical properties.

Added warning message when ChemTran data file components don't match DESIGN II component list.

Fixed the use of Tabular K-values in isolated recycle convergence problems using two phase plus free water thermodynamics. Also enhanced density, viscosity and thermal conductivity predictions at low pressures when using Tabular K-values. Corrected the equilibrium water calculation in both Liquid 1 and Liquid 2 phase results when using two phase plus free water thermodynamics.

Initialized water for liquid 2 phase properly in the adiabatic flash under a certain condition.

The water/glycols check was changed to take into account the K-value calculation option also.

The line module slug calculations were updated to use different calculations for small diameter pipe or large diameter pipe. A warning was also added to inform user of the onset of slug regime.

Corrected temperature rise issue in the depressurizer unit module when wetted surface was set as zero. Also allowed user to input heat duty and still use wetted surface, if liquid exists.

Changed print out from "solution has been reached" to "solution has not been reached" when the PFX rating does not converge.

The "Solution Has Been Reached" message will appear only if all recycle loops are converged in a multi-loop recycle simulations.

Fixed a refine column feed(s) handling issue to properly set-up the initial traffic on trays.

Updated the high pressure vapor thermal conductivity calculations (pressure greater than 50 psia) based on API technical book 2nd edition figure 12b4.1. Also updated low pressure predictions using 6th edition API Technical data book.

Found and fixed the feed to the refine column which was not being handled properly in setting up the initial traffic for the column. The presence of multiple columns with cut compositions input also caused this issue.

Fixed an issue of missing water compositions when number of heat exchanger product streams did not match the values that were being changed.

Allowed program to use user selected line module friction factor method and placed a warning about method limitations for the user.

Fixed a three phase flash prediction problem for various pressures in an isolated 3 phase case with water.

Mixer results now maintain vapor, Liquid 1 and Liquid 2 compositions in the products similar to the incoming feeds when there are no TP changes.

Fixed a CHRA bank sizing issue that caused an isolated file to crash after results processing when the stream heating values are calculated.

Added more printed numerical precision for the material balance tables.

Added new liquid heat capacity curves for piperazine along with heat of mixing approximation for piperazine/MDEA mixtures.

Fixed a water separation issue in the flash when 99.98% water with negligible hydrocarbons. Modified bubble and dew point tests in the flash to always flash streams with greater than 90% water.

Removed the Selexol pure component (#9000) and the Selexol thermodynamics from the simulator kernel.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw952") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.54 New Features

DESIGN II Version 9.54

ChemTran Version 9.54

July 2008

Please note that the password algorithm was changed for 9.50 release. All passwords issued before version 9.50 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.54 PSD files cannot be read by version 9.53 or earlier versions of DESIGN II for Windows. However, version 9.54 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added Crude Cuts to the Specify pull down menu.

Linked the F5 key to refresh the graphical user interface screen.

Added the new detailed stream print items such as mass flow rate, phase mole and phase mass fractions, mass enthalpy and entropy, Cp (mass) and Cv (mass) to the excel transfer.

Added autoset buttons for API SOAVE (default), Peng-Robinson and Mixed Amine to the Basic Thermodynamics dialog.

Fixed Liquid 1 and Liquid 2 display on stream data box.

Fixed stream RVP results display in the results transfered to Excel.

Reorganized the list of thermodynamics and transport property method in alphabetical order (removed all Selexol methods).

Fixed the "Delete this module" option pop up when right clicked on mouse.

Fixed a crude cuts import problem when crude cuts are being overidden with multiple crude blends in flowsheet.

Updated the GPSA Claus Sulfur 2, 6 and 8 sample flowsheet with a third reheater and condenser.

Simulator Kernel Enhancements

Added several new refrigerant components: #1240 - R-22, #1241 - R-32, #1242 - R-124, #1243 - R-142b, #1244 - R-404a, #1253 - R-404a, #1254 - R-409a, #1255 - R-410a and #1256 - R507.

Added several new acid, salt and amine components: #1225 - Hexanoic acid, #1226 - heptanoic acid, #1227 - Octanoic acid, #1228 - Nonanoic acid, #1229 - n-Capric acid, #1230 - n-Undecanoic acid, #1231 - n-Dodecanoic acid, #1232 - Tridecanoic acid, #1233 - n-Tetradecanoic acid, #1234 - Pentadecanoic acid, #1235 - n-Heptandecanoic acid, #1236 - n-Octandecanoic acid, #1237 - Nonadecanoic acid, #1238 - n-Eicosanic acid, #1239 - Oleic acid, #1245 - Sodium Chloride, #1246 - Dichlorosilane, #1247 - Nitrogen Trichloride, #1248 - TetraChlososilane, #1249 - Hydroxylamine, #1250 - Sodium Fluoride, #1251 - Nitrogen Trifluoride and #1252 - Sulfuric acid.

Added a warning about the new mixed refrigerants R404a, R409a and R410a that the user should use a weight percent mix of their refrigerant constituents instead.

Added three new species from existing database to be handled by Mixed Amine method. They are ID#3158 - 2,2,4-trimethylhexane, ID#79 - 2-Methyl Hexane, and ID#12 - n-octane.

Added five new species for silanes: #1206 - Di-Silane, #1207 - Tetrafluorosilane, #1208 - Dichlorosilane, #1209 - Trichlorosilane and #1210 - Tetrachlorosilane.

Added a warning to valve module to tell user that the outlet temperature won't necessarily match the specified dew point temperature due to additional duty calculation at feed pressure.

Added mass flow rate, phase mole and phase mass fractions,enthalpy mass and entropy mass for detailed stream print properties. Also included Cp (mass) and Cv (mass) for each vapor and liquid phase of the stream.

The Stream Summary has been changed for all properties from L to L1 and W to L2 display. V will continue to stand for the Vapor phase, L1 for the Liquid 1 phase, L2 for the Liquid 2 phase.

Added ability to use ChemTran provided solubility data via Henry's constants in the API SOUR k-value method.

Updated the Distill column results to add more numerical precision.

Fixed vapor pressure calculation for a stream with amine water mixture using mixed amine thermodynamic method.

Fixed the solubility parameter to be calculated by ChemTran and DESIGN II only when it is zero.

Fixed the code that previously skipped over retrieving the liquid 2 values for separator sizing when there was a oil in water entrainment specification in the three phase flash unit module.

Fixed a glycerol density prediction issue since the DIPPR data was skipped due to lack of temperature limits to check. Fixed the code to use DIPPR data if the temperature limits are missing.

Corrected an amine flash issue to enable the Mixed Amine method to converge on the heat exchanger's tube side outlet specifications.

Checked to make sure MOODY line warnings are not emitted when user has set them properly.

Fixed a crash in detailed stream calculation while looking up for viscosity index for crude streams.

Enabled the program to use higher Curve Increment values specified on an exchanger.

Fixed ChemTran ideal gas heat capacity curve calculations when used with AICHE-DIPPR equation 107.

Changed the line module fricational node pressure drop results to display more numerical precision.

Fixed the output for the viscosity sets and for cetane index so that they will always print for the crude liquid and vapor properties table.

Corrected a Temperature difference in the bubble point calculation for an almost pure Ethylene stream. Also, fixed a mass balance for single phase feed/output from any module.

Fixed an air-cooler rating problem when a specification that was over-sizing a module influenced other similarly specified air-coolers in the same flowsheet.

Enhanced the mixed amine handling of BTEX simulations by including multiplication factor which was halved and the base solubility for BTEX which was changed from 0.04 to 0.01.

Fixed air cooler unit module code to activate the FT value fix up properly and the air-cooler rating results no longer exhibit the discontinuity with respect to air flow rate.

Fixed the Sulfur 2, 6 and 8 species redistribution at temperatures below 700 F.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw953") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 9.55 New Features

DESIGN II Version 9.55

ChemTran Version 9.55

August 2008

Please note that the password algorithm was changed for 9.50 release. All passwords issued before version 9.50 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 9.55 PSD files cannot be read by version 9.54 or earlier versions of DESIGN II for Windows. However, version 9.55 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

You can now duplicate the hydrocarbon pure components in the selected components. The duplicated pure components can be named unique names (such as "methane" and "foreign methane"). The immiscible pure components (water, methanol, etc) and the general usage components (chemical, petroleum fraction, solid, id's 100 - 999) are not duplicatable.

Zooming the display using the mouse thumb wheel will now zoom the display from the mouse point instead of the center of the drawing.

Fixed Liquid 1 Flowrate display on flowsheet for streams.

The slow redrawing of graphical symbols and dialogs when graphical symbols were used on multi-sheet flowsheets has been fixed.

Fixed the display of the Reboiler Internal Streams on the stream data box.

Fixed the Filename printout problem on certain flowsheet sizes (A/A4/C) when the flowsheet is printed.

When the flowsheet view is zoomed, the view will now be moved and updated as the scrollbars are moved.

When the flowsheet view is zoomed, the view will now be moved and updated as the arrow keys are pressed .

Simulator Kernel Enhancements

You can now duplicate the hydrocarbon pure components in the selected components. The duplicated pure components can be named unique names (such as "methane" and "foreign methane"). The immiscible pure components (water, methanol, etc) and the general usage components (chemical, petroleum fraction, solid, id's 100 - 999) are not duplicatable.

All Air (Component #99) flowrate is now replaced with a mixture of 79% N2 / and 21% O2 flowrates. If Nitrogen or Oxygen are not present in the component list then they are automatically added. A warning message is generated to tell the user that the component Air will remain in the component list but have a zero flow rate and that any flow rate assigned to air was split 79/21 between Nitrogen and Oxygen.

Fixed an isolated the mass loss issue in a multi-phase stream across Generic or other unit modules.

Fixed a water miscibility prediction issue for a non-ideal mixture stream temperature. This fix resolved the CURve INCrement results also in the Heat Exchanger unit module.

The Distill Column will now report as unconverged when no product stream data are being emitted.

Fixed a problem with the feed stream water saturation flash being carried over from one feed stream to other feed streams for a certain flowsheet.

Fixed a problem in the Inline Fortran that was preventing access to the internal memory banks in DESIGN II (specifically the CHRA bank).

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw954") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.00 New Features

DESIGN II Version 10.00

ChemTran Version 10.00

November 2008

Please note that the password algorithm was changed for 10.00 release. All passwords issued before version 10.00 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.00 PSD files cannot be read by version 9.55 or earlier versions of DESIGN II for Windows. However, version 10.00 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

All stream and equipment modules cascaded property dialogs have been converted to tabbed property dialogs. The stream data box dialogs have been converted to a tabbed dialog also. Some custom features have been implemented such as the stream property dialog will open to the specifications tab instead of the general tab for quicker data editing.

The line arrows have now been incorporated into the stream lines on the flowsheet. You can choose to display line arrows at the beginning, middle or end of each line segment. You can also choose to display line arrows on the first, middle, last or all segments of a stream. Line arrows can also have a different color from the stream color. When pre-10.00 flowsheets are opened, the existing line arrows will automatically be incorporated and displayed on the streams. The line arrow mode has been removed from the browser and the toolbar.

Added a new Packed Absorber unit module symbol with data entry dialogs. The Packed Absorber results will automatically be transferred to Excel when requested by the user.

The Batch Distillation unit module keywords are now fully implemented in its property dialogs. The three batch distillation sample flowsheets have been updated to use the new property dialogs.

Added two more shell and tube heat exchanger symbols (Exchgr 3 and Exchgr 4). Each will support up to 14 connected streams. The user must now designate all inlet and outlet streams for the two stream heat exchanger. There is a new connected streams dialog page for the two stream heat exchanger.

Added a new vertical Flash 4 symbol without a mesh at the top.

Added more GOTO's in View Output Results window for component properties, energy balance, and stream details.

Added dialog options for the new Motor Octane Number (MON) and Methane Number (MEN) calculations for single or all streams (Specify / Print Options and Stream Calculation Options dialogs).

Added component IDs to component lists, and also if the user has overridden the component names then use those given names.

Added a button on the thermodynamics method dialog that can set all the methods to use REFPROP - a third party separate software installed by the user.

Added a button on the thermodynamics method dialog that can set all the thermodynamic methods to use the GERG 2004 Equation of State.

Included drawing modes accessible from menu and have hot keys. Select: Shift+X; Stream: Shift+S; Equipment: Shift+E; Text: Shift+T; Drawing: Shift+D. They can also be found on the Edit Menu.

Added a Q-T edit box for the user to specify more data points than the standard 22 points displayed in shell & tube exchangers, air-coolers, LNG exchanger and plate-fin exchangers.

Added two double pipe heat exchanger symbols (one shell and two shell). It will share the current HEAt EXChanger unit module calculations for now.

Added support for the curve increment command to be used via dialogs for all heat exchanger modules.

Added a sample flowsheet for a geothermal power system using data from a Popular Mechanics article (c:\designii\samples\power\geothermal_power_system.psd).

Added an optional pressure drop specification to equilibrium reactor.

If petroleum stream output option is requested then the user interface will now warn that water to be selected as the first species in component list.

Allowed flowsheet display of print options via user interface for non feed streams by changing the default stream initialization setting from "Use the specified T, P and composition" to "Do not initialize the stream". This applies only for new streams in new or old flowsheets. Users are recommended to use the "do not initialize…" option to turn on results display on ALL their current product streams in old files.

If tooltips are turned off, they are turned off temporarily and it is set not to turn off in the *.INI file.

Fixed Scroll bars position to match its position on screen when zoomed in close (specifically the top left corner).

Fixed the label vector handlers to be responsive to moving the scroll bar and the list boxes are updated immediately anytime the scroll bar is moved.

Fixed the toolbar drop down selection list to work properly when in selection mode.

Fixed a GUI crash issue when flowsheet was zoomed in with mouse wheel while the ruler was turned on.

Fixed an excel transfer problem for Amine Columns with 1000 or more iterations.

Fixed pseudo-cuts property data entry problem via Mean Average Boiling Points item in Crude Cuts dialog.

Simulator Kernel Enhancements

Added a new GERG 2004 Equation of State from the European Gas Research Group. The new keyword commands are GERG2004K, GERG2004H and GERG2004D. The 18 pure components supported are: CH4, N2, CO2, C2H6, C3H8, n-C4H10, i-C4H10, n-C5H12, i-C5H12, n-C6H14, n-C7H16, n-C8H18, H2, O2, CO, H2O, He and Ar. The reference is "The GERG-2004 Wide-Range Equation of State for Natural Gases and Other Mixtures", O. Kunz, R. Klimeck, W. Wagner, M. Jaeschke, GERG Technical Monograph 15 (2007) published at http://gerg.info/publications/tm/tm15_04.pdf. Please note that GERG is a very slow equation of state since it is a high accuracy multiple parameter equation of state.

Added support for the NIST REFPROP DLL to DESIGN II kernel. You must have the REFPROP DLL installed on your computer in order to use the method. At this time only Helium is supported but other pure components can be easily added in the future. The NIST Reference Fluid Thermodynamic and Transport Properties Database (REFPROP): Version 8.0 can be purchased at http://www.nist.gov/srd/nist23.htm.

You can now input the number of points desired to be displayed in the Q-T table for shell & tube exchangers, air-coolers, LNG exchanger and plate-fin exchangers (ex. Q-T=200). If only Q-T is entered then the standard 22 points will be displayed.

Added a new unit module called the Packed Absorber that has preliminary calculations for packed column by using number of sections, HETP per section, height per section and pressure drop per section. Future additions will include the HETP calculation for dumped and structured packings from vendor data and the pressure drop calculation.

Added 212 new pure components to the pure component database. The total number of pure components has been increased from 914 in version 9.53 to 1126 in the current release. Some of the new pure components were documented in version 9.54.

Added an optional pressure drop specification to equilibrium reactor.

A new Diameter specification has been added to separator sizing calculations. If the user provides the horizontal vessel diameter, program will calculate residence time.

Surface tension data will now be emitted for each segment of heating and cooling curve calculations.

Added the Motor Octane Number (MON) and Methane Number (MEN) calculations for single or all streams.

Corrected the glycerine formula displayed from C3H8O2 to C3H8O3 in the component list.

Turned on the Dew point temperature, Bubble point temperature, Water Dew point temperature and Vapor Pressure calculations for all streams always.

Enhanced the depressurizer calculations by allowing the wetted wall heat duty OR the specified heat duty (heat command) to be applied separately, regardless to the choice in environmental factor ENV = 1 (OR > 0). Also made sure if volume of liquid is zero, the heat is zero when using wetted wall case.

Put in a check for Distillation Absorber to always use Sum Rates convergence method when mixed amine thermodynamics is selected.

Added a new method for calculating the Methane number of a stream or all streams.

Fixed the line module's default segment fraction of 0.1 to now properly apply various section surrounding temperatures to each line segment.

Fixed the outlet temperature and enthalpy calculations in vertical downwards line pressure drop module by including the work done on the fluid by gravity in the form of potential energy's contribution to enthalpy.

Fixed a problem with naming petroleum fractions other than their default names.

Fixed a problem with converting the printed specific heat values for the streams in other than the default dimentional units.

Fixed a problem with converting the air component (#99) into it's constituents oxygen and nitrogen.

Fixed a problem with calculating the critical pressure and temperature of a mixture and not detecting that the calculation was in error.

Fixed a problem with the Refine Column reporting that it was converged but the solution was infeasible.

Fixed a problem with printing the calculated area for multiple parallel shells of shell and tube heat exchangers. Also fixed the values displayed for allowable and calculated pressure drops for shell & tube side.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw955") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.01 New Features

DESIGN II Version 10.01

ChemTran Version 10.01

December 2008

Please note that the password algorithm was changed for 10.00 release. All passwords issued before version 10.00 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.01 PSD files cannot be read by version 10.00 or earlier versions of DESIGN II for Windows. However, version 10.01 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added multiple line edit boxes for user comments on stream, unit module and some flowsheet dialogs.

Added dialog data entry for the Hydrotreater unit module. Updated the Hydrotreater sample flowsheet to use the new dialogs.

Added the Temperature of Approach commands to the Controller for controlling the exit temperature of a CO Shift reactor or any other specialized reactor.

Fixed the stream manipulator dialog problem in selecting "Use Same factor..." option.

The changes in displayed flowsheet results for a stream are now displayed immediately when one clicks OK on the stream dialog. Previously the stream displayed results were not changing until the user changed the name or number display of a stream.

Removed the asterisks for the Water dew point, bubble and dew point items on the stream "Display Results" dialog.

The arrowheads will now be automatically cleaned up if a stream segment is edited.

Fixed the density lists in the unit module specific thermodynamic dialogs that had extra blank lines in them.

Simulator Kernel Enhancements

Added a new Power Balance report after the the Energy Balance report. The Power Balance report sums the kilowatts used by the pump or compressor unit modules and produced by the expander unit module. The new report will be automatically sent to the Energy page for the Excel results transfer.

Fixed the default calculation of water dew point of streams which was only happening if water was immiscible for the equation of state. The water dew point will now always occur if water is present.

Significantly improved the bubble and dew point calculations of the GERG 2004 equation of state.

Fixed a Liquid 2 flowrate values and units on Stream Summary data. Converted the flow rate values from gallon to cubic meters when metric or SI unit out is specified.

The pressure enthalpy diagram is now working even if pressure and/or temperature specifications are not provided.

Fixed controller convergence handling when used with negative heat exchanger duties or any other negative value target.

Fixed a heat exchanger problem failing to converge due to the temperature out specification being over written by the new Q-T number of points specification.

Fixed an intermittant adiabatic flash calculation problem when using the Modified Peng-Robinson equation of state due to the aqueous k-values not being carried over to the rigorous three phase falsh.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1000") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.02 New Features

DESIGN II Version 10.02

ChemTran Version 10.02

March 2009

Please note that the password algorithm was changed for 10.00 release. All passwords issued before version 10.00 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.02 PSD files cannot be read by version 10.01 or earlier versions of DESIGN II for Windows. However, version 10.02 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added dialogs for entering condenser and reboiler internal stream numbers for Amine Regenerator Column.

Added the ability to have two outlet streams (vapor and liquid) for a single stream Heat Exchanger. Also added the ability to have mutiple inlet streams for the single stream Heat Exchanger. All inlet streams will be adiabatically mixed at the lowest stream pressure.

Added dialog data entry for the plug flow reactor and multi-flash unit modules.

Added output lines containing NOTE: to the simulation summary dialog in the warnings and errors list box. The Simulation summary dialog was redesigned to allow larger index and error list boxes.

Added a validation rule to block the feed flow combination of Volume Fraction composition and Total Mass flowrate.

All position important (top, bottom, vapor, liquid, etc) feed and products streams will now need to specified for each unit module in the program. This is in preparation for the proposed future release user ability to create new unit module symbols.

Added air-cooler rating results transferred to Excel to now include tube bundle, fan and bay information also.

Added checks for Batch Distillation to make users specify stage numbers for History Time and Step print output options.

Changing the File… Properties on units system (US, SI and Metric) will now prompt user to accept changes to the Print Options setting for the same units also.

Added vapor pressure and individual component flow rates (mass and molar) to display results on flowsheet.

Added search to find any queried items (text or number) in the view results output file.

Added an update for the stream name and number to be initialized when changed.

Added a no curve option for crude stream curve properties on viscosity data entry dialog. Program now allows bulk viscosity without a crude cut curve changes in viscosity data when not available.

Fixed a crash issue when Chem-200 was added to the component list while initializing its properties in ChemTran.

Fixed the "View Results..." button to open results window for the Exchanger 1 unit module.

Excel configuration options selected units KG/HR for stream summary mass flowrate 1 is now displayed correctly.

All streams, including linked streams, will now appear in the "Find Stream" list on all sheets of a flowsheet file. Added the name of the sheet in parenthesis for each listed stream.

Fixed the check for "do not initialize" streams so that all feed streams must be initialized even if a feed stream is turned off.

Fixed the stream results import when different time units were involved between the original results and new input specification.

The Stream Data Box dialog and the Stream Display Results dialog now have an enhanced property control that merge all items flowsheet display options onto one dialog.

Simulator Kernel Enhancements

Added Distillation Column stage temperatures retrieval and use with Inline Fortran via CALculated TEMperature PROfile command additions. Also, increased the maximum number of HEAters and LOCation of HEAters for the distillation column so that columns within columns (HIDiC columns) could be modeled.

Added two new Inline Fortran variables DUTy and CALculated DUTy for the Air Cooler unit module to be used in case study, etc…

Added support for more pure components to the REFPROP thermodynamics method.

Added ability to calculate isentropic flash to pump module and three phase flash.

Modified the three phase flash to use the MODPENK kvalue method instead of the APISOURK method for the aqueous phase if TEG and water are present and water is immiscible. Also automatically load TEG1 BINary PARameters, if TEG and water are present.

Added the ability to enter lower case text in the format statements for Inline Fortran.

Added condenser and reboiler internal stream commands for the Amine Regenerator column.

Added percent flooding (GLI PER) and calculated percent flooding (CAL GLI PER) of the Distillation Column trays as variables to controller. Also added the print of the column maximum tray flood percentage to the column detailed print.

The constant volume Depressurizer unit module was significantly revised to be able to depressurize a liquid single component vessel, such as liquid nitrogen, with an external fire. The Depressurizer also had new conditions added that the composition of the vessel will be the same as the composition of the feed stream. If the Depressurizer feed stream is all vapor phase then any user liquid height specification will be ignored. If the Depressurizer feed stream is two phase then any user liquid height specification will be ignored and the vessel liquid height will be set to the equilibrium liquid height using the feed stream composition, pressure and temperature.

Component 1409 was removed from the component data list (it was a duplicate of MDEA ID#7051). Also improved 7051 property data.

The Kernel calculation and the Window management are now split into separate execution threads to take advantage of multi-core CPUs and give faster window response.

The single stream heat exchanger will now be able to separate the output stream in two different phases streams by using PRO 1 = TWO command.

Increased the number of liquid Cp coefficients to be used from 3 to 4 in order to improve Therminol VP-1 enthalpy calculations.

Added an error message when a heat exchanger bubble point calculation is not converged, instead of applying an unconverged value for the outlet stream. An error message is now supplied to the user indicating that the bubble point temperature calculation on the heat exchanger unit module did not converge and was by-passed.

Fixed the equilibrium reactor outlet mass balance to calculate properly when inert components are specifed. Previously the program had counted inert species flow 2 times. Also fixed an adiabatic flash to account for correct number of total species in list.

Added warning messages that all properties in "Liquid Properties" tabulation of crude stream are always on Water-Free Basis.

Fixed a simulation summary report issue when multiple multi-flash modules were present on the flowsheet.

Enhanced the three-phase flash calculations for handling non-soluble water in the retrograde region.

Fixed the Compressor and Line pressure drop visual basic interfaces that were broken in 10.01.

Fixed the feed stream initialization to remove over-saturation water when the water saturation option is turned on for a feed stream. Added warning message when removing excess water.

Fixed the removal of any species from the output when there were some duplicate computer IDs repeated twice in the feed stream.

A warning will now emit when the Distillation Column Efficiency is enabled that the efficiency is being applied to the condenser and/or reboiler calculations also.

Fixed an isolated index of the components increment issue when Air, O2, and N2 were all present in the component list.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1001") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.03 New Features

DESIGN II Version 10.03

ChemTran Version 10.03

May 2009

Please note that the password algorithm was changed for 10.00 release. All passwords issued before version 10.00 will not work. Please contact WinSim for a new password. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.03 PSD files cannot be read by version 10.02 or earlier versions of DESIGN II for Windows. However, version 10.03 of DESIGN II for Windows can read all previous version's PSD files.

Updated all of the user manuals for DESIGN II for Windows at http://www.winsim.com/doco.html . The Adobe Acrobat versions of the manuals have been included in this release. You can order printed copies of all four manuals at www.lulu.com (the URLs are on http://www.winsim.com/doco.html).

Graphical User Interface Enhancements

Added display of suggested pipe diameter to the flowsheet stream results display and stream data box.

Added a much more readable message in a MessageBox when current version files are opened on a older Version.

Corrected component splitter to check if there was an already specified stream allocation before assigning top/bottom stream numbers. Also removed bottom stream specification.

Included Amine Column summary results to appear in the dialog View results. Also added reflux ratio, etc…data back to amine column results.

Added a new Divided Wall Column flowsheet to the sample flowsheets.

Fixed a stream connection error in an Amine Column from version 10.02.

Enabled the delete key to be operable while editing components in the component list window.

The Expander Compressor and Expander Pump modules will now check for duplicate stream numbers connected or assigned to the module.

Fixed Stream Summary and Detailed Stream Print item checks under Specify... Print Options.

Fixed the number of significant digits issue for various variables on stream data box display.

Fixed the display of results on water dew point item for streams with extraneous text.

Fixed isolated GUI freezes while trying to update stream summary data to the streams and streams with no molar flow in the flowsheet.

The two stream air cooler will now be configured by allowing user to identify both inlet and outlet streams.

Simulator Kernel Enhancements

Significantly improved calculation of the bubble point temperature for three phase mixtures.

Added printing of the calculated recycle tolerance to the simulation results.

Added support for side draws to the Distillation column when the sum rates convergence method is used.

Added line pack (volume of gas) calculations in line module at average pressure.

Added new Distillation and Air cooler Inline Fortran commands to their inline Fortran templates.

Added support for dynamic viscosity units in the crude stream viscosity dialog by having the user input a density and then converting the viscosity to kinematic viscosity (centistokes is the default unit).

A warning message was added to component 1244 telling the user to consider using the three separate components instead of single species 1244.

Fixed a problem when there were more than 60 crude streams in a single simulation. Also checked for the actual number of crude streams present and will use that if over 200.

The crude viscosity listed under stream summary and detailed stream print now match the viscosity listed under petroleum stream liquid properties for user entered data and with other property methods.

Improved air cooler convergence under certain situations by setting a high limit to prevent the calculated enthalpy from going to extremely large values.

Fixed the Depressurizer plot generation when using non US dimensional units for the proper Time and Pressure axis scales. Also improved the plotting of the maximum pressure points.

Input filenames with a percent sign (%) now allow DESIGN II to produce an output file.

Fixed conversion error in Stream Summary data for liquid 2 flowrate values in m3/hr.

Fixed several underflows, overflows and division in stream hydrate and other calculation options.

Modified pump warning message to state that a doubling of "absolute" pressure is done when delta pressure is set to zero.

User specified closed loop recycle stream flow rates are no longer being halved by the program.

Program stoppage at equilibrium reactor has been fixed due to data array going negative.

Removed confusing warning message on how the program applied air-cooler pressure drops when rating is done. Program will mention which pressure drop (user specified or calculated) has been applied.

Resolved an adiabatic flash issue for a flash module with an outlet pressure and a zero duty specification.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1002") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.04 New Features

DESIGN II Version 10.04

ChemTran Version 10.04

July 2009

Please note that the password algorithm was changed for 10.00 release. All passwords issued before version 10.00 will not work. Please contact WinSim for a new password if needed. Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.04 PSD files cannot be read by version 10.03 or earlier versions of DESIGN II for Windows. However, version 10.04 of DESIGN II for Windows can read all previous version's PSD files.

Added storing of passwords for multiple computer id numbers to fix a problem with laptops generating different computer ids between docked and undocked state.

Graphical User Interface Enhancements

Added a new minimum time specification item to the depressurizer unit module optional specifications dialog.

Added an option to display the duty of LNG unit module on the flowsheet.

Added stream heating and cooling curve results on CP and CV in mass basis units to the Excel Transfer.

Added top and bottom snap points to the controller symbol.

Added " at STP" or " at NTP" or " at T-P" to the end of vapor and liquid flowrate values on flowsheet display unless already noted in the units.

Added a warning and setting of the default dimensional units system in the Specify -> Preferences dialog with NTP or STP setting when the flowsheet dimnesional units system is changed in the File -> Properties dialog.

Added display on the flowsheet of any Component molar flowrate results for any stream.

Added the new line module Line Pack column results for the excel transfer.

Replaced occurrences of units set to all lower case to the appropriate mixed case units, where applicable e.g. kj => kJ, kpag => kPag.

Fixed single stream air-cooler initialization on the connected streams.

Removed the vessel orientation checks since they are no longer needed due to connected stream assignments.

Split the stream display items dialog and the stream data box display items dialog into two lists for easier finding of the desired item to change. Reordered both the stream data box and the stream display result items based on user requests.

Allowed mixed versions of the program to allow pasting of clipboard data from older versions to new versions.

The saturate feed stream with water is now disabled when the associated stream is disabled.

Fixed SI UNI OUT on Specify -> Print Options dialog to now emit and work properly for all default units.

Import of stored results for a stream is now respecting the chosen dimensional units.

Fixed Help item on "Keyword Input" TAB on any module to now link to documentation.

Fixed Excel Transferred Column Profiles values when program results were on metric units.

Fixed a problem with Amine columns to automatically update the tray or packing related data items when the number of trays or packing was changed.

Simulator Kernel Enhancements

Added a minimum time duration specification of 15 minutes to the depressurizer module. Also added a new keyword "MIN TIME (t) =" to change the default of 15 minutes. Also fixed a plotting problem when using non english dimensional units of the depressurization curve.

Added two more columns to the stream heating/cooling curve results to show Cp and Cv in mass basis units.

Added heating oil CHEMTHERM® 550 as component ID 2059.

Added a warning message telling user that the surface tension cannot be calculated at extreme pressure and temperature.

Significantly improved the calculation of the bubble point temperature for three phase mixtures.

Fixed setting the liquid density method using the DEN LIQ = RKD keyword.

Removed the feed to column isothermal flash and used the enthalpy of the feed from the system as the feed for the adiabatic flash.

Fixed an over-writing of the heat exchanger rating scaling factor that was preventing convergence. Also, fixed an improper conversion of the temperature in both scale and base units during the iteration process.

Fixed the missing water saturation warning when there was NO water in the component list. Also fixed the saturate feed streams command to apply only to user chosen streams instead of all feed streams under certain conditions.

Fixed Amine Regenerator condenser and reboiler internal stream reports when the regenerator feed stream is above all the trays or the packing.

Fixed User choice for a feed stream k-value method will be honored. Also, added a "WARNING: Changed the K-value method to Vapor Pressure due to all liquids. You can over-ride this by setting the k-value method explicitly for the stream.".

Fixed thermal conductivity calculation to use proper keywords for vapor and liquid methods.

Fixed the simulation summary message to "solution has not been reached" when one column is not converged among a group of linked columns.

Fixed a given area specification of 100 ft2 to be met while rating an exchanger.

All of the viscosity options now work according to the user specifications and per documented default viscosity options.

Fixed initialization of the AGA density method when used only for the liquid density method.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1003") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.10 New Features

DESIGN II Version 10.10

ChemTran Version 10.10

November 2009

Please note that the password algorithm was changed for 10.10 release. All passwords issued before version 10.10 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.10 PSD files cannot be read by version 10.04 or earlier versions of DESIGN II for Windows. However, version 10.10 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added multiple stream and unit module "view results" windows that can be opened simultaneously and will be automatically updated when a simulation is completed.

Added storage of multiple simulation results in the current PSD file under the "Simulate" dialog. The simualtion results can be automatically stored or discarded as the user decides. Updated the stream and unit module results dialog to allow changing the shown results to a different stored case.

Added creation of a DXF import file for AutoCAD as a new function under the File menu as "Export Current Sheet to DXF file ...".

Added a tutorial button and a flow sheet samples manual button to the file / new and file / properties dialog.

Added automated symbol stream connection assignments for all unit modules using a best guess algorithm.

Added commonly used stream results display items to the stream name dialog sheet.

Added output unit system choice to ChemTran dialog.

Added symbol type and other information to the symbol library in preparation for user built symbol libraries.

Added an optional check to turn off dew and bubble point calculations for all streams under Specify -> Print options dialog.

Added a new "remove last segment" option to the right mouse click popup menu for the streams.

Added Refrigerant R245fa to the pure component lists.

Added the option to the advanced thermodynamics dialog to choose a single pure component for use with the REFPROP-NIST thermodynamic method.

Resized all the dialogs so that DESIGN II for Windows can be used on a Windows Netbook with a 1024x600 screen.

The Specify -> Print Options and Preferences dialogs have been re-organized to tabbed dialogs with options for input units, output units, calculation options, flowsheet preferences, etc. Added several new items to the new dialog such as Lost Work Calculation and default thermodynamic state conditions.

Converted drawing streams from several mouse clicks to a mouse down event. The default for drawing streams has been changed to click the left mouse button and draw the stream to wherever it ends. New extensions to an existing stream can be added.

The old stream drawing method using several mouse clicks has been kept as an option by pulling down the options menu and turning "Activate Multiple Click stream creation mode" on.

Turned auto routing of streams On as a default. Streams will be auto-routed if one or more symbols are moved by the user. Stream auto routing can be turned off at the Options dialog and the settings is saved in the initialization file.

Selection of objects now uses grab handles instead of color changes. One can now add more objects to the current selection by using the Control key with the mouse click. You can also remove selected objects from the current selection by using the Control key with the mouse click.

Changed symbol snap points from using a circle to using a small x. The snap points have been defaulted to On and the snap point view status is now saved in the user's initialization file.

The old stream segment editing has been disabled due to it causing problems with selections.

Fixed the SI UNI OUT and MET UNI OUT default override units swapping problem.

Fixed the Distill Column total condenser dialog options to be allowed only when total condenser was chosen.

Fixed the Distill Column decanted water and condenser temperature/duty results to transfer to Excel properly.

Fixed an isolated case of vertical flash sizing results not being transferred to Excel.

Fixed tray number changes issue in Batch Distillation module.

Fixed a stream data box component names display problem.

Changed the Stream flowrate on the flowsheet to display as just "MMSCFD" instead of "MMSCFD at STP" which was superfluous.

Fixed a Controller validation message when it had different orientation & stream connections.

Removed the mass flow units specification items on the batch distillation hold up dialog.

Fixed the Expander Compressor module's polytropic/isentropic radio button selection change / retention issue. Now each one is explicitly fixed per user selection.

Fixed a problem with displaying individual component flowrates for a stream on the flowsheet.

Simulator Kernel Enhancements

Added new packing shape and type command for automatic calculation of the HETP in the Packed Column unit module. There are 69 different types of packing materials and shapes supported.

Added a new three phase dew point temperature calculation. Also added a bubble point and dew point failure mode when the respective calculation fails.

Added refrigerant R254fa as component # 2060 and enabled it for use with REFPROP-NIST database.

Added a new command, REFPROP COMponent = #, for which pure component to use with the REFPROP-NIST thermodynamic method when there are multiple components specified in a flow sheet.

Added a command CAL BUB DEW OFF that turns off dew and bubble point calculations for all streams.

Added an option to calculate latent heat of vaporization for a mixture. It will be emitted in all the detailed stream prints in the flowsheet and can be transferred to Excel. Both values with and without sensible heat are calculated.

Added calculation of the liquid height at each time step of the depressurization unit module. It will be transferred to Excel.

Added calculation of aqueous (liquid 2) freezing temperature in the detailed stream print. It will be transferred to Excel.

Changed the VAP UNI OUT and LIQ UNI OUT commands to work independently of each other. Also added STP versions on the commands so that print out of the actual and standard flowrates can be specified in ACF, MACF, MMACF, SCF, MSCF and other dimensional units in the detailed stream print results. Also added new commands for specification of time units for the vapor and liquid flow commands.

Updated temperature, pressure, and vapor density when calculating the ratio of vapor to liquid density used to calculate heat input for depressurizer.

Fixed stream Pour Point calculation and results display.

Fixed a water saturation calculation error on a stream that had propylene glycol which was not properly initialized before.

The function that calculated the stripping factor ratio of the trays for the Distill column super method was increased to a maximum of 1000 error conditions.

Fixed Liquid Heat Capacity method to make sure that the temperature interpolation range algorithm did not activate for solutions that did not contain water.

Fixed the Phase Envelope unit module to honor the user given pressure points.

Relaxed the mass tolerance warning message on equilibrium reactor to 1.0e-5.

Fixed a line module enthalpy calculation problem on surroundings heat transfer with specified U when there was an elevation change.

Fixed user specified vapor fraction option to work properly for pure methane feed streams specified with volume fractions.

Fixed an isolated problem with the stream results table headers for a multiphase stream.

Found that the fortran library new command would fail if the user created file already existed. Modified the code to delete the data file, if it already existed.

Found that there were two heat of formation storage systems. Merged them into a new permanently allocated storage system and modified the code to ALWAYS read all species (stored and user provided) formation (enthalpy and entropy) data.

Removed the emission of rating warning message in a non-rated Air-cooler simulation.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1004") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.11 New Features

DESIGN II Version 10.11

ChemTran Version 10.11

December 2009

Please note that the password algorithm was changed for 10.10 release. All passwords issued before version 10.10 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.11 PSD files cannot be read by version 10.10 or earlier versions of DESIGN II for Windows. However, version 10.11 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added "edit last segment" and "delete first segment" to the stream popup menu. Both of these commands work in selection mode or stream mode. Both of these commands work in mouse down stream creation mode or mouse up stream creation mode.

Added a warning when the DESIGN II for Windows starts up that it needs 1 GB of real ram memory.

Separated the metric.sym symbol library file into seven symbol library files: diiw_columns.sym, diiw_controls_metering.sym, diiw_heat_exchangers.sym, diiw_stream_operations.sym, diiw_pressure_change.sym, diiw_reactors.sym and diiw_miscellaneous.sym. The equipment symbols are now sorted in the browser drop down list, the equipment menu and the toolbar drop down list by symbol library. This is in preparation for the forthcoming abiilty to add new user symbol libraries.

Added density input option for use with dynamic viscosity units on the crude viscosity dialog for crude feeds.

Added support for multiple sections of packing in the packed column dialog. Added new commands for feed location and location from top of column to the packed column dialog.

Fixed a crash when three or more results windows are open and the user interface is shut down.

Fixed a crash when trying to delete the last simulation results case on the Simulation Results Cases dialog.

Fixed text objects to be able to be placed anywhere on the flow sheet instead of directly on a grid point.

Re-enabled the use of the right click button to remove segments of a stream but only when in stream mode.

De-activated the stream/module snap point auto-connect and warning message during edit mode.

Removed the symbol auto snap when in stream mouse button down mode.

Removed the selection points when pasting a flowsheet image into Word or other programs.

Fixed the Distillation Column's main specifications TAB dialog to retain the user given component flow fraction specification.

Replaced the missing Flowmeter's optional specification dialog TAB.

Simulator Kernel Enhancements

Added packed column calculation with HETP and multiple sections for stored packing types.

Fixed a visual basic DLL adiabatic flash calculation issue which wrongly used the multi-flash algorithm that does not have supercritical fluid checks. Also added print of where the designii.dll file was coming from and to the output file. Included diagnostic prints of the isothermal and adiabatic flashes.

Fixed the depressurization unit module to allow user input time specification beyond the default 15 minutes for the pressurization stage of the process. Also fixed the maximum allowable time to be more than 1000 minutes.

Fixed an improper format statement that was mangling the stream phase headers for results emission.

Zeroed the variable that sums total height and fixed packed column print to display large top pressure.

Fixed a program crash due to multiple packed columns on a flowsheet which were causing storage bank errors.

Without a decimal the AMBient PREssure input was assumed to be zero (integer). Fixed this to be real/decimal variable for the gauge pressure to absolute pressure calculation.

Fixed a crash in heat exchanger's Q-T calculations.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1010") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.12 New Features

DESIGN II Version 10.12

ChemTran Version 10.12

Janaury 2010

Please note that the password algorithm was changed for 10.10 release. All passwords issued before version 10.10 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.12 PSD files cannot be read by version 10.11 or earlier versions of DESIGN II for Windows. However, version 10.12 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added creation of custom symbols and symbol libraries. Symbols are created by selection of one of more graphic primitives, as long as: a) there is at least one snap point selected; b) there is at least one non-snap point graphic primitive selected; c) the user must pick a library filename to add the symbol to and it can not have the same filename as a standard WinSim library file; d) likewise with the name of the library and the name of the symbol, however this is checked not only against Design II names, but user names as well.

Added a new dialog to manage which libraries the user has loaded, remove certain libraries, add libraries, delete symbols from user libraries, and choose which Design II libraries to use.

Added a new "Remove first stream segment" command on the stream's right click popup menu.

Added drag and drop of symbols while in symbol mode from the browser box to the drawing sheet.

Added the new fixed tube pitch command to the heat exchanger rating tube specs dialog.

Added Stream Entropy to the list of variables available to the Controller unit module for setting or varying an equipment specification.

Added a new graphical primitive, snap point.

Added the ability for the user to select or unselect objects in the currently selected group while pressing one of the control keys while in selection mode.

Changed the grid spacing in the select, stream, text and symbol modes to be consistent with the graphcal primitives mode (double the previous number of grid points).

Widened the browser box so that symbol names would be more readible.

Fixed setting the temperature approach for individual reactions in the Reactor unit module dialog.

Fixed sending stream Liquid 1 flowrate to Excel in the correct dimensional units in rare occasion.

Simulator Kernel Enhancements

Added Stream Entropy to the list of variables available to the Controller unit module for setting or varying an equipment specification.

Added a new command, FIX PITch, to keep the tube pitch specified by the user for the shell and tube heat exchager rating instead of over-riding the tube pitch specification when the clearances are very tight.

Added more iterations for the shell and tube heat exchanger convergence algorithm using a simple (U and A) specification.

Added another adiabatic flash to the shell and tube heat exchanger two phase rating using a duty specification in order to help the temperature iteration keep in sync with the pressure change.

Fixed a problem in the mixed amine thermo where a stream containing only mdea and water was having trouble converging in an adiabtic flash.

Fixed an isentropic flash convergence problem for a compessor operating at or near the critical for a single component stream.

Fixed a Plug Flow Reactor dimensional units printout problem.

Fixed a problem in the GERG 2004 thermodynamics when the mixture was approximately 99% CO2 and the pressure was above the mixture pressure point.

Fixed a problem with copying large numeric values of pressure Pascals into the stream specification pressure.

Tightened the convergence criteria for the shell and tube heat exchanger using a duty specification.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1011") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.13 New Features

DESIGN II Version 10.13

ChemTran Version 10.13

March 2010

Please note that the password algorithm was changed for 10.10 release. All passwords issued before version 10.10 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance and support agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.13 PSD files cannot be read by version 10.12 or earlier versions of DESIGN II for Windows. However, version 10.13 of DESIGN II for Windows can read all previous version's PSD files.

Updated all of the user manuals for DESIGN II for Windows at http://www.winsim.com/doco.html . The Adobe Acrobat versions of the manuals have been included in this release. You can order printed copies of all four manuals at www.lulu.com (the URLs are on http://www.winsim.com/doco.html).

Graphical User Interface Enhancements

Added a new search dialog to locate unit modules or streams via a search interface for use with F3 (Find Next) and Shift + F3 (Find Previous) keyboard controls. The search dialog is activated using the Ctrl + F (Find) key sequence.

Added "delete all cases" to the "view results cases" dialog to allow user control on stored file sizes. Also, added the number of results cases to the Help / About dialog.

Added a new stream property dialog to the edit menu and the right mouse click popup menu when more than one stream or unit module is selected. The stream common property dialog allows setting of common displayed items.

Added True Vapor Pressure (TVP) to the stream display results on the flowsheet.

Added options to display Mixed Amine Column condenser and reboiler duty, top and bottom temperatures, number of trays, reflux ratio, and Rich/Lean Amine Loading results on the flowsheet.

Added the abilty to delete Sheet 1 if there is another sheet present on the flowsheet.

Added moving text items displayed from streams as one selected group on the flowsheet.

Added display on the flowsheet of the Line module's calculated maximum velocity in the last node of the line.

Added a Dense Grid option for a 2X grid under the View menu and changed the grid default density back to previous density. The user selected grid density (standard or dense) is now stored in the user's designi.ini.txt file.

Added preserving of the selected location after editing and deletion of an object.

Added multiple temperature units specifications for different intercooler(s) in the Distillation Column.

Added Heat Exchanger Curve increments results to the Excel data results transfer.

Added movement of selected objects using the arrow keys (left, right, up, down) by one grid point at a time.

Fixed disabled sheet items from showing Reid Vapor pressure option for streams in the input file.

Fixed sending stream Vapor flowrate to Excel in the correct dimensional units.

Fixed a stream view results program stoppage issue by making sure it had results to look-up other items.

Changed the Line Module Line diameter to now be displayed in inches instead of feet (mm instead of m).

Fixed a right click deletion issue on a selected group of items. Also removed the text editing scissors function since no longer needed.

Fixed an issue on "Activate Multiple Stream Click Creation" option that previously worked only after selection/de-selection on Options menu.

Fixed line module's calculation of absolute elevation for first segment.

Fixed the spelling of aluminum for the air cooler tube metal and fin metal selection lists.

Fixed adding duplicates of first stream item to the recycle sequence for multiple unit module calculations when necessary.

Simulator Kernel Enhancements

Added pressure effect to the water freezing point calculations.

Added support for the GERG 2004 thermodynamics to the unit module thermodynamics.

Added over 100 more component structures and moved all component strucures to the compdata.txt file. Enabled equilibrium reactor to do its calculations for all known species by adding their molecular structure. Did not add structures for components such as therminols or the multiple component refrigerants.

Added an isentropic flash to single component flash case.

Added a warning on area when rating a heat exchanger & air-cooler if the required surface area exceeds the available geometry area.

Converted the bubble point pressure calculation to a full three phase thermodynamic method from the two phase plus free water thermodynamic method.

Fixed steam tables calculation for pure water supercritical fluid property (density) estimates. Previously, program failed at higher pressures (10 KBar and above).

Fixed Design II to take apostrophes (quote) as input in stream names.

Fixed stream print Liquid 1 Flowrate to be properly calculated in NTP and STP when user changes base output units options.

Fixed the RVP calculation issue when water was not present in the component list but was expecting it.

Fixed the mixed amine thermodynamics to use the same temperature units conversion factor are now used to enhance heat exchanger convergence tolerance. Also fixed an improper format statement that was mangling the stream phase headers for results emission.

Fixed a discontinuity in compressor results as feed approaches critical point.

Removed soluble water warnings for streams with pure water or having 99.9+% water.

Fixed the way in which STP, NTP, and API were being removed from the STP VAP UNI OUT selections.

Fixed an issue when using KGMOL/HR on mass balance modules individual species flowrates.

Fixed the heat exchanger calculation of the Q-T curves when exchanger is rated and is specified at co-current.

Fixed the Distillation column to internally set lower product flowrate guess than what is available in the feed flowrate when user has set a higher bottom flowrate as compared to feed. Warning message will be emitted indicating this change.

Fixed the Exchanger rating results of pressure drop value to now use consistent units corresponding to the overall flowsheet units (PSI, MPA, etc).

Fixed the rating calculation of air-cooler pressure drops by increasing the delta pressure maximum setting for the cases where the user has not entered a desired delta pressure.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1012") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.20 New Features

DESIGN II Version 10.20

ChemTran Version 10.20

August 2010

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.20 PSD files cannot be read by version 10.13 or earlier versions of DESIGN II for Windows. However, version 10.20 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new interactive facility for importing specifications from Excel before a simulation and for exporting calculated results to Excel after a simulation. The actual data transfer items are totally controlled by the user. At this time, streams, one stream heat exchangers, two stream heat exchangers, expanders and flash separators are supported. Other unit modules will be added in the future.

Added support for the new Distillation column sum rates method for the condenser and bottom reboiler. Also changed the distill properties dialog from "Intercoolers" to "Intercoolers and Side Reboilers" on the Optional Specifications tab. Added SumRates option to the Distillation column specification options in the main specifications dialog.

Added a common thermodynamics selection tab to the common stream properties dialog. Also, created a common symbol properties dialog with name/number display tab, thermodynamics tab, and a special tube side thermodynamics in case is a two-stream exchanger is selected.

Added tooltips to stream and symbol texts when hovering the mouse over them. Also, highlighted those display items in red when any stream or module objects are selected.

Added tray sizing options on/off to Distillation column.

Added additional validation and notification when the feed location's custom item is in use for the Packed Column. The Packed Column feed location choices can now be controlled between "Top" or "Bottom" or "Custom".

Added display of the Amine regenerator's "Reflux Ratio" value on the flowsheet.

Added remembering of the zoom and pan settings for each sheet in the flowsheet.

Converted stream display items / stream data box items to multiple tabs. Retained the new property item manager control for stream display results for component flowrates.

Redesigned the save simulation results dialog by asking user "yes/no" to save and auto-save results. Modified default item and its verbal description.

Changed the default K-value and Enthalpy methods to Peng Robinson from APISOAVE on Specify / Basic Thermo dialog. Added a "Set Methods to APISOAVE" button that replaced the "Set Methods to Default" button. Also added a crude method selection item in "Set Methods to Mod Esso and API Mod (for crudes) .

The Heat Exchanger rating input specification for Tube pitch, Tube OD, Baffle spacing, and Shell ID are now defaulted to "inches" instead of "feet" units.

Converted the Excel results transfer to use OLE Automation instead of Dynamic Data Exchange for greater reliability and re-entrency.

Fixed a bug in heat exchanger rating dialog's Tube Side Specification options.

Fixed distillation column's intercooler delta temperature to be set as negative data when cooler is selected.

The Heat exchanger's pitch type (ie. square, triangle, rotated square, rotated triangle) are now being displayed correctly in rating results section.

Added additional checks when index out of bound errors occur for print options dialog. Fixed a problem in the print options output dimensional units dialog initializations.

Fixed a potential crash in the update results for amine columns.

Fixed an array size crash when hitting Ctrl-F on the ammonia example co2remvl.psd.

Fixed an issue when changing radio button selection on the "Steam" and "Reboiler" options both being selected in the side stripper dialog of refine distillation module.

Fixed an index out of bounds crash while making input file.

Fixed a bug in update Stream Results to clear the results, if the results are non-existing or bypassed.

Fixed a feed bulk viscosity set command format in input file per documentation.

Fixed an Excel transfer problem on a stream due to a component name formatting issue.

Fixed the Excel transfer truncation issue when time unit is in /SEC.

Fixed an Excel Transfer issue in the display of some isolated stream summary results.

Fixed the changes in the given specification value that behaved oddly when condenser specification was selected in distillation module.

Fixed column profiles (temperature, pressure, vapor, and water partial solubility) to work properly in Refine Distillation column.

Fixed the flowrate display of stream flowrate magnitude while on gal/min.

Fixed the kinetic expression syntax for specific reactions in Reactor's stoichiometry.

Fixed a Peak Velocity display error for line module in the flowsheet display.

Fixed an issue with internal streams displayed on stream data box even when the column has been deleted.

Fixed a unique crash when sheets with graphics and symbols were deleted from a flowsheet file that has multiple sheets.

Fixed the stream data box dis-location of vapor & liquid densities when other optional items were added to the stream data box display.

Simulator Kernel Enhancements

Added component volume flowrates by phase to the detailed stream print. The output volume units by default provides FT3 (US units) and M3 (Metric or SI units). The time units are those specified by the user. In future, additional volumetric flowrate units will be provided.

Added SumRates convergence method can now handle reboiler only or condenser only or both condenser & reboiler calculation options in distillation column.

Added isothermal and adiabatic flash caches for speeding up repetitive recycle calculations and provided a calculation history report. Also enhanced adiabatic flash error messages. Also fixed several adiabatic flash problems.

Added printing of Froude Number for each line pressure drop node results in the Phase and Density Table. Also, the "Combined Density" column is now always printed. For single-phase streams, this combined density is just the stream density.

Added calculation and print of the Amine Regenerator reboiler duty per moles of CO2 removed in the module results.

Added packing design for a Reboiled Absorber column.

Added selection of specific units for enthalpy, time, temperature, or length scale, for the display of heat exchanger's overall heat transfer coefficient (U). If one or more of them are not specified, then overall output dimensional unit system (US or Metric or SI ) will be used. If a duty unit has been specified, this chosen duty unit will be used for the combination of enthalpy and time units.

Added a warning to the Heat Exchanger if it has calculated both streams are heating or both streams are cooling.

For temperatures above the critical point of water, set the H2S k-value to 10 to allow APISOUR to calculate proper mixture temperatures.

Added notes to consider other Line Pressure Drop methods in some existing Line Pressure Drop warnings.

Added a new line to the heat exchanger rating report for "SP.GRAVITY AT 60 F".

Fixed a Batch Distillation module input processing and execution error.

Fixed the selection of utility (air/water) bug in the single stream exchanger.

Fixed the heat exchanger crash due to the new FIX PITCH command that did not get moved over to appropriate code locations.

Fixed a Volumetric Flowrate dimensional units output issue for a crude mixture due to incompatible variable size manipulations.

Fixed the lean amine and rich amine loading calculations when species not present in Mixed Amine handling list was present. Arrays were improperly dimensioned to the number of amine thermo components rather than the total number of components.

When output units are in KJ the program now emits entropy/Cp/Cv/thermal conductivity in KJ units.

Fixed the crude properties results issue when user entered viscosity data are used.

Fixed the emission of flash feed summary for refine modules in "Product Volume Percents, Components, and Laboratory Distillations" section.

Fixed a vertical flash sizing issue for an all vapor stream.

Fixed an association calculation failed message in ChemTran.

Fixed the issue when the specified liquid flow units (gallon) was not being used for liquid 2 actual flow units (ft3 was used before).

Fixed the pure TEG flowrate emission when with or without water.

Fixed Heat exchanger regular results in corrected LMTD based on exchanger flows (co-current & counter current). Also fixed end point temperatures in rating results based on liquid 1 & liquid 2 phase calculations due to water. Improved limits when calculated area was less than total required area for warnings.

Fixed a program stoppage issue due to packed column's feed phase condition and location.

Fixed a Heat Exchanger's Q-T curve value at the last node.

Fixed a line pressure drop table printing issue on displaying all line nodes of data.

Fixed molar volumes calculation in STP when crude cuts were in the component list. Also, allowed more unit combinations for liquid volumetric flow rates.

Fixed an emission of error message when WRIte REStart FILe command was used in Refine module.

Corrected a unit conversion on refine column's pressure profile table when MPAG was requested.

Fixed pure CO2 flash predictions and also added an additional DIPPR equation for CO2 vapor pressure & latent heat calculations.

Fixed a water miscibility criteria set-up issue when Peng Robinson was used for a water/TEG/BTEX mixture.

Fixed a discontinuity in Cp determinations above critical locus for a CO2/H2S mixture using Peng Robinson.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1013") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.21 New Features

DESIGN II Version 10.21

ChemTran Version 10.21

September 2010

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.21 PSD files cannot be read by version 10.20 or earlier versions of DESIGN II for Windows. However, version 10.21 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added an automatic compression and de-compression of character strings to reduce the PSD file sizes.

Added three new symbols for the Packed Column (packed reboiled absorber, packed stripper column, and packed fractionator column). Added dialogs for the condenser and reboiler specifications.

Added rules so that if the user has turned off the various Exchange data with Spreadsheet methods then the data for those methods will not be validated.

Added options to display actual volume flowrate, actual volume percent, actual volume fraction, standard volume flowrate, standard volume percent, and standard volume fraction on the stream data box and in the stream Exchange data with Spreadsheet.

Added the new standard volumetric flowrate table to the Excel transfer.

Improved the speed of the Excel Transfer via the new OLE Automation method previously added in version 10.20.

Split the "Exchange Data With Spreadsheet" dialog into two tabbed sheets to allow more variables to be displayed in the list boxes.

Fixed mass flowrate dimensional units in stream summary of excel transfer caused by the addition of volume flowrate stream data. Also fixed the mass composition by component results in Excel.

Fixed the mass flowrate data display check on (or check off) for linked streams. Also fixed the display of current results in no vapor streams.

Fixed an index out of bounds program stoppage issue due to an isolated flowsheet initialization problem.

Fixed the must be input validation rule on side feed location in MIxed Amine columns.

Fixed the Fired Heater's displayed duty units on the flowsheet.

Added current working directory to version checks and crash reports.

Simulator Kernel Enhancements

Added a new standard volumetric flowrate by component table to the detailed print for each stream at STP or NTP conditions.

Improved the convergence of the Distillation column Sum Rates method when a Reboiler and/or a Condenser is present.

Added an option to get the version number from the DESIGN II Visual Basic interface.

Fixed a Refine column bottom product and reboiler mass balance issues to now make it internally consistent.

Fixed a stream bulk property intermediate temperatures calculation issue when the fluid is all liquid.

Fixed a Mixed Amine flash issue on an isolated sample file (figure2.psd).

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1020") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.22 New Features

DESIGN II Version 10.22

ChemTran Version 10.22

October 2010

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.22 PSD files cannot be read by version 10.21 or earlier versions of DESIGN II for Windows. However, version 10.22 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the user interface for controlling a feed stream flowrate, pressure, temperature or enthalpy to the Controller unit module dialog.

Added a toolbar icon for the Exchange Data with Spreadsheet dialog as an X after the Simulation Summary icon.

Added the Distillation column properties and tray fractions to the new Exchange Data with Spreadsheet functionality.

Added Therminol(R) 59 as component id #2061.

Added support for displaying component flowrates in volumetric and standard to the streams.

Added more display items to the common stream dialog.

Added a new button on all the Equipment and Stream dialogs for sending that Equipment's or Stream's results directly to Excel. In the case of Equipments, the streams connected to that equipment will be sent to Excel also.

Separated the Equipment pull down menu into a several slide right submenus (one for each symbol library).

Stream import results will now get the flow units of the old stream unit system present in the results file for the component by component molar flowrates item.

Increased the speed of the excel transfer for the stream details and stream summary.

Fixed Liquid Properties stream summary for RVP (Products) to emit and transfer to excel properly.

Removed duplicate duty units list on Packed Column's condenser/reboiler options.

Fixed a unique excel transfer stoppage at "Properties within Column".

Simulator Kernel Enhancements

Added the capability of controlling a feed stream flowrate, pressure, temperature or enthalpy to the Controller unit module.

Added optional internal streams for condenser and reboiler in the Packed Column.

Added Therminol(R) 59 as component id #2061.

Increased the maximum number of trays from 99 to 999 for a Refine column.

Removed warnings and flash errors in hydrate predictions on a file using Peng Robinson equation of state.

Fixed a pressure out specification calculation on flash module, by de-activating a adiabatic flash cache parameter.

Fixed the malfunctioning ADD block routine due to naming and add blocks numbered above 9.

Fixed a column memory error in a distillation column for a unique flowsheet.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1021") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.23 New Features

DESIGN II Version 10.23

ChemTran Version 10.23

December 2010

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.23 PSD files cannot be read by version 10.22 or earlier versions of DESIGN II for Windows. However, version 10.23 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added stream mass flowrate to the list of controller variables.

Enabled the new Exchange data with Spreadsheet to work with Excel 2010 and XLSX files.

Added the Visual Basic / C++ / Microsoft Excel VB programming guide to the Help menu.

Added support for the new Depressurizer functions for an optional minimum vapor volume fraction of the tank to be vented as vapor only instead of mixed phase, a maximum run time and an optional valve reseat pressure.

Added a scrollable edit box for long *.XLS filenames in the 'variables to transfer' set-up dialogs.

Added "º" symbol to the temperature units for Celsius.

Added file path validation for spreadsheet names embedded in the Exchange Data with Spreadsheet function.

Always emit the ChemTran's structure keyword if a molecular structure is entered by the user.

Fixed the sheet name edit issue on multi-sheet files.

Sped up the Excel transfer by converting many of the one dimensional excel data transfers to two dimensional using the OLE Automation method.

Fixed the gross heating value / Wobbe number display issue on stream data box.

Changed the wordings on "Use results from a Reference Stream..." optional item on stream dialog.

Fixed the find (CTRL+F) item to now properly select a stream.

Fixed depressurizer results table overflows when transferred to Excel. Also fixed some stream summary, case study and a few other excel transfer issues.

Fixed the number of minimum feed locations for all packed column types.

Simulator Kernel Enhancements

Added most feed stream variables for direct control by the controller unit module. Enabled a new overall stream mass flowrate variables (FLO MAS; FLO MAS COM or FLO COM MAS) for controller look-ups.

Added automatic failover to Sum Rates method for Distillation Columns if the Super or Regular method fails to converge. Also added a new keyword for turning off this feature.

Added all work units for expander/compressor to the Controller unit module.

Added a new keyword, "valve RESeat pressure", that optinally allows the user to set a pressure where the depressuring valve will close. Also added a maximum time for the depressurization event that is defaulted to one hour. Also added an optional minimum vapor volume fraction keyword command of the tank to be vented as vapor only instead of mixed phase (the default is 10%).

Added the CALculated DUTy of flash module to be available for controller lookups.

Added single quote for use in a component name text.

Added controller to look-up intercooler duty for a Distillation column.

Added a new table consisting of Hydrogen atoms, Carbon atoms, the H/C ratio and formula for each component. Added a hydrogen and carbon calculation for each stream.

Added automatic calculation of the heating values, CO2 freeze warning (if CO2 present), Wobbe number, Methane number, Motor Octane number and Vapor sonic velocity for each stream.

Fixed Heat exchanger's curve increments duty report due to single species phase change calculations.

Fixed the calculation of the standard volumes results display for the liquid 1 and liquid 2 phases.

Fixed the Amine column internal reboiler stream data report error due to unit conversions.

Fixed the Distillation column internal stream report for side-heater/cooler.

Fixed air-cooler's emission of Tube Material in the output as carbon steel instead of stainless steel 304.

Fixed creation of FOR037 fortran data files under unique circumstances.

Fixed a three phase bubble point determination for a hydrocarbon and water mixture case.

Fixed a pump isentropic calculation that previously predicted huge horsepower and temperature out for an all liquid mixture stream.

Fixed the TEM HYD=ALL keyword to work properly to calculate hydrate temperatures for all streams.

Fixed the calculation of lean and rich amine loading of sour gases when piperazine is in the mixed amine system.

Fixed an error in the calculation of maximum droplet settling velocity value in the separator sizing calculation when a mist eliminator is not present.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1022") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.24 New Features

DESIGN II Version 10.24

ChemTran Version 10.24

January 2011

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.24 PSD files cannot be read by version 10.23 or earlier versions of DESIGN II for Windows. However, version 10.24 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added cut, copy and paste to or from all of the vector controls in the user interface with other applications such as Excel or Notepad.

Added the following calculated stream results to the Excel transfer: Vapor Sonic Velocity, Heating Value (Gross), Heating Value (Net), Wobbe Number, Average hydrogen Atoms in Stream, Average Carbon Atoms in Stream, Hydrogen Carbon Ratio of Stream,Methane Number, Motor Octane Number.

Added user selected dimensional units to all existing component flowrates for stream summary in Excel Transfers.

Added a new button on the Distillation column properties dialog on the print options sheet. When clicked it will write an XML file for use with Fractionation Research's DRP software or similar for the Distillation column using the filename suffix of the PSD file.

Added a list of disabled units for both the liquid viscosity and vapor viscosity on ChemTran.

Significantly decreased the time to open a large flowsheet file.

Added import of line length, elevation and equivalent length of the line module to the Exchange data with Excel.

Added a requirement for flash to have two outlet streams for a separator to be sized.

Simulator Kernel Enhancements

Added hydrogen to carbon ratio calculations to Visual Basic / Visual C++DLL interface.

Added a KPAG dimensional unit specification in Distillation specifications for case study.

Added new messages that the Distillation Column was solved to the index when the Sum Rates method is used. Also added new messages about the column specifications (condenser, reboiler data, etc..) to the column calculation summary.

Fixed an actual volumetric flowrate calculation for streams issue due to a density storage when output dimensional units were set as SI or Metric units system.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1023") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.25 New Features

DESIGN II Version 10.25

ChemTran Version 10.25

March 2011

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.25 PSD files cannot be read by version 10.24 or earlier versions of DESIGN II for Windows. However, version 10.25 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added Cp/Cv ratio display for liquid 1 phase of a stream in the stream data box.

Added specific gravity display for all vapor and liquid phases of a stream in the stream data box.

Added a new item to display the stream's actual (or standard) volumetric flowrate on the flowsheet.

Added a validation warning to unlink one stream number, if same the numbered linked streams are checked ON in different sheets.

Added a validation rule when zero total flowrate value is specified for all feed streams.

Fixed the conversion of viscosity units Poise to centipoise for XML's tray sizing data transfer.

Fixed moving a text item if part of it is located out of the flowsheet bounds.

Fixed Gross / Net Heating value and Wobbe index to now display properly on stream data box.

The Mixed Amine Regenerator's reflux ratio is now emitted properly on flowsheet display.

Fixed Excel Transfer stoppage issue during air-cooler rating results exchange.

Fixed the dual symbol list being made by the program with the second one being empty when file new dialog is clicked OK.

Fixed the Flowmeter's "calculation method" and "optional specifications" TAB dialog items.

Fixed an isolated program crash due to stream connections missing the snap point issue.

Enabled velocity of surroundings dialog on line module to have an individual units control.

Fixed peak/max velocity to display the final/exit velocity of a line module.

Simulator Kernel Enhancements

Added a new excess molar viscosity method for binary mixtures with the keyword LIQ VIS = EXCMOLVI.

Added a rule that a mixture must have at least 2% crude cuts in order to use the API viscosity method. Fixed a stream viscosity prediction using NBS81 when streams have both real species and crude cuts with negligible compositions.

The liquid slug residence time was improperly set in units of minutes rather than seconds. Fixed with a proper correction factor and added other warnings.

Fixed the initial flash in the compressor work calculation to use an adiabatic flash instead of an isothermal flash so that pure component streams will calculate the correct phase.

Fixed an utility stream and exchanger duty calculation issue when UA specification was set on the heat exchanger without rating.

Fixed the number of side draws issue in results when Sum Rates method was used.

Fixed fouling factor units issue in rating results based on user inputs.

Restored side heater data emission in column results.

Fixed stream initialization issues on crude feed streams.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1024") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.26 New Features

DESIGN II Version 10.26

ChemTran Version 10.26

May 2011

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.26 PSD files cannot be read by version 10.25 or earlier versions of DESIGN II for Windows. However, version 10.26 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added an option to use gal/lbmol to convert vapor to liquid for STP/NTP component volumetric flowrates.

Allowed reference streams to be used without the previous validation error on total flowrate requirement.

Fixed an isolated error when Specify… Components was selected.

Fixed a bug in a symbols delete layer on multiple sheets.

Fixed a mass balance bug due to lack of stream number identification on makeup stream.

Fixed emission of "vapor standard volumetric flowrate" to excel.

Fixed a GUI initialization problem in inline fortran.

Fixed a conversion from kgmol problem in flowsheet stream flowrate display.

Fixed a stream validation problem.

Fixed refine column data transfer to excel for viscosity, reflux, and product properties. Also fixed excel transfer issue in LMTDs emission to the heat exchanger summary section.

Simulator Kernel Enhancements

Added crude feed analysis and access to the DLL for VB/VC++ acess.

Added calculation activity screen tap dots while program calculates the dew, bubble and hydrate points.

Fixed the vapor volumetric flowrate time output units issue.

Fixed a multi-stage compressor calculations when inter-stage liquids were found. The program will provide stream results using first (lowest) inter-stage pressure instead of the overall feed pressure.

Fixed a Distillation column's intercooler crash problem.

Fixed a flash initialization error when Lee-Kesler-Ploecker (LKPK) thermo method is used to get a separation of the liquid phase into an hydrocarbon liquid phase and an aqueous liquid phase.

Fixed Phase envelope module's instabilities in its P-T plots while using APISOAVE correlation.

Fixed a stream feed volumetric flowrate flowsheet display issue in m3STP/day.

Fixed an isolated case study input error execution issue.

Thermal conductivity of liquid units is now being identified in ChemTran input unit selection.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1025") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.27 New Features

DESIGN II Version 10.27

ChemTran Version 10.27

July 2011

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.27 PSD files cannot be read by version 10.26 or earlier versions of DESIGN II for Windows. However, version 10.27 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added building a flowsheet via a YouTube video under Help... menu.

Fixed a unit conversion bug in total standard volumetric flow rates.

Fixed the hydrotreater keyword emissions for all available calculation options.

Fixed a "select area to magnify" roll back to last used cursor function issue.

Simulator Kernel Enhancements

Added a new GERG ENTHALPY keyword and dialogs to set enthalpy base at 77 F.

Added a warning when a exchanger utility calculation is selected that interferes with process stream recycle acceleration.

Fixed a serious enthalpy and entropy calculation problem in the GERG 2004 thermodynamic method.

Sped up the GERG 2004 thermodynamic method calculations by a factor of four.

Fixed the shell and tube heat exchanger so that Corrected LMTD due to exchanger rating and Calculated LMTD will be solely due to resulting end temperatures. Also fixed calculated pressure drops and tube side temperature out reports on rating sheet.

Fixed the Predictive Peng Robinson to now work properly when used under the stream or unit module specific thermodynamic method selections.

Fixed the Poynting factor calculation and re-worked the Henry's constants for CO2 when used with the new DMPEG K-value method.

Fixed the Packed Column to now work with any number of iterations per user selection.

Fixed an isolated refine module crash problem.

Fixed a problem in the stream cooling and heating curves where the liquid and vapor mass heat capacities were using the overall molecular weight instead of the phase specific molecular weight.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1026") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 10.28 New Features

DESIGN II Version 10.28

ChemTran Version 10.28

August 2011

Please note that the password algorithm was changed for 10.20 release. All passwords issued before version 10.20 will not work. Please contact WinSim for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 10.28 PSD files cannot be read by version 10.27 or earlier versions of DESIGN II for Windows. However, version 10.28 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Fixed a problem with the toolbar output, summary and excel transfer buttons not working properly.

Fixed an index out of bounds crash when setting common equipment properties for tube side thermodynamics.

Fixed a reflux ratio flowsheet display issue on the amine regenerator unit module.

Simulator Kernel Enhancements

Added the capability for users to over-ride the stored gross and net heating value of any pure component.

Added a table of the gross and net heating values for all pure components in btu/lbmol and btu/SCF.

Fixed the cooling curve heat capacity calculations for an exchanger stream.

Fixed a phase determination issue in adiabatic flash of a stream from line module.

Fixed a exchanger rating program crash issue.

Fixed an ideal density prediction issue and added warnings.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1027") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.00 New Features

DESIGN II Version 11.00

ChemTran Version 11.00

September 2011

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.00 PSD files cannot be read by version 10.28 or earlier versions of DESIGN II for Windows. However, version 11.00 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new toolbox window with preview and drag and drop of all symbols. The new toolbox can a fixed or floating window. The old browser window is still available and can be used instead.

Added a new Simulate / Execute Dynamic... menu entry along with a "DYN" button on the button bar.

Added a new Specify / Dynamic Settings... dialog for Dynamic Simulation time interval and duration.

Added symbols, dialogs and sample flowsheets for the new Tank unit module.

Added the new DMPEGK and DMPEGH thermodynamic methods to basic thermodynamic dialog.

Added a new component dialog sheet for the high heating value, low heating value and hydrogen carbon ratio items.

Added bulk API gravity as an option for stream display results for crude on any stream.

Added M3L units to the liquid flowrate conversion method for excel transferred flowrates.

Fixed program freezing issues during the operation of "component general properties"...name, molecular weight, etc...of Pet-100 species dialogs.

A validation message is now in place to stop users from running a file with "simultaneous convergence" recycle method when no recycle streams have been chosen in Specify / Recycle... dialog.

Fixed the feed tray location dialog re-visit issue on Distillation columns.

The ChemTran dialog on Thermal Conductivity of Liquid and Vapor will now allow all temperature units.

Fixed the appearance of Simulation summary window even after the user had chosen to leave it open after it is through.

Simulator Kernel Enhancements

Added Dynamic Simulation with time duration and interval control. Added time based material and energy reports.

Added a new Tank unit module with initial charge specifications, multiple feed streams, an optional constant pressure vent and multiple time based product streams.

Added heating values in Btu/lb to the component properties table in the output.

Added an adiabatic flash for single-component cases that add, subtract, multiply, or divide the number of moles in Stream Manipulator.

Added a new DMPEG thermodynamic k-value and enthalpy method for simulating with Coastal AGR, Genosorb 1753 and Selexol.

Improved the ideal gas heat capacity curves for R-410A.

Fixed a program stoppage issue due to Heat Exchanger's fortran to copying a stream.

Fixed the Controller unit module input to note liquid units for the initial units conversion.

Fixed the Liquid 1 flowrate values emitted detailed stream print.

Fixed the pressure drop issue for an isothermal equilibrium reactor.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1028") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.01 New Features

DESIGN II Version 11.01

ChemTran Version 11.01

November 2011

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.01 PSD files cannot be read by version 11.00 or earlier versions of DESIGN II for Windows. However, version 11.01 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added GERG 2008 to the Thermodynamic methods dialog and removed GERG 2004.

Added the Tank unit module results to the Excel data transfer.

Fixed an Excel transfer issue when number of streams to be transferred were more than 100 on the same sheet exceeding Excel limits.

Fixed the line module's peak/max velocity results display on flowsheet when there is a break in the results table.

Fixed an array out of bounds crash during input processing of an equilibrium reactor.

Simulator Kernel Enhancements

Upgraded the GERG 2004 thermodynamic methods to GERG 2008. Added new keywords, GERG2008D, GERG2008K and GERG2008H, for the GERG 2008 methods. The previous GERG 2004 keywords will automatically invoke the GERG 2008 methods.

Fixed a GERG 2008 three phase flash problem when there is free water in the mixture.

Fixed hydrate formation temperature calculation when a succeeding stream does not have methanol and the first stream does.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1100") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.02 New Features

DESIGN II Version 11.02

ChemTran Version 11.02

December 2011

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.02 PSD files cannot be read by version 11.01 or earlier versions of DESIGN II for Windows. However, version 11.02 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added support for the NIST REFPROP thermodynamic methods in the thermodynamic methods dialog.

Added the new Dynamic Simulation material balance and holdup reports to the Excel Transfer.

Fixed reloading the Polytropic Compressor speed curve control after a right mouse click.

Fixed a problem in that the GUI was generating excess outlet streams for the Tank keyword input.

Fixed a problem where the stream databox units do not switch back to selected output system properly.

Changed the maximum number of recently opened flowsheet files in the File menu from four to ten.

Simulator Kernel Enhancements

Added support for the NIST REFPROP thermodynamic methods: AGA, default, GERG 2008 and Peng-Robinson. The new keywords are: REFPROP-AGAK, REFPROP-AGAH, REFPROP-AGAD, REFPROP-DEFAULTK, REFPROP-DEFAULTH, REFPROP-DEFAULTD, REFPROP-GERGK, REFPROP-GERGH, REFPROP-GERGD, REFPROP-PENGROBK, REFPROP-PENGROBH and REFPROP-PENGROBD.

Turned on the Latent Heat of Vaporization mixture calculations for all streams by default.

Fixed the Tank unit module volume calculations when using metric units.

Fixed the Compressor, Pump and Expander unit module inlet and outlet volume calculations for multiple phases.

Fixed a intermittent density calculation problem when the user had specified a different density method for a unit module.

Fixed an energy balance issue in the Tank unit module calculation.

Fixed a problem in the constant volume flash where the pressure calculation goes negative for a unique mixture.

Added an adiabatic flash to the Tank unit module after mixing the feed streams with the tank composition before calculating the product streams.

Added more warning messages for the Tank unit module product streams when there is not enough liquid or vapr to meet the product specification.

Fixed a problem in the liquid1-liquid2 flash where it came out with more water than it originally had for a unique mixture.

Fixed the initial composition calculation of the Tank unit module when the initial charge command was more than one line in the keyword input.

Added code to implement the tube inside diameter command for the Air Cooler unit module.

Fixed a stream mass flowrate calculation in the Excel transfer to be more accurate.

Fixed a dew point calculation problem for heavy hydrocarbon and soluble water mixtures where the calculated dew point was too low.

Fixed a minimum inlet pressure problem in the Compressor unit module.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1101") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.03 New Features

DESIGN II Version 11.03

ChemTran Version 11.03

February 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.03 PSD files cannot be read by version 11.02 or earlier versions of DESIGN II for Windows. However, version 11.03 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added tank, energy, power, material balance, and dynamic material data over time intervals to the Excel results transfer. Also allowed the user to pick how many time intervals per sheet, with 250 being the max so as to support old excel versions that have a 256 column limit.

Added support for the Divider and the Mutiple Divider to the Excel data exchange.

Fixed LNG Exchanger "unique specifications" option to retain given values.

Fixed the user drawn symbols to retain line type selections (dotted, solid, dashed, etc).

Updated the online dialog help for the 11.0 additions and improvements.

Simulator Kernel Enhancements

Added THErmal CONductivity UNIts OUT option for units control.

Added support for two phase streams to the Polytropic Compressor unit module where the liquid will be vaporized in the compression heating.

Added the ability to set the disk directory from where to load the the REFPROP thermo. Also added several new locations to automatically try loading the REFPROP thermo from: "c:\\Program Files\\refprop\\", "c:\\Program Files (x86)\\refprop\\", "c:\\refprop\\", "n:\\Program Files\\refprop\\", "m:\\Program Files\\refprop\\", "n:\\Program Files (x86)\\refprop\\" and "m:\\Program Files (x86)\\refprop\\".

Added releasing the DESIGN II virtual memory system to the Visual Basic interface.

Improved the dew point calculation for hydrocarbon mixtures with soluble water (no free water). Also added a new best of saved results method for the bubble point calculation.

Fixed a couple of Q-T table issues with mulltiple hot streams and multiple cold streams for the PFX exchanger.

Fixed the sonic velocity calculation and Cp/Cv calculation issues when using the LKPK correlation or any other correlation for a mixture close to its dew point temperature.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1102") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.04 New Features

DESIGN II Version 11.04

ChemTran Version 11.04

February 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.04 PSD files cannot be read by version 11.03 or earlier versions of DESIGN II for Windows. However, version 11.04 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Fixed a problem with the new drawing symbol definition that caused the flowsheet with newer or custom symbols to fail validation.

Simulator Kernel Enhancements

None.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1103") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.05 New Features

DESIGN II Version 11.05

ChemTran Version 11.05

March 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.05 PSD files cannot be read by version 11.04 or earlier versions of DESIGN II for Windows. However, version 11.05 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added new units for thermal conductivity data entry WATTS/M/K.

Modified the user interface to only use the REFPROP single component with explicit permission from the user.

Fixed separator sizing's nozzle data transfer to Excel when there's only one liquid outlet.

Added the new RefProp methods to the unit modules and stream thermodynamics dialog.

Fixed a problem where the line module max velocities were not showing due to warning messages.

Added support for negative pressures for mmH2Og and inH2Og.

Fixed the Excel transfer for the Distillation column to now write the products for all the columns.

Changed the Visual Basic interface function InitDesignII to be integer rather than void and return a non-zero value if there was an initialization problem.

The stream detection code for the two stream exchanger is now working properly with the default symbol.

The Crude gravity curve and bulk gravity are now retained to work together when "cut gravity" is selected on the "crude properties" dialog.

Simulator Kernel Enhancements

Added time designations to the dynamic material reports. Now one can tell when the dynamic material report applies when users view the general simulation results.

Improved the calculated values of dew points for some three phase flashes.

Fixed a crash in the input parser when a COM component command in the general section continued to a second line, the component number was less than ten (a single digit) and there was not a trailing comma.

Fixed the detailed stream phase report that previously showed free water in Liquid I phase. Now it will correctly show up in Liquid 2 phase reports.

Fixed phase map with warnings on hydrocarbon and water dew points. Also, included an auto-switch from phase map to phase envelope whenever water compositions exceed solubility limits.

Fixed F-factors and area reports for non-rated 1-2, 2-4, 3-6... exchangers when utility options for a single-stream exchanger were specified.

Fixed a Heat Exchanger problem where the stream flowrate was zero and the Q-T plot was partially ignoring it but then corrupting memory locations.

Fixed a Refprop's Cp calculation when using a pure component. It was erroneously using liquid density for the vapor enthalpy calls.

Fixed an issue with two phase Compressor calculations with vapor, liquid 1 and liquid 2 phases where the liquid carried all the way through the compressor.

Fixed mixed amine methods pre-selected species list on component ID#37 and ID#39.

Fixed the liquid density method initialization when methods were changed in D2PROPS.

Fixed the k-values of CO2 and H2S when the DMPEG thermo method is used and there is no water present.

Restored printing of stream results even when the program calculations gets stopped.

Modified flash calculations to only use the single REFPROP component, if the thermo method is the original REFPROP method. Added warnings when flow is present for other species in the mixture, if this single species option is used.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1104") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.06 New Features

DESIGN II Version 11.06

ChemTran Version 11.06

April 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.06 PSD files cannot be read by version 11.05 or earlier versions of DESIGN II for Windows. However, version 11.06 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Updated the phone numbers and addresses in the various portions of DESIGN II for Windows with our office move on April 7, 2012.

Removed the keyword input requirement for the Multiflash module.

Fixed the Thermal Conductivity Units map in the GUI to emit the time units in the second place instead of the third place.

Simulator Kernel Enhancements

Fixed a flash sizing type selection issue that was selecting a horizontal vessel when the mist eliminator was specified even when a vertical vessel was specified.

Fixed the floating point math error message to only be shown if there is truly a problem.

Fixed the Controller mass flow rate vary specification for a feed stream.

Removed the hydrogen test from the heat exchanger Q-T curve calculation.

Modified the vapor pressure curve for DMPEG above 100 F which reduces the amount of DMPEG in the vapor phase.

Modified the temperature predictor for Water in DMPEG which increases the amount of Water in the vapor phase above 100 F when DMPEG is present.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1105") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.07 New Features

DESIGN II Version 11.07

ChemTran Version 11.07

June 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.07 PSD files cannot be read by version 11.06 or earlier versions of DESIGN II for Windows. However, version 11.07 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added one common dialog to reset all selected stream and unit module specific thermodynamic methods.

Added reversing of stream flow arrows for a group of streams in a selection.

Added the Valve unit module specifications and results to the Exchange Data with Spreadsheet feature.

Added the Compressor unit module specifications and results to the Exchange Data with Spreadsheet feature.

Fixed the skipping of some data in depressurizer table in the Excel results data transfer when the valve reseat pressure was used.

Fixed the issue when an equipment or stream number is changed to reflect that change in modules such as the controller or others. The files will not lose numbered stream connections when copy/paste is done on a flowsheet.

Fixed the validation rules in the Plug Flow Reactor to allow the 25 reactions limit to work properly.

Fixed a bug in Controller's UNTIL dialog that previously had some irrelevant second index controls.

The stream data box's stream components dialog "Standard Volumetric Flowrate" will now initialize the selected units properly.

Fixed a shift in decimals from user chosen to non-assigned variables in "Display Results 2" dialog items for a stream.

Added a notice to inform prospects to evaluate newer versions when older testdrive versions go beyond their lifecycle.

Simulator Kernel Enhancements

Added support for the Tank unit module to participate properly within recycle loops. The tank material charge and conditions are now reset to the correct values for each iteration of the recycle loop.

Added the version check to simulator kernel.

Fixed the program crash issue in the Tank unit module when liquid height was specified.

Updated the Refrigerant 507 coefficients for the ideal gas heat capacity and liquid heat capacity curves to match NIST and other data sources.

Fixed a BWRS thermodynamic method initialization issue which came up only if the DLL was re-initialized via Visual Basic.

Fixed the prediction of bulk properties of a stream with pure Butane to show proper phase conditions beyond the critical.

Fixed the general viscosity and thermal conductivity keywords to apply for both vapor and liquid.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1106") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.08 New Features

DESIGN II Version 11.08

ChemTran Version 11.08

August 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.08 PSD files cannot be read by version 11.07 or earlier versions of DESIGN II for Windows. However, version 11.08 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added several new functions to the Visual Basic DLL interface for calculating and getting stored stream properties from the simulator kernel.

Added mixture water saturation calculation to the Visual Basic DLL interface.

Added a validation rule to ensure that none of the product stream numbers are set to the same number as the chosen vent stream in a Tank module.

Added Liquid 1 and Liquid 2 surface tension items to the Excel transfer results.

Added the Plug Flow Reactor results to the Excel Transfer results.

Fixed a problem in print option override on thermal conductivity output dimensional units changes.

Fixed a Plate-Fin Exchanger (PFX) duty view on the flowsheet.

Simulator Kernel Enhancements

Added a warning for individual component mass imbalances for the entire flowsheet.

Added a test in the three phase flash calculations to initialize mixture systems that are 99.9% pure and above their critical temperature to be all vapor.

Added accounting for quench hydrogen in the Hydrotreater's actual product stream.

The user selected module specific thermodynamic method selection is now honored regardless to other methods in calculations such as Q-T plot or similar.

Fixed methanol distribution into the Liquid 1 and Liquid 2 phases in the three phase flash.

Found the separator sizing had a zero vapor cutout from the vessel sizing calculation. Fixed all the vapor properties to be zero and then fixed the separator sizing to generate liquid-liquid only sizing properties.

Fixed the advanced specifications on entrainment of water in oil and oil in water.

Fixed a problem in the change of units for thermal conductivity that clashed with duty units.

Fixed reported values for overall liquid stream flowrates in M3NTP/HR units for all mixtures.

Fixed a stream initialization and an overall material balance issue for water.

Fixed the Tank unit module to handle cases when no initial charge were given.

Fixed a feed flash case where water was not initialized properly for Liquid 1 / Liquid 2 flashes.

Fixed the Flash unit module Dew point and Bubble point calculation to be at the outlet pressure instead of the inlet pressure.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1107") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.09 New Features

DESIGN II for Windows Version 11.08 New Features

DESIGN II Version 11.09

ChemTran Version 11.09

October 2012

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.09 PSD files cannot be read by version 11.08 or earlier versions of DESIGN II for Windows. However, version 11.09 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added a new function to the Visual Basic / Visual C++ interface for getting calculated equipment properties from the simulator kernel.

Added viscosities of vapor and liquid for stream display results.

Added an option for using XLSX files for the Excel data results transfer so that up to 1,048,576 rows and 16,384 columns could be used per sheet. The limit in XLS files is 65,536 rows and 256 columns.

Added new time based tables to the dynamic simulation data results transfer to Excel for the Stream component molar flowrate table, component mass flowrate table, component actual volumetric flowrate table, component standard volumetric flowrate table, properties table, solid component table and vapor portion of stream table.

Added a Close ('X' box) at the top right of the title bar in "Browser" box.

Added specific gravity of liquid and molecular weight for stream results display on flowsheet.

Added stream summary's Liquid 2 Molecular Weight as an additional item to excel configuration options and excel export.

Added latent heat of vaporization values for stream's flowsheet display.

Added pressure drop due to friction for flowsheet display for the line module.

Added validation check to pressure and holdup items for first steady state event in the batch distillation.

Added an option for "Column Delta Pressure" under Distillation module's "Pressures" dialog item.

Added an option for adding a third feed stream to the packed column.

Added a new option for using the specified flowrates from another feed stream for a feed streams specified flowrates.

Fixed a Stream Data Box display of species mass flowrates units that previously had emitted in enthalpy units.

Fixed the output dimensional units format issue with thermal conductivity as KJ/SEC/M/K.

The Initial and final stages of the Batch Distillation Column are now set to show side draws and not stages in the Batch Distillation's "Step and Ramp Functions" dialog.

Simulator Kernel Enhancements

Allowed the dimensional units of the fouling factor to be displayed as K-M2-HR/KCAL.

Fixed an incorrectly split warning message in the pump calculations.

Fixed flash calculations done by single or pure components present in a stream that corrected curve increments and Q-T table results for a unique mixture.

Fixed the screen write format statement that was causing the line sizing and divider results not to be written properly.

Warnings such as "PH DID NOT CONVERGE IN 100 CYCLES" will now only be emitted if they apply to the current flash and not the bubble or dew point calculations.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1108") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.10 New Features

DESIGN II Version 11.10

ChemTran Version 11.10

November 2012

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Please note that if you are installing over an old installation in "c:\designii" then the configuration file directory will remain "c:\designii".

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.10 PSD files cannot be read by version 11.09 or earlier versions of DESIGN II for Windows. However, version 11.10 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the ability to set the flowrate composition of a stream to that of a compositiion from another specified stream in the stream's flowrate specification dialog.

Added a new dialog of all the internal streams, and double-clicking on one will display the current results from the output file.

Allowed multiple results windows to remain open simultaneously and program would update them, when a simulation is re-executed.

Updated the Flash unit module to the new Flash commands with dialog validations.

Simulator Kernel Enhancements

Added new keywords for the Flash unit module such as TEM FEE, PRE FEE and allowed this to work with BUB TEM, BUB PRE, DEW TEM, DEW PRE, DEW WAT TEM, and DEW WAT PRE.

Design II now emits an error and stops input processing if the immiscible component is anything other than water (component ID#62) in the IMMiscible= command.

Fixed calculations of oil in water and water in oil entrainment on flash module's advanced specifications. It now works for molar, mass, and volume specifications with oil-in-water, water-in-oil, or both at the same time.

Fixed an isolated case of a mixture flash calculation at a very high temperature.

Fixed an infinite loop run by the program on a specific user file.

Applied a correction to account for partial molar volume effects, which corrected the previously reported higher density values of aqueous glycol mixtures.

Allowed heat exchanger to use specified duty when heat exchanger crossover override is not present.

Allowed more memory space for eight pass heat exchangers when two phase rating is done.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1108") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.11 New Features

DESIGN II Version 11.11

ChemTran Version 11.11

January 2013

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.110.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.11 PSD files cannot be read by version 11.10 or earlier versions of DESIGN II for Windows. However, version 11.11 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Upgraded the Exchange Data With Excel feature to also use XLSX files. The items in the two lists are now automatically sorted for readability.

Allow change ID message only if the stream being changed is a primary stream, one that has "This stream is linked to another stream..." unchecked.

Changed Excel configuration options to have XLSX file type defaulted to YES for Excel 2007 and newer.

Exchange data with Excel items set-up now retains the chosen variable when new variable sets are added or updated.

Displayed the path and name of the password configuration file on the license dialog.

Simulator Kernel Enhancements

Fixed the third coefficient's sign on the ideal gas heat capacity data for CS2 (ID 1069). This affects the calculated entropy for that component.

Isolated the specified pressure drop and calculated pressure drop parameters during initialization and calculation on the valve module.

Fixed a problem with the single component isentropic flash.

Added vapor mass flowrate to the Refine column flowrates table.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1110") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You willl be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.12 New Features

DESIGN II Version 11.12

ChemTran Version 11.12

March 2013

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.110.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.12 PSD files cannot be read by version 11.11 or earlier versions of DESIGN II for Windows. However, version 11.12 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added selection of the Network Locking Directory to the license dialog if the user is licensed for same.

Fixed a user interface crash when very large output files are being read.

Cleared out the molar / mass / etc. stream flowrate display labels before checking if results were bypassed.

Turned input off for total (molar, mass, vapor, actual, liquid) flowrates, if they were not initialized in the feed stream dialog.

Ensured that ChemTran Keyword Input has a value when it is selected for input.

Fixed a stream density flowsheet display issue for scientific notation data values.

Simulator Kernel Enhancements

Added predicted CO2 freeze temperature even when there is no CO2 freeze in any stream results.

Added a new hydrocarbon dew point value to the stream details to include water miscibility.

Updated the liquid density equation for Ethyl Chloride using the DIPPR equation and coefficients.

Fixed a inline fortran negative array bound issue and turned on the DEBUG LIMIT by default.

Fixed CO2 freeze calculations that should not happen for an incipient vapor phase.

Fixed a single component that is in more than one phase to perform an adiabatic flash instead of isothermal flash within any given flash specifications combination.

Fixed advanced entrainment calculations for flash by handling the type of flash calculation in use for liquid 1 and liquid 2 phases.

Found and fixed the stream initialization method for streams that do not have enough specifications with Inline Fortran.

Fixed an output length unit conversion issue on liquid height for depressurizer module.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1111") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.13 New Features

DESIGN II Version 11.13

ChemTran Version 11.13

April 2013

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.110.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.13 PSD files cannot be read by version 11.12 or earlier versions of DESIGN II for Windows. However, version 11.13 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added conversion of Fixed Flowsheet Display unit conversion on streams and stream databox when the flowsheet ambient pressure has been changed from 14.696 psia.

Fixed a program crash issue when the AppData environment logical was missing.

Fixed missing dynamic stream number results in the Excel transfer due to a warning message change.

Fixed an Excel transfer issue for missed stream numbers going to Excel.

Fixed the incorrectly set density units on unit options.

Simulator Kernel Enhancements

Added print of the flowsheet ambient conditions in the "System Variables" page of the output.

Added a warning message whenever a compressor is work limited due to the maximum driver power specification with a high flowrate or a high pressure ratio.

Fixed the tank's liquid and vapor volume unit conversions and added Vent Liquid/Vent Mixed items. Also added calculation of the vent vapor fraction and its results transfer to Excel.

Fixed the rating calculation for the PFX unit module by removing the scale factor that wrongly set PFX rating as converged in first iteration.

Removed the fortran scratch files FOR002 and FOR028 files that were being created via phase map and program shut down DLL calls.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1112") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 11.14 New Features

DESIGN II Version 11.14

ChemTran Version 11.14

July 2013

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.110.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 11.00 release. All passwords issued before version 11.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 11.14 PSD files cannot be read by version 11.13 or earlier versions of DESIGN II for Windows. However, version 11.14 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the plate-fin exchanger's new duty and temperature (Q-T) tables and plots to transfer to Excel.

Fixed the Apply button on all dialogs to work properly in all circumstances.

Fixed the error message boxes to remain in focus over their parent dialog until acknowledged by the user.

Fixed a problem in the release date for demonstration users.

Simulator Kernel Enhancements

Printed the bubble and dew points by stream in the plate-fin exchanger's Q-T table for their respective streams as B1, D1, etc.

Added a flash test to fix a three phase calculation of vapor and liquid phase splits for an isolated case.

Fixed the no plot test in the Q-T plot function to forbid interference from other plot commands such as line module, etc.

Fixed the liquid height on a specific file with particular print table that was not being modified to the user's specified dimensional units.

Flash equipment results will now match user input on MOLe, MASs, and VOLume fractions.

Added more details to the warning messages when users have selected ID#1254 R-404A (Refrigerant 404A) in their simulations.

Improved several error and warning messages such as the Cp and Cv calculation warning.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1113") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 12.00 New Features

DESIGN II Version 12.00

ChemTran Version 12.00

August 2013

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 12.00 release. All passwords issued before version 12.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that all of the serial numbers have been changed to email addresses for 12.00 release. The old ABC12345 type serial numbers will no longer be used.

Please note that version 12.00 PSD files cannot be read by version 11.14 or earlier versions of DESIGN II for Windows. However, version 12.00 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added "Europe System (NTP)" and "Europe System (STP)" dimensional unit systems to the File New and Specify / Print Options dialogs. The new units are on both "Input Dimensional Units" and "Output Dimensional Units" tabs.

Added a unit module symbol swap on right mouse popup menu with retaining all specifications between the original equipment symbol to the new symbol (for same equipment types only).

Added Flash unit module input specifications for access with the Exchange Data with Spreadsheet Option.

Added more Distillation unit module specification variables to be available for Exchange Data with Spreadsheet.

Added a "Use Pure Water instead of default Liquid 2 Phase" check for entrainment calculations on the Advanced Specifications dialog of the Flash unit module.

Added a reasonable limit for digits after decimals item for flowsheet display of allowed variables in unit modules and streams.

All unit module symbols will now retain their solid fill in the chosen color when a flowsheet is printed in the user interface.

Fixed the Excel transfer's stream summary items on units and values that were mis-matched before when user turns ON and OFF various variables in the Excel transfer's Configuration Options.

The Phase Map max temperature and max pressure are now exported to Excel.

Modified multiple data inputs on the TXY, PXY and TPXY items in ChemTran's mixture commands dialog for inserting and deleting input data.

Fixed flowsheet display of "Total Standard Volumetric Flowrate m3(STP)/day".

Simulator Kernel Enhancements

Added new heat exchanger hot stream and cold stream tables for temperatures and enthalpies by segment. Also added a corresponding plots of all the hot and cold streams versus each other.

Added a license dialog to the simulator kernel.

Added the ability to specify and entrain pure free water in the liquid 1 (hydrocarbon) phase for the Flash unit module.

Added Pressure - Entropy and Pressure - Density tables and graphs to the Pressure - Enthalpy tables and graphs with temperature isotherms for the Phase Envelope.

Added new EUROPE UNI and EUROPE UNI OUT commands to switch the input and output dimensional units systems to C, barg, kJ, kg, hr, m, cP, kW, kg/m3, W/m2/K, W/m/K, rpm and m2.

Added a warning that program cannot calculate the liquid CV value since the fluid is not all liquid for Valve unit module calculations.

Improved the three phase dew point calculations, especially in mixtures with 500 ppm to 750 ppm of water.

Fixed flowsheet executions when the thermodynamic method Predictive Peng Robinson (PPRK) is chosen for a specific stream or unit module.

Protected the inline fortran GET stream properties from division by zero.

Changed the page field in the output file from a maximum of five numbers to a maxiumum of eight numbers for extremely large output files.

Improved the standard TP volumetric flowrate calculations for the stream.

The Flash unit module results will now better match user specifications on Mole, Mass, and Volume fractions.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1114") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 12.01 New Features

DESIGN II Version 12.01

ChemTran Version 12.01

September 2013

Please note that the installation executable is now digitally signed to confirm that WinSim Inc. is the software author and guarantee that the code has not been altered or corrupted since it was signed.

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 12.00 release. All passwords issued before version 12.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that all of the serial numbers have been changed to email addresses for 12.00 release. The old ABC12345 type serial numbers will no longer be used.

Please note that version 12.01 PSD files cannot be read by version 12.00 or earlier versions of DESIGN II for Windows. However, version 12.01 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added validation for column side draw streams that they are not the same stream as the top or bottom product.

Fixed the bottom and right borders of the drawing when printing.

Added a check for unlinking a stream before causing a change in other reference stream number to the changed stream number.

Added missing Europe units as one among the units category which stopped program when some Europe units were overridden.

Added hydrocarbon dew point temperature in stream details to go to Excel and also added as an optional item in stream results 2 flowsheet display.

Fixed the Component list dialog sort feature for Boiling Point and Molecular Weight items.

Fixed print scaling issues particularly on multiple page prints.

Fixed the crude liquid properties print out to emit RVP values properly.

Changed the background mode to be transparent for the stream data box text to prevent stream and equipment items from being overdrawn, if they are within the stream data box display area.

Simulator Kernel Enhancements

Moved the opening of the input and output files for the DLL to the very beginning of the DLL so that Visual basic programs write to the user output file instead of creating a FOR002 file.

Fixed the upstream line pressure drop calculation that was previously dropping the outlet pressure below zero and causing many problems.

Added pure liquid water to the calculation of the thermal conductivity in the line module's surroundings heat transfer.

Fixed a program crash when number of crude feeds was zero which caused a crude feed bank initialization issue.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1200") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 12.02 New Features

DESIGN II Version 12.02

ChemTran Version 12.02

November 2013

Please note that the installation executable is now digitally signed to confirm that WinSim Inc. is the software author and guarantee that the code has not been altered or corrupted since it was signed.

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 12.00 release. All passwords issued before version 12.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that all of the serial numbers have been changed to email addresses for 12.00 release. The old ABC12345 type serial numbers will no longer be used.

Please note that version 12.02 PSD files cannot be read by version 12.01 or earlier versions of DESIGN II for Windows. However, version 12.02 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added the new reverse unit module calculation option to the recycle control dialog along with the tolerance and iteration maxium values. Split the recycle control dialogs into a new three sheet dialog.

Added the new reverse unit module calculation specifications for the Compressor inlet pressure and Mixer inlet stream flowrates / fractions to their respective dialogs.

Added two new sample flowsheet files: reverse1.psd and flrehdr_reverse.psd. Both are in the c:\designii\samples\reverse_calc directory.

Added a user option to retain or delete existing sheets for Excel transferred simulation results. This option applies to all sheets (all or nothing).

Added control options to print all, current, or a range of sheets within a flowsheet.

Added green color for "solution has been reached"; red for "solution has not been reached" and "errors"; blue for "warnings" and black for "notes" in simulation summary results dialog.

Added an undo option when modifying stream length (extend/reduce) at one end.

Added a rotation of text strings by 90 degrees on a flowsheet.

Improved the print speed when colored symbols are on flowsheet.

Fixed the Excel transfer of the compressor results for fuel gas flow.

Fixed the import of Crude Cuts data from a Design II output file.

Fixed user interface stability on streams, lines and menus after visiting dialogs and/or zooming of flowsheet with colored modules. Also fixed some memory leakage issues.

Fixed an internationalization issue of numbers that was using commas for periods on some international versions of the Windows operating system.

Fixed the transfer of the Flash sizing results to Excel.

Simulator Kernel Enhancements

Added the capability to calculate unit modules in reverse calculation order. The procedure just reverses the current calculation order. There is a unit module iterator that can iterate a single unit module to a given pressure error and enthalpy error with a maximum iteration count. The new keyword to trigger the reverse calc is: REVerse CALculation. The new keywords to control the iterator are: REVerse TOLerance = 1.0e-7 (default) and REVerse MAXimum iterations = 1000 (default).

The unit modules to be reverse calculated must only have one inlet stream unless the unit module is the mixer. The mixer unit module has new commands to split the flow from the outlet stream into two or more inlet streams: FLO (FRA) = inlet #1, inlet #2, ... or FLO (quantity/time) = inlet #1, inlet #2, ... You do not need to specify the last inlet stream fraction or flowrate as all of the remaining flow will be put into that stream. The flash unit module does not need to be iterated as it becomes a simple mixer of its outlet streams.

The compressor, pump and expander unit modules have a new command for specifying the inlet pressure for the reverse calculation: PREssure INLet (pressure) = number. The inlet stream temperature will be automatically calculated based on inlet stream pressure and the outlet stream conditions.

Added a rule that that dimensional units will be a max of seven characters wide that allows various volumetric flowrate units to be displayed properly for stream T-P, STP and NTP flowrates by phases.

Fixed the Mass Balance unit to always generate a flow if a recycle flowrate with only one component in the flowsheet or if a component flowrate is specified.

Modified the Distill Column Profiles table so that the one character indicators were not next to the temperature value for the Excel Transfer.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1201") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 12.03 New Features

DESIGN II Version 12.03

ChemTran Version 12.03

February 2014

Please note that the installation executable is now digitally signed to confirm that WinSim Inc. is the software author and guarantee that the code has not been altered or corrupted since it was signed.

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "C:\Users\{username}\AppData\Roaming\DesignII" (Windows 7) or "C:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 12.00 release. All passwords issued before version 12.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that all of the serial numbers have been changed to email addresses for 12.00 release. The old ABC12345 type serial numbers will no longer be used.

Please note that version 12.03 PSD files cannot be read by version 12.02 or earlier versions of DESIGN II for Windows. However, version 12.03 of DESIGN II for Windows can read all previous version's PSD files.

Updated all of the printed and included PDF user manuals. The printed manuals are available for purchase at www.winsim.com/doco.html on www.lulu.com .

Graphical User Interface Enhancements

Fixed the specification of the flowsheet size to be in centimeters instead of millimeters on the sheet property dialog.

Fixed an internationalization issue for entry of numeric values. All floating point numbers now use a period for the decimal point separator. Presence of a comma in the value will flag an error.

Fixed a crash in the first event of the Batch Distillation column if the heat and material balance specification was missing.

Fixed a problem printing the symbols on very large flowsheets to a printer.

Fixed the display of the Line Module peak velocity on the flowsheet.

Fixed the Excel sheets being out of order for XLSX files after an Excel Results Transfer due to an improper template file.

Fixed the loss of formatting on the Summary sheet for the Excel Results Transfer by not deleting and creating the Summary sheet.

Split the Tank unit module general sheet property dialog into two sheets: general and energy.

Simulator Kernel Enhancements

Added support for solid heat capacity and solid density curves in the pure component data file, compdata.txt. Converted carbon, component id number 64, from a modified ideal gas to a solid. Also added support for melting point and heat of fusion data.

Updated the isothermal, adiabatic and isentropic flash to handle solids as a fourth phase. So, the internal flashes now can produce up to four phases: vapor, hydrocarbon liquid, aqeuous liquid and solid. A future version will have solid - vapor and solid - liquid equations of state. Currently, certain components are always declared to be solid, irrespective of the mixture temperature and pressure.

Added support for solid carbon to the equilibrium reactor for partial or complete oxidation. Added a new sample flowsheet showing partial combustion and complete combustion for carbon. CTL and CTG processes are now available for modeling.

Added a solid phase column to each of the four component tables in the detailed stream print: molar flowrate, mass flowrate, actual volumetric flowrate and standard volumetric flowrate.

Fixed calculation of the nozzle sizes in the Separator unit module sizing. Added a diameter table for the popular inlet nozzle sizes with a suggested nominal diameter.

Fixed a problem with the PFX unit module Q-T curve when one or more of the streams had a zero flowrate.

Fixed a problem with mutiple line modules in a flowsheet where some of the line modules specified pressure drop due to acceleration calculated and some line modules did not. The calculated pressure drop due to acceleration was being used for all subsequent line modules without being zeroed unless it was recalculated.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1202") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 12.04 New Features

DESIGN II Version 12.04

ChemTran Version 12.04

April 2014

Please note that the installation executable is now digitally signed to confirm that WinSim Inc. is the software author and guarantee that the code has not been altered or corrupted since it was signed.

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "C:\Users\{username}\AppData\Roaming\DesignII" (Windows 7) or "C:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 12.00 release. All passwords issued before version 12.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that all of the serial numbers have been changed to email addresses for 12.00 release. The old ABC12345 type serial numbers will no longer be used.

Please note that version 12.04 PSD files cannot be read by version 12.03 or earlier versions of DESIGN II for Windows. However, version 12.04 of DESIGN II for Windows can read all previous version's PSD files.

Updated all of the printed and included PDF user manuals. The printed manuals are available for purchase at www.winsim.com/doco.html on www.lulu.com .

Graphical User Interface Enhancements

Added the display to all column unit modules of the calculated results of top and bottom temperature, condenser (if present) temperature and duty, reboiler (if present) temperature and duty, and reflux ratio.

Added alerting the user to a symbol overlay issue when the same two identical unit module symbols were on top of each other.

Added a smaller triangular mixer symbol to the default symbol set.

Fixed the problem with the excel transfer corrupted template.xlsx file.

Fixed display of peak velocity in line module due to page breaks in its results.

Fixed the stream dialog's import of mole fractions.

Fixed the page headers in depressuring analysis that had disrupted the excel transfer of its results.

Fixed the custom flowsheet size units when on metric, SI and US system.

Simulator Kernel Enhancements

Added the calculated results of top and bottom temperature, condenser (if present) temperature and duty, reboiler (if present) temperature and duty, and reflux ratio to all column unit modules.

Added time and pressure to the screen each minute for the Depressurizer unit module.

Fixed a final flash issue with the Line Pressure drop module.

Fixed a line sizing issue due to the new phase report.

Thermodynamic methods mis-match between ChemTran and DESIGN II will now report the error without user getting any stream results.

Fixed the stream D86 report which was broken due to the new phase report.

Fixed the tank module execution error when liquid height was specified.

Fixed the heat exchanger rating duty for a single component mixture when the pressure change was small and the temperature change was smaller.

Fixed the vertical Depressurizer initialization error when the liquid height is more than one-half of the total height.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1203") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 12.05 New Features

DESIGN II Version 12.05

ChemTran Version 12.05

June 2014

Please note that the installation executable is now digitally signed to confirm that WinSim Inc. is the software author and guarantee that the code has not been altered or corrupted since it was signed.

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "C:\Users\{username}\AppData\Roaming\DesignII" (Windows 7) or "C:\Documents and Settings\{username}\Appliication Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 12.00 release. All passwords issued before version 12.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that all of the serial numbers have been changed to email addresses for 12.00 release. The old ABC12345 type serial numbers will no longer be used.

Please note that version 12.05 PSD files cannot be read by version 12.04 or earlier versions of DESIGN II for Windows. However, version 12.05 of DESIGN II for Windows can read all previous version's PSD files.

Updated all of the printed and included PDF user manuals. The printed manuals are available for purchase at www.winsim.com/doco.html on www.lulu.com .

Graphical User Interface Enhancements

Added a menu item to open program's sample files from its folder.

Added zero flow streams to the stream summary results transferred to Excel.

The list of sheets dialog has been lengthed and name width for sheets has been increased.

Fixed label and dimensional unit problems in the Tank unit module results.

Fixed a file opening issue when filenames had non-standard characters, alphabet accents, etc...

Fixed the clash in using identical internal stream numbers for the Refine column.

Fixed the error in Tank time division results that were transferred to Excel.

Simulator Kernel Enhancements

Added ability to print more number of digits for pressure, temperature, and time for tank module.

Added zero flowrate streams to the stream summary print out.

Improved the Flash separator sizing nozzle data calculation and report.

Fixed an all water vapor condenser decant issue in Refine column.

Fixed an isolated three phase flash issue when water was more than 98%.

Fixed a case study table results emission for different flowrate units.

Fixed the print out of metric system units for tank module on liquid height.

Fixed the amine column pressure drop specification handling.

Fixed the Flash separator sizing when the liquid phase was mostly water. This also fixed the flow rate of the liquid 1 phase when the mixture is all water.

The Flash separator sizing now reports vapor and droplet velocity using corrected area based on chord height and area conversion functions.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1204") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".


DESIGN II for Windows Version 14.00 New Features

DESIGN II Version 14.00

ChemTran Version 14.00

November 2014

Please note that the default installation directory was changed from "c:\designii" to "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64). If you are installing over an old installation located in "c:\designii" then the new default installation directory automatically will be "c:\designii".

Please note that the configuration file directory was changed from "c:\designii" to "c:\users\{username}\AppData\Roaming\DesignII" (Windows 7) or "c:\Documents and Settings\{username}\Application Data\DesignII" (Windows XP or previous). With this change, all users will have to enter the license password and serial number the first time that DESIGN II for Windows is run. Old installations in "c:\designii" will be changed also. The name of the main configuration file has been changed from designii.ini.txt to designii.120.ini. The deswin.ini file has been moved from the c:\Windows directory to the AppData directory also.

Please note that the password algorithm was changed for 14.00 release. All passwords issued before version 14.00 will not work. Please contact WinSim (admin@winsim.com) for a new password if needed (your new password was emailed to the contact person). Your MSS (maintenance, support and service agreement) or PUA (program usage agreement) must be current in order to get a new password.

Please note that version 14.00 PSD files cannot be read by version 12.05 or earlier versions of DESIGN II for Windows. However, version 14.00 of DESIGN II for Windows can read all previous version's PSD files.

Graphical User Interface Enhancements

Added new dialogs to the Tank unit module to support the new floating roof and product stream options. Also separated the energy and product stream dialogs.

Added time dependent display of calculated results to the GUI with automatic updating over a specified time period (defaulted to five seconds).

Added the new equivalent length fittings and valve specifications to the Line module dialogs.

Added zero flowrate streams to the stream summary(s) in the output file and to the Excel transfer.

Consolidated the stream display results dialogs into one dialog where multiple display items and units can be selected.

Added the new speedless dimensional units to the Polytropic Compressor dialogs and now allows pump curves also.

Added automatic storage of the DESIGN II output file in the PSD file when the simulation is complete. If there is no output file and the user wants to view the output file or view the simulation summary then the output file will be automatically recreated in the proper place before those actions are executed.

Separated the component / thermo / crude dialog into three dialogs: component (seven sheets), thermo (five sheets) and crude (three sheets). Repeated the ChemTran tab on both the component and thermo dialogs.

Fixed the Tank unit module vent stream to always be displayed in the results and to Excel Transfer.

Fixed an invalid network licensing directory from crashing the user interface.

Fixed the Simulation Summary dialog to look through the entire output file for the "Solution not reached" messages for ALL time periods in dynamic results.

Fixed an Excel transfer issue when untitled flowsheet results were transferred. Untitled.in and untitled.out are created in the user's Documents directory instead of the program directory.

Fixed a display problem of internal streams in the stream data box.

Simulator Kernel Enhancements

Added a new floating roof (single or double) option to the Tank unit module with minimum and maximum liquid heights.

Added up to one hundred (100) product stream flowrate and time specifications to the Tank unit module.

Added user input time periods for dynamic simulation instead of using a constant time interval.

Added fittings and valve specifications for the calculation of the equivalent length to the Line module.

Added speedless (rpm) curve dimensional units to the Polytropic Compressor and Pump so that efficiency and head curves can now be input in ft3/min and feet.

Added optional event duration times instead of a uniform time step (dynamic simulation).

Fixed a MEA/DEA thermodynamic method error message.

Enhanced bubble point calculations to be more precise and consistent.

Added Tank module for modifications by the Controller unit module.

Fixed Flash separator sizing when oil and water entrainment calculations were specified.

Fixed actual volumetric flowrate specifications for streams with one or more crude components.

Fixed the hydrate curve calculations from going into negative temperature loops.

Fixed flash sizing to get proper density due to changing thermo options.

Fixed kernel to allow multiple instances of the stream number in the internal list of internal streams.

Fixed the Equilibrium reactor to accept multiple feed streams.

Installation Instructions

For new installations, run the setup utility to install DESIGN II for Windows on this pc. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\Program Files\DesignII" (Windows x86) or "c:\Program Files (x86)\DesignII" (Windows x64).

For existing installations, you can install the new release right over the existing installation. If desired, you may remove the existing version using the "Uninstall DESIGN II for Windows" in the DESIGN II program manager group. Or, you may move the existing installation to a new directory (i.e. "c:\diiw1205") before installing the new version. Please note that running any version of DESIGN II for Windows on a PC will automatically set that installation as the default PSD file processor for email and the file explorer. You will be prompted for the directory in which to install DESIGN II for Windows. The default installation directory is "c:\designii".